------------------------------------------------------------------------
r28815 | gerald | 2009-06-22 15:38:29 -0700 (Mon, 22 Jun 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afs.c

Instead of tvb_get_ptr + ep_alloc + proto_tree_add_string to fetch a string and
add it to the tree, just call proto_tree_add_item. Fixes bug 3564.

Replace another tvb_get_ptr call with tvb_format_text.

------------------------------------------------------------------------
r28816 | morriss | 2009-06-22 15:48:35 -0700 (Mon, 22 Jun 2009) | 1 line
Changed paths:
   M /trunk
   M /trunk/doc/Makefile.am

Copy AUTHORS-SHORT to the top-level directory so Help->About can find it when run from the build directory.
------------------------------------------------------------------------
r28817 | stig | 2009-06-22 23:02:12 -0700 (Mon, 22 Jun 2009) | 6 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   M /trunk/asn1/pkixcmp/packet-cmp-template.c
   M /trunk/asn1/q932/packet-q932-template.c
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/asn1/ranap/packet-ranap-template.c
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/asn1/s1ap/packet-s1ap-template.c
   M /trunk/asn1/sabp/packet-sabp-template.c
   M /trunk/asn1/smrse/packet-smrse-template.c
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/asn1/t38/packet-t38-template.c
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509ce/packet-x509ce-template.c
   M /trunk/asn1/x509if/packet-x509if-template.c

From Kovarththanan Rajaratnam:
Clean up header field info in asn1/*-template.c files.

From me:
Fixed a few typos in the patch.

------------------------------------------------------------------------
r28818 | jake | 2009-06-22 23:45:59 -0700 (Mon, 22 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c

From Shinsuke SUZUKI:
Due to an incorrect offset setting in packet-icmpv6.c Wireshark cannot parse RA router-lifetime and RA flags properly.
------------------------------------------------------------------------
r28819 | jake | 2009-06-22 23:49:38 -0700 (Mon, 22 Jun 2009) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-btamp.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btl2cap.h

From Kovarththanan Rajaratnam:
The Bluetooth AMP Manager protocol was recently adopted by the Bluetooth SIG.
This protocol sits on top of L2CAP and requires a few changes in order to
accommodate the new move/create channel request.

This patch includes:
* a new Bluetooth AMP Manager Protocol dissector
* changes to L2CAP to handle the new move/create channel signals
* introduce a dissector table for fixed channel, allowing btamp dissector to
handle the BT AMP Manager Protocol channel
* Preliminary changes in L2CAP to support the new enhanced L2CAP modes
(enhanced retransmission/streaming mode)
------------------------------------------------------------------------
r28820 | etxrab | 2009-06-23 06:49:46 -0700 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Try to fix indentation a bit.
------------------------------------------------------------------------
r28821 | etxrab | 2009-06-23 07:16:28 -0700 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Revert(Try to fix indentation a bit.)
------------------------------------------------------------------------
r28822 | etxrab | 2009-06-23 09:01:55 -0700 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Update 3GPP AVP:s
------------------------------------------------------------------------
r28823 | jake | 2009-06-23 14:05:47 -0700 (Tue, 23 Jun 2009) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   A /trunk/epan/dissectors/packet-hpteam.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/oui.h

From Nathan Hartwell:
This patch attempt should more closely align with the Wireshark "layout" of using 
a dissector rather than a "hack" to the packet-llc dissector.

------------------------------------------------------------------------
r28824 | wmeier | 2009-06-23 17:29:54 -0700 (Tue, 23 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-hpteam.c

if (!initialized) ... not req'd + other addt'l minor revisions;
Also: add packet-hpteam.c to Makefile.common so it gets built as part oif Wireshark.

------------------------------------------------------------------------
r28825 | wmeier | 2009-06-23 17:49:54 -0700 (Tue, 23 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btamp.c

Remove two unused includes

------------------------------------------------------------------------
r28826 | stig | 2009-06-23 18:40:54 -0700 (Tue, 23 Jun 2009) | 3 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/asn1/h450/packet-h450-template.c
   M /trunk/asn1/ocsp/packet-ocsp-template.c
   M /trunk/asn1/qsig/packet-qsig-template.c

From Kovarththanan Rajaratnam:
More asn1/* header field info cleanup

------------------------------------------------------------------------
r28827 | stig | 2009-06-23 19:05:51 -0700 (Tue, 23 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/ncp2222.py

More hf_register_info related cleanup.

------------------------------------------------------------------------
r28828 | stig | 2009-06-23 19:07:16 -0700 (Tue, 23 Jun 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/process-x11-fields.pl
   M /trunk/epan/dissectors/x11-fields

From Kovarththanan Rajaratnam:
More hf_register_info related cleanup
* Fix process-x11-fields.pl (packet-x11.c)

------------------------------------------------------------------------
r28829 | stig | 2009-06-23 19:08:14 -0700 (Tue, 23 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nisplus.c

Change hf_nisplus_dummy to use "dummy" as name instead of " "
(this is the only place where " " was used)

------------------------------------------------------------------------
r28830 | stig | 2009-06-23 19:11:11 -0700 (Tue, 23 Jun 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cimetrics.c
   M /trunk/epan/dissectors/packet-cisco-oui.c
   M /trunk/epan/dissectors/packet-extreme.c
   M /trunk/epan/dissectors/packet-force10-oui.c
   M /trunk/epan/dissectors/packet-iana-oui.c
   M /trunk/epan/dissectors/packet-nt-oui.c

From Kovarththanan Rajaratnam:
Cleanup hf_register_info declaration passed to llc_add_oui(). While there,
change the declaration to an array in order to be consistent with the rest
of packet-*.c files.

------------------------------------------------------------------------
r28831 | stig | 2009-06-23 19:12:13 -0700 (Tue, 23 Jun 2009) | 3 lines
Changed paths:
   M /trunk/plugins/m2m/packet-m2m.c

From Kovarththanan Rajaratnam:
Move hf_register_info declarations in packet-m2m.c to function scope

------------------------------------------------------------------------
r28832 | stig | 2009-06-23 19:17:12 -0700 (Tue, 23 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-infiniband.h
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-tpncp.c
   M /trunk/epan/oids.c
   M /trunk/plugins/unistim/header_field.h

From Kovarththanan Rajaratnam:
More hf_register_info related cleanup.

------------------------------------------------------------------------
r28833 | wmeier | 2009-06-23 19:42:43 -0700 (Tue, 23 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hpteam.c

Remove superflous code; #include <stdio.h> not needed.

------------------------------------------------------------------------
r28834 | stig | 2009-06-23 20:03:25 -0700 (Tue, 23 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-enip.c

More hf_register_info related cleanup.

------------------------------------------------------------------------
r28835 | stig | 2009-06-23 22:54:19 -0700 (Tue, 23 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-homeplug.c

Fixed field types for some reserved fields.

------------------------------------------------------------------------
r28836 | jake | 2009-06-23 23:21:45 -0700 (Tue, 23 Jun 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-slowprotocols.c

From Artem Tamazov:
Added: ESMC support as per G.8264 (Slow Protocol Subtype 0x0a).
* QL codes are dissected according to G.781 5.5.1.1 "Option I SDH". 
Added: support for Timestamp entities in ESMC PDU as per WD56 proposal.
------------------------------------------------------------------------
r28837 | stig | 2009-06-24 12:10:50 -0700 (Wed, 24 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

From Kovarththanan Rajaratnam via bug 3555:
Cancel hostname lookup timers if c-ares is not initialized.

------------------------------------------------------------------------
r28838 | jake | 2009-06-24 13:27:58 -0700 (Wed, 24 Jun 2009) | 2 lines
Changed paths:
   M /trunk/wiretap/dct3trace.c

From Duncan Salerno:
Ensure dct3trac packets never longer than 23 bytes.
------------------------------------------------------------------------
r28839 | stig | 2009-06-24 18:50:56 -0700 (Wed, 24 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c

Remove a tvb_free() call.

------------------------------------------------------------------------
r28840 | stig | 2009-06-24 19:07:17 -0700 (Wed, 24 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h

From Nathan Hartwell via bug 2733:
Added time_secs_to_str_unsigned().

------------------------------------------------------------------------
r28841 | stig | 2009-06-24 19:08:06 -0700 (Wed, 24 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Nathan Hartwell via bug 2733:
Use time_secs_to_str_unsigned().

------------------------------------------------------------------------
r28842 | stig | 2009-06-24 19:13:35 -0700 (Wed, 24 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/to_str.c

Unsigned does not have msign.

------------------------------------------------------------------------
r28843 | etxrab | 2009-06-24 22:59:04 -0700 (Wed, 24 Jun 2009) | 1 line
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c

tvb_new_real_data()->tvb_child_new_real_data()
------------------------------------------------------------------------
r28844 | stig | 2009-06-25 19:38:23 -0700 (Thu, 25 Jun 2009) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-cip.h
   M /trunk/epan/dissectors/packet-enip.c
   A /trunk/epan/dissectors/packet-enip.h

From Joakim Wiberg via bug 3103:
Various improvements to the CIP and ENIP dissectors.

From me:
Updated to latest trunk changes.

------------------------------------------------------------------------
r28845 | stig | 2009-06-25 20:20:12 -0700 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c

tvb_child_new_real_data() -> tvb_new_child_real_data()

------------------------------------------------------------------------
r28846 | stig | 2009-06-25 20:24:08 -0700 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Use NULL for empty blurb.

------------------------------------------------------------------------
r28847 | stig | 2009-06-25 20:37:30 -0700 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Small whitespace cleanup.

------------------------------------------------------------------------
r28848 | stig | 2009-06-25 20:59:01 -0700 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h282.c
   M /trunk/epan/dissectors/packet-h283.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h460.c
   M /trunk/epan/dissectors/packet-h501.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-p7.c
   M /trunk/epan/dissectors/packet-p7.h
   M /trunk/epan/dissectors/packet-pcap.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-rnsap.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-x2ap.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x411.h
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509sat.c

Re-generate asn1 dissectors after hf_register_info cleanup.

------------------------------------------------------------------------
r28849 | etxrab | 2009-06-25 22:48:03 -0700 (Thu, 25 Jun 2009) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/diameter/dictionary.xml
   A /trunk/diameter/eap.xml
   M /trunk/diameter/nasreq.xml
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/packaging/nsis/wireshark.nsi

From Sebastien Decugis:
Add Missing Diameter EAP support.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3600
------------------------------------------------------------------------
r28850 | tuexen | 2009-06-26 08:08:04 -0700 (Fri, 26 Jun 2009) | 12 lines
Changed paths:
   M /trunk/wiretap/pcapng.c

* Allocate enough memory for reading a packet.
* Initialize pseudoheader.
* Add some input validation / protection code.
* Fix some return values.
* Clean up some whitespaces.

This fixes Bug 3565. Thanks to Tyson Key how reported
the issue and provided capture files for debugging.

This fix is scheduled for inclusion in Wireshark 1.2.1
and higher.

------------------------------------------------------------------------
r28851 | tuexen | 2009-06-26 08:25:22 -0700 (Fri, 26 Jun 2009) | 2 lines
Changed paths:
   M /trunk/wiretap/pcapng.c

Disable debug output.

------------------------------------------------------------------------
r28852 | gerald | 2009-06-26 14:25:09 -0700 (Fri, 26 Jun 2009) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/dumpcap.c

Unfortunately, r28452 seems to cause more problems than it fixes. Back
out the change for now.

------------------------------------------------------------------------
r28853 | gerald | 2009-06-26 16:05:04 -0700 (Fri, 26 Jun 2009) | 2 lines
Changed paths:
   M /trunk/gtk/prefs_column.c

Add a tooltip in case it's not obvious how to rearrange the columns.

------------------------------------------------------------------------
r28854 | rbalint | 2009-06-26 23:32:52 -0700 (Fri, 26 Jun 2009) | 2 lines
Changed paths:
   M /trunk/configure.in

Strictly require flex instead of allowing lex, too.

------------------------------------------------------------------------
r28855 | rbalint | 2009-06-27 01:13:39 -0700 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/configure.in

Revert commit 28854.

------------------------------------------------------------------------
r28856 | etxrab | 2009-06-27 03:31:42 -0700 (Sat, 27 Jun 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/drsuapi/template.c
   M /trunk/epan/dissectors/dcerpc/idl2wrs.c
   M /trunk/epan/dissectors/ncp2222.py
   M /trunk/epan/dissectors/pidl/atsvc.cnf
   M /trunk/epan/dissectors/pidl/mapi/mapi.cnf
   M /trunk/epan/dissectors/pidl/mapi/request.cnf.c
   M /trunk/epan/dissectors/pidl/mapi/response.cnf.c

From Kovarththanan Rajaratnam:
- Fix ncp2222.py and all the epan/dissectors/dcerpc dissectors. The
latter required changes to idl2wrs which used variadic macros (not supported in MSVC 6.0).

- Cleanup PIDL conformance files
------------------------------------------------------------------------
r28857 | tuexen | 2009-06-27 04:39:47 -0700 (Sat, 27 Jun 2009) | 8 lines
Changed paths:
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/pcap-common.h
   M /trunk/wiretap/pcapng.c

This commit
* adds an encap argument to pcap_process_pseudo_header.
* adds support for reading pseudo headers.
It fixes Bug 3560.
Thanks to Tyson Key for reporting the bug and providing
trace files. This fix will be scheduled for inclusion in
Wireshark 1.2.1 and higher.

------------------------------------------------------------------------
r28858 | tuexen | 2009-06-27 05:14:18 -0700 (Sat, 27 Jun 2009) | 10 lines
Changed paths:
   M /trunk/wiretap/pcapng.c

If all interfaces use the same encapsulation, use
this a the file encapsulation.

This fixes a bug where you can not save a file
in libpcap format when you captured it as a
pcapng one.

This fix will be scheduled for Wireshark 1.2.1
and higher.

------------------------------------------------------------------------
r28859 | tuexen | 2009-06-27 05:41:06 -0700 (Sat, 27 Jun 2009) | 7 lines
Changed paths:
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/pcap-common.h
   M /trunk/wiretap/pcapng.c

This patch
* adds an encapsulation argument to pcap_write_phdr.
* writes the pseudo header when writing pcapng files.

This fixes a bug where you could not write pcapng files
when using encapsulations requiring pseudo headers.

------------------------------------------------------------------------
r28860 | etxrab | 2009-06-27 05:41:39 -0700 (Sat, 27 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Greg Schwendimann:
802.11 decryption is broken
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3590
------------------------------------------------------------------------
r28861 | etxrab | 2009-06-27 06:37:03 -0700 (Sat, 27 Jun 2009) | 2 lines
Changed paths:
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

From   yin sun:
h248 term wildcard enhancement
------------------------------------------------------------------------
r28862 | tuexen | 2009-06-27 08:20:44 -0700 (Sat, 27 Jun 2009) | 9 lines
Changed paths:
   M /trunk/wiretap/pcapng.c
   M /trunk/wiretap/wtap-int.h

Add support for writing pcapng files with multiple
encapsulations.
This fixes a bug reported by Sake during the
Sharkfest 09. Thanks for providing a
Netscreen tracefile with multiple link layer
types.
This patch will be included in Wireshark 1.2.1
and higher.

------------------------------------------------------------------------
r28863 | tuexen | 2009-06-27 09:08:18 -0700 (Sat, 27 Jun 2009) | 3 lines
Changed paths:
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/pcap-common.h
   M /trunk/wiretap/pcapng.c

Cleanup. Should be included in Wireshark 1.2.1 and higher to keep
merging future bug fixes simple.

------------------------------------------------------------------------
r28864 | tuexen | 2009-06-27 10:33:23 -0700 (Sat, 27 Jun 2009) | 3 lines
Changed paths:
   M /trunk/wiretap/pcapng.c

Another cleanup. We are now back to Ulf's original
model of data handling.

------------------------------------------------------------------------
r28865 | tuexen | 2009-06-27 11:10:10 -0700 (Sat, 27 Jun 2009) | 3 lines
Changed paths:
   M /trunk/wiretap/libpcap.c

Fix copy/paste error introduced in rev. 28863.
Thanks to Guy for finding and reporting it. 

------------------------------------------------------------------------
r28866 | tuexen | 2009-06-27 11:50:13 -0700 (Sat, 27 Jun 2009) | 6 lines
Changed paths:
   M /trunk/wiretap/pcapng.c

Accept file snaplen larger than WTAP_MAX_PACKET_SIZE,
text2pcap uses 102400.
This fixes bug 3620. Thanks to Tyson Key for reporting the bug
and providing capture files.
This fix should be included in Wireshark 1.2.1 and higher.

------------------------------------------------------------------------
r28867 | rbalint | 2009-06-27 21:20:10 -0700 (Sat, 27 Jun 2009) | 4 lines
Changed paths:
   M /trunk/configure.in

Strictly require flex instead of allowing lex, too.
It compiles now.
This fixes bug 1641.

------------------------------------------------------------------------
r28868 | tuexen | 2009-06-28 04:09:24 -0700 (Sun, 28 Jun 2009) | 7 lines
Changed paths:
   M /trunk/wiretap/pcapng.c

Stop loading a pcapng file with multiple section header blocks.
This fixes a bug reported by Tyson Key as a follow up of Bug 3560.
Also some cleanups and debug output improvements.

Thanks to Tyson Key for reporting the bug and providing a tracefile.
This fix will be included in Wireshark 1.2.1 and higher.

------------------------------------------------------------------------
r28869 | gerald | 2009-06-28 08:03:26 -0700 (Sun, 28 Jun 2009) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2009-06-28]
------------------------------------------------------------------------
r28872 | etxrab | 2009-06-28 08:18:27 -0700 (Sun, 28 Jun 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-homeplug.c

From Jon Smirl:
More packet decoding for Intellon powerline devices.

From me put proto_register_homeplug() last in the file and whitespace changes.
------------------------------------------------------------------------
r28873 | etxrab | 2009-06-28 08:22:43 -0700 (Sun, 28 Jun 2009) | 3 lines
Changed paths:
   M /trunk/gtk/tcp_graph.c

From   Sean Walberg:
The title in the TCP sequence graphs is too short.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3556
------------------------------------------------------------------------
r28874 | rbalint | 2009-06-28 09:31:27 -0700 (Sun, 28 Jun 2009) | 4 lines
Changed paths:
   D /trunk/aclocal-fallback/libgnutls.m4
   M /trunk/configure.in

Detect gnutls via pkg-config instead of the deprecated libgnutls-config.
Based on patch from Andreas Metzler.
This fixes bug 3627.

------------------------------------------------------------------------
r28875 | jake | 2009-06-28 09:39:31 -0700 (Sun, 28 Jun 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-hip.c

Make dissector handle unexpected data better.
------------------------------------------------------------------------
r28876 | guy | 2009-06-28 10:23:07 -0700 (Sun, 28 Jun 2009) | 3 lines
Changed paths:
   M /trunk/aclocal-flags

We only support GLib 2.x/GTK+ 2.x, which uses pkg-config, not
gtk-config; use it instead.

------------------------------------------------------------------------
r28877 | tuexen | 2009-06-28 11:22:15 -0700 (Sun, 28 Jun 2009) | 3 lines
Changed paths:
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/wtap.h

Add support for DLT_PPP_WITH_DIR. This fixes bug 3619.
Thanks for Tyson Key for reporting the issue.

------------------------------------------------------------------------
r28878 | wmeier | 2009-06-28 13:01:37 -0700 (Sun, 28 Jun 2009) | 3 lines
Changed paths:
   M /trunk/gtk/proto_dlg.c

Analyze!Enabled Protocols: Fix so type-ahead find OK w/o needing to first select a row.
 Ditto when clicking on a column header to change the sort order.

------------------------------------------------------------------------
r28879 | ulfl | 2009-06-28 14:13:51 -0700 (Sun, 28 Jun 2009) | 3 lines
Changed paths:
   M /trunk/gtk/capture_if_details_dlg_win32.c

fix bug #3439 (thanks to Kovarththanan Rajaratnam), make WS compilable under MSVC2005(EE) again.

Some definitions are not available on MSVC2005. This fix "detects" the MSVC version used, it might still not work with MSVC2008EE though (I guess the required definitions are depending on the Windows SDK installed).
------------------------------------------------------------------------
r28880 | gal | 2009-06-29 06:01:54 -0700 (Mon, 29 Jun 2009) | 9 lines
Changed paths:
   D /trunk/packaging/portableapps/win32/WiresharkPortable.ini
   M /trunk/packaging/portableapps/win32/WiresharkPortable.nsi
   A /trunk/packaging/portableapps/win32/WiresharkPortable.tmpl
   M /trunk/packaging/portableapps/win32/makefile.nmake

Changes to address bug 3547:

1) Make sure WiresharkPortable.nsi uses correct WinPcap version (from config.nmake), and also vcredist.
2) Automatically generate WiresharkPortable.ini with correct default values
3) Include readme.txt in the distribution so that users know how to use WiresharkPortable.ini

Thanks to Kovarththanan Rajaratnam for basic patch.


------------------------------------------------------------------------
r28881 | etxrab | 2009-06-29 12:24:14 -0700 (Mon, 29 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-atm.h
   M /trunk/epan/dissectors/packet-bfd.c
   M /trunk/epan/dissectors/packet-mpls.c
   M /trunk/epan/dissectors/packet-pw-atm.c
   A /trunk/epan/dissectors/packet-pw-atm.h
   M /trunk/epan/dissectors/packet-pw-cesopsn.c
   M /trunk/epan/dissectors/packet-pw-common.c
   M /trunk/epan/dissectors/packet-pw-common.h
   M /trunk/epan/dissectors/packet-pw-satop.c
   M /trunk/epan/packet_info.h

From Artem Tamazov:
Added: PW ATM 1:1, AAL5 SDU, AAL5 PDU support + BFD fix + PW ATM OAM fix
------------------------------------------------------------------------
r28882 | stig | 2009-06-29 13:16:20 -0700 (Mon, 29 Jun 2009) | 2 lines
Changed paths:
   M /trunk/packaging/Makefile.am
   M /trunk/packaging/portableapps/win32

WiresharkPortable.ini -> WiresharkPortable.tmpl

------------------------------------------------------------------------
r28883 | jmayer | 2009-06-29 13:35:47 -0700 (Mon, 29 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-glbp.c

Add value for vfstate: active

------------------------------------------------------------------------
r28884 | wmeier | 2009-06-29 13:59:26 -0700 (Mon, 29 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btl2cap.c

From  Kovarththanan Rajaratnam: Fix for Bug #3572 
[http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3572]

------------------------------------------------------------------------
r28885 | rbalint | 2009-06-29 15:22:30 -0700 (Mon, 29 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-data.c

Added option to show not dissected packet data on a separate packet bytes pane.
It makes offsets in the not dissected data easier to follow.

------------------------------------------------------------------------
r28886 | gerald | 2009-06-29 16:08:05 -0700 (Mon, 29 Jun 2009) | 3 lines
Changed paths:
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_dlg.h
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/airpcap_gui_utils.h
   M /trunk/gtk/keys.h
   M /trunk/gtk/main_airpcap_toolbar.c

Fix a couple of AirPcap channel/offset bugs. Remove an unused
routine. Fixup whitespace in a couple of places.

------------------------------------------------------------------------
r28887 | guy | 2009-06-29 17:32:20 -0700 (Mon, 29 Jun 2009) | 2 lines
Changed paths:
   M /trunk/gtk/airpcap_gui_utils.c

Put in missing newline at the end.

------------------------------------------------------------------------
r28888 | stig | 2009-06-30 01:28:21 -0700 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

Cleanup protocol name for ldap.

------------------------------------------------------------------------
r28889 | stig | 2009-06-30 03:38:00 -0700 (Tue, 30 Jun 2009) | 6 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

Changed check for having multiple ldap PDU's in one frame.
The previous check is incorrect when the first ldap frame in the capture is
selected and the filter is changed, or selecting "Follow TCP Stream".

Also removed check_col().

------------------------------------------------------------------------
r28890 | stig | 2009-06-30 05:26:11 -0700 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-simulcrypt.c

Always register to tcp.port to be able to decode as.

------------------------------------------------------------------------
r28891 | wmeier | 2009-06-30 06:57:26 -0700 (Tue, 30 Jun 2009) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

packet-radius: Fix exception CLEANUP handling when malformed attribute list/pair seen;
Fixes crash reported in Bug #3578. [https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3578]
Essentially: CLEANUP_CALL_AND_POP wasn't being executed for certain error exits from
 dissect_attribute_pairs() thus leaving a CLEANUP entry on the exception stack.
Also: vsa_buffer_table wasn't being destroyed if an exception occurred in dissect_attribute_pairs.

------------------------------------------------------------------------
r28892 | sfisher | 2009-06-30 11:05:04 -0700 (Tue, 30 Jun 2009) | 14 lines
Changed paths:
   M /trunk/color_filters.c
   M /trunk/file.c
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/drag_and_drop.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/gtkglobals.h
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/main_packet_list.h
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/main_toolbar.c
   M /trunk/gtk/menus.c
   A /trunk/gtk/new_packet_list.c
   A /trunk/gtk/new_packet_list.h
   A /trunk/gtk/packet_list_store.c
   A /trunk/gtk/packet_list_store.h
   M /trunk/gtk/prefs_column.c
   M /trunk/gtk/prefs_gui.c
   M /trunk/gtk/prefs_stream.c
   M /trunk/gtk/recent.c
   M /trunk/ui_util.h


Introduce experimental new feature: GTK2 tree view based packet list

To use the GTK2 based packet list, define NEW_PACKET_LIST when compiling.
To do this with gcc, set the environment variable CPPFLAGS to
"-DNEW_PACKET_LIST" and re-run configure.

Many features do not yet work.  This work began with prototypes by Ulf
quite a while back.  I've put quite a bit of work into this so far and
as discussed with a few of the core team members at Sharkfest09 and it was
decided that it would be best to commit what I have so far to allow others to
help work on this.


------------------------------------------------------------------------
r28893 | guy | 2009-06-30 12:09:18 -0700 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c

Fix typo.

------------------------------------------------------------------------
r28894 | guy | 2009-06-30 12:10:11 -0700 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/gtk/main_packet_list.c

Fix typo.

------------------------------------------------------------------------
r28895 | wmeier | 2009-06-30 12:52:43 -0700 (Tue, 30 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tte.c

From: Benjamin Roch: Enhancements and small fixes for packet-tte.c dissector;
Also: a few minor mostly formatting changes by me.

------------------------------------------------------------------------
r28896 | gerald | 2009-06-30 13:28:26 -0700 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

Add assert and assert_perror to the 'abort' list.

------------------------------------------------------------------------
r28897 | gerald | 2009-06-30 13:59:51 -0700 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sflow.c

Add some length checks. Fixes bug 3567.

------------------------------------------------------------------------
r28898 | guy | 2009-06-30 16:49:34 -0700 (Tue, 30 Jun 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mtp3.c

Get rid of assert() call; either the pointer will never be null, in
which case it won't crash, or it will be null, in which case that just
trades one crash for another, and we should fix the crash.

------------------------------------------------------------------------
r28899 | guy | 2009-06-30 16:52:20 -0700 (Tue, 30 Jun 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pw-common.c

Don't crash if a null pointer is passed, just skip the appending of the
items.

------------------------------------------------------------------------
r28900 | guy | 2009-06-30 16:56:26 -0700 (Tue, 30 Jun 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pw-atm.c

Replace one assert() with DISSECTOR_ASSET(), so we don't crash, and get
rid of another, as the pointer in question is non-null in all calls (if
somebody adds another call with a null pointer, it'll crash when
dereferencing the pointer in any case).

------------------------------------------------------------------------
r28901 | jmayer | 2009-06-30 22:27:34 -0700 (Tue, 30 Jun 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ismp.c

- Put ISMP.EDP into the protocol column to make it clearer
  that filtering on edp is not going to help
- Make it possible to filter on ismp.edp
- In case of edp fill info column

------------------------------------------------------------------------
r28902 | stig | 2009-07-01 00:21:13 -0700 (Wed, 01 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-simulcrypt.c

Added support for Simulcrypt EMMG <-> MUX,
and generic support for other interfaces.

------------------------------------------------------------------------
r28903 | etxrab | 2009-07-01 01:23:32 -0700 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/gtk/capture_file_dlg.c

Make it possible to configure use of NEW_PACKET_LIST and fix
one compile error. It still fails in file.c trying to include gtk/gtk.h in new_packet_list.h
------------------------------------------------------------------------
r28904 | stig | 2009-07-01 02:05:13 -0700 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c

Added NEW_PACKET_LIST guard for new_packet_list.h

------------------------------------------------------------------------
r28905 | stig | 2009-07-01 04:12:58 -0700 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake

Try to fix HAVE_NEW_PACKET_LIST handling.

------------------------------------------------------------------------
r28906 | etxrab | 2009-07-01 04:40:24 -0700 (Wed, 01 Jul 2009) | 1 line
Changed paths:
   M /trunk/config.nmake

Sligtly modify Stig's fix, I forgot the makefile change :-(
------------------------------------------------------------------------
r28907 | etxrab | 2009-07-01 07:37:02 -0700 (Wed, 01 Jul 2009) | 1 line
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h
   M /trunk/gtk/packet_list_store.c
   M /trunk/ui_util.h

Make the new packet list compile on Windows.
------------------------------------------------------------------------
r28908 | gerald | 2009-07-01 08:56:12 -0700 (Wed, 01 Jul 2009) | 3 lines
Changed paths:
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/airpcap_gui_utils.h
   M /trunk/gtk/main_airpcap_toolbar.c

Fix a key entry bug in the decryption key dialog. Remove some unused /
unnecessary functions. Clean up code in a couple of places.

------------------------------------------------------------------------
r28909 | etxrab | 2009-07-01 10:39:19 -0700 (Wed, 01 Jul 2009) | 1 line
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h
   M /trunk/ui_util.h

Realy make the new packet list compile under Windows...
------------------------------------------------------------------------
r28910 | guy | 2009-07-01 10:40:08 -0700 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pw-atm.c

Thou shalt not call assert() in dissectors.

------------------------------------------------------------------------
r28911 | gerald | 2009-07-01 12:36:24 -0700 (Wed, 01 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Try to fix fuzzing errors in bug 3636. When dissecting an options
template, differentiate between Netflow v9 and IPFIX, which require
different interpretations. Add other minor fixes and comments.

------------------------------------------------------------------------
r28912 | gerald | 2009-07-01 13:56:03 -0700 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Add a couple of IPFIX labels where they differ from Netflow.

------------------------------------------------------------------------
r28913 | stig | 2009-07-01 14:20:18 -0700 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-simulcrypt.c

Added error value tables.

------------------------------------------------------------------------
r28914 | gerald | 2009-07-01 16:36:35 -0700 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Fix a couple of labels.

------------------------------------------------------------------------
r28915 | gerald | 2009-07-01 16:36:51 -0700 (Wed, 01 Jul 2009) | 5 lines
Changed paths:
   M /trunk/dumpcap.c
   M /trunk/file.c
   M /trunk/gtk/follow_stream.c
   M /trunk/gtk/follow_stream.h
   M /trunk/gtk/follow_tcp.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/iax2_analysis.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/tempfile.c
   M /trunk/tempfile.h

Updates to create_tempfile:

  - Use g_get_tmp_dir, just like get_tempfile_path.
  - Don't make the caller worry about the path buffer length.

------------------------------------------------------------------------
r28916 | gerald | 2009-07-01 19:50:24 -0700 (Wed, 01 Jul 2009) | 2 lines
Changed paths:
   M /trunk/gtk/follow_stream.c

Fix the build.

------------------------------------------------------------------------
r28917 | stig | 2009-07-01 23:51:27 -0700 (Wed, 01 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mip6.h

From Albert Chin:
Small patch to make it compile on AIX.

------------------------------------------------------------------------
r28918 | stig | 2009-07-02 02:08:11 -0700 (Thu, 02 Jul 2009) | 5 lines
Changed paths:
   M /trunk/gtk/main.c

Move updating menus with new recent values to a point after we have created
the new packet list, because we relay on the columns for time values.

This fixes bug 3640.

------------------------------------------------------------------------
r28919 | etxrab | 2009-07-02 09:54:20 -0700 (Thu, 02 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-nfs.h

From   Radek Vok?\195?\161l:
Support for new NFSv4 features.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3258
------------------------------------------------------------------------
r28920 | gerald | 2009-07-02 10:20:27 -0700 (Thu, 02 Jul 2009) | 8 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.common
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/configure.in
   M /trunk/gtk/hostlist_table.c
   D /trunk/mkstemp.c
   D /trunk/mkstemp.h
   M /trunk/tempfile.c
   M /trunk/tempfile.h

Pull mkstemp() into tempfile.c. That's the only place we use it now, and
it's arguably the only place we _should_ use it. Add create_tempdir() to
tempfile.c and use it to create a temp directory for IP maps. This
should fix bug 3530.

(This still doesn't work on IE 8 / Vista here. IE gives an access denied
error in OpenLayers.js, but this is a separate issue).

------------------------------------------------------------------------
r28921 | etxrab | 2009-07-02 11:22:41 -0700 (Thu, 02 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/packet_list_store.c

Don't resort the list for every row, the list will be in packet order any way. And "clicking" on the column titles will resort the list.
------------------------------------------------------------------------
r28922 | etxrab | 2009-07-02 11:24:26 -0700 (Thu, 02 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/packet_list_store.c

This time with the comment...
------------------------------------------------------------------------
r28923 | gerald | 2009-07-02 12:50:35 -0700 (Thu, 02 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/libwireshark.def

mkstemp cleanups.

------------------------------------------------------------------------
r28924 | tuexen | 2009-07-02 12:52:47 -0700 (Thu, 02 Jul 2009) | 4 lines
Changed paths:
   M /trunk/wiretap/btsnoop.c

Patch from Alex Badea for Bug 3645.

This fix will be included in Wireshark 1.2.1.

------------------------------------------------------------------------
r28925 | guy | 2009-07-02 13:10:05 -0700 (Thu, 02 Jul 2009) | 7 lines
Changed paths:
   M /trunk/wiretap/btsnoop.c

Don't dump out the raw link-layer type when noting that
KHciLoggerDatalinkTypeBCSP and KHciLoggerDatalinkTypeH5 aren't supported
- just explicitly say "BSCP" or "H5".

For unknown link-layer types, say "unknown or unsupported", as other
Wiretap modules do.

------------------------------------------------------------------------
r28926 | gerald | 2009-07-02 13:35:46 -0700 (Thu, 02 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c

Update documentation links.

------------------------------------------------------------------------
r28927 | gerald | 2009-07-02 13:35:58 -0700 (Thu, 02 Jul 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Kovarththanan Rajaratnam via bug 3567:

The template cache contains pointers that are session-scope (only freed in
netflow_reinit()) but still we use g_malloc(). This patch changes that so we
now use se_alloc(). With this patch I'm able to reproduce the crash
("Per-session memory corrupted").

------------------------------------------------------------------------
r28928 | sfisher | 2009-07-02 14:06:24 -0700 (Thu, 02 Jul 2009) | 4 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

Allow the new packet list's columns to be moved back
and forth while the packet list is open without having
to go into the preferences.  The new column ordering is
not saved for next time though.  Perhaps it should be.
------------------------------------------------------------------------
r28929 | tuexen | 2009-07-02 15:04:22 -0700 (Thu, 02 Jul 2009) | 2 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/ui_util.h

Get it compiling with -DNEW_PACKET_LIST on Mac OS X.

------------------------------------------------------------------------
r28930 | gerald | 2009-07-02 17:17:06 -0700 (Thu, 02 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Try to allocate enough memory on all platforms.

------------------------------------------------------------------------
r28931 | wmeier | 2009-07-02 18:11:23 -0700 (Thu, 02 Jul 2009) | 12 lines
Changed paths:
   M /trunk/epan/dfilter/semcheck.c
   M /trunk/gtk/dfilter_expr_dlg.c

From  Kovarththanan Rajaratnam: Fixes for bug #3536
(plus some additional changes by me).

Handle BASE_RANGE_STRING display types properly

We always treat header field info strings as value_string's undiscriminated.
However, if the header field info display is marked as BASE_RANGE_STRING, we
need to treat them as range_string's. This wasn't properly handled in the
filter expression dialog and in the filter toolbar which would cause a crash
upon referencing any fields marked as BASE_RANGE_STRING.


------------------------------------------------------------------------
r28932 | ulfl | 2009-07-03 02:12:43 -0700 (Fri, 03 Jul 2009) | 3 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c
   M /trunk/plugins/profinet/packet-pn-rt.c

update to the latest PROFINET drafts

(defragmentation of RT fragments "FRAG-PDU" is still not implemented)
------------------------------------------------------------------------
r28933 | ulfl | 2009-07-03 02:35:40 -0700 (Fri, 03 Jul 2009) | 1 line
Changed paths:
   M /trunk/doc

ignore copied ws.css for commits
------------------------------------------------------------------------
r28934 | tuexen | 2009-07-03 03:29:45 -0700 (Fri, 03 Jul 2009) | 2 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c
   M /trunk/plugins/profinet/packet-pn-rt.c

Make the compiler on Mac OS X happy...

------------------------------------------------------------------------
r28935 | etxrab | 2009-07-03 04:45:42 -0700 (Fri, 03 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

From Chris Costa:
NDMP fragmentation fix.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3395
------------------------------------------------------------------------
r28936 | etxrab | 2009-07-03 06:05:45 -0700 (Fri, 03 Jul 2009) | 2 lines
Changed paths:
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/config.nmake
   M /trunk/epan/dissectors/packet-ndmp.c

Fix:
packet-ndmp.c:562: warning: unused parameter 'pinfo'
------------------------------------------------------------------------
r28937 | wmeier | 2009-07-03 09:03:02 -0700 (Fri, 03 Jul 2009) | 29 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/radius_dict.l

From: Tobias Witek: Fix processing of radius 'vendor specific attributes'

In the RADIUS dissector, the function radius_register_avp_dissector() registers
vendors that are not already present in the dictionary hash-table. As far as I
can see, there are two problems with this:

1. The function does not set the number of type/length octets and the has_flags
 variable for that AVP, which is required to correctly decode AVP/VSA values
2. In some situations, the function is called _before_ radius_load_dictionary()
is called (for example for the vendor 3GPP (ID: 10415))

Therefore, all vendor entries that are created by calling
radius_register_avp_dissector() leave their type_octets and length_octets un-initialized,
which causes incorrect decoding.

[Result: Radius dissector displays messages such as:
 "Malformed Packet: RADIUS" and "Error/Malformed: Malformed Packet(Exception occurred)"]

The attached patch fixes this problem by assuming that the dictionary knows the
'ground truth' about the type/length octet and the has_flags information and allows it to
overwrite these values even for vendors that have already been loaded.

Also: (from Bill Meier): set the type/length octet and the has_flags variables to default
"standard" values (1,1,FALSE) in radius_register_avp_dissector().

Fixes Bug #3651 (and Bug #3635).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3651
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3635

------------------------------------------------------------------------
r28938 | guy | 2009-07-03 10:12:36 -0700 (Fri, 03 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

Set save_fragmented regardless of whether we're reassembling or not, as
we restore it regardless of whether we're reassembling or not.

------------------------------------------------------------------------
r28939 | etxrab | 2009-07-04 08:15:51 -0700 (Sat, 04 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

A fix for:
"ANSI ISUP Cause indicators with coding standard=ANSI fail to dissect."
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3654
------------------------------------------------------------------------
r28940 | etxrab | 2009-07-05 04:49:36 -0700 (Sun, 05 Jul 2009) | 3 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-homeplug.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ldap.h
   M /trunk/epan/dissectors/packet-slowprotocols.c

From Kovarththanan Rajaratnam:
Cleanup header_field_info definitions
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3548
------------------------------------------------------------------------
r28941 | gerald | 2009-07-05 08:03:31 -0700 (Sun, 05 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2009-07-05]
------------------------------------------------------------------------
r28944 | etxrab | 2009-07-05 09:22:20 -0700 (Sun, 05 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

gtk_tree_view_set_fixed_height_mode() is GTK 2.6
------------------------------------------------------------------------
r28945 | ulfl | 2009-07-06 02:46:28 -0700 (Mon, 06 Jul 2009) | 1 line
Changed paths:
   M /trunk/plugins/Custom.nmake.example

fix install step
------------------------------------------------------------------------
r28946 | wmeier | 2009-07-06 05:39:58 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   A /trunk/radius/dictionary.airespace
   A /trunk/radius/dictionary.alvarion
   A /trunk/radius/dictionary.apc
   A /trunk/radius/dictionary.asn
   A /trunk/radius/dictionary.avaya
   A /trunk/radius/dictionary.azaire
   A /trunk/radius/dictionary.chillispot
   A /trunk/radius/dictionary.clavister
   A /trunk/radius/dictionary.dhcp
   A /trunk/radius/dictionary.digium
   A /trunk/radius/dictionary.epygi
   A /trunk/radius/dictionary.fortinet
   A /trunk/radius/dictionary.freeswitch
   A /trunk/radius/dictionary.h3c
   A /trunk/radius/dictionary.hp
   A /trunk/radius/dictionary.huawei
   A /trunk/radius/dictionary.infonet
   A /trunk/radius/dictionary.ipunplugged
   A /trunk/radius/dictionary.issanni
   A /trunk/radius/dictionary.jradius
   A /trunk/radius/dictionary.lancom
   A /trunk/radius/dictionary.lucent
   A /trunk/radius/dictionary.manzara
   A /trunk/radius/dictionary.motorola
   A /trunk/radius/dictionary.networkphysics
   A /trunk/radius/dictionary.nexans
   A /trunk/radius/dictionary.nokia.conflict
   A /trunk/radius/dictionary.nortel
   A /trunk/radius/dictionary.ntua
   A /trunk/radius/dictionary.openser
   A /trunk/radius/dictionary.packeteer
   A /trunk/radius/dictionary.patton
   A /trunk/radius/dictionary.prosoft
   A /trunk/radius/dictionary.quiconnect
   A /trunk/radius/dictionary.rfc2865
   A /trunk/radius/dictionary.rfc2866
   A /trunk/radius/dictionary.rfc2867
   A /trunk/radius/dictionary.rfc2868
   A /trunk/radius/dictionary.rfc2869
   A /trunk/radius/dictionary.rfc3162
   A /trunk/radius/dictionary.rfc3576
   A /trunk/radius/dictionary.rfc3580
   A /trunk/radius/dictionary.rfc4072
   A /trunk/radius/dictionary.rfc4372
   A /trunk/radius/dictionary.rfc4675
   A /trunk/radius/dictionary.rfc4679
   A /trunk/radius/dictionary.rfc4818
   A /trunk/radius/dictionary.rfc4849
   A /trunk/radius/dictionary.rfc5090
   A /trunk/radius/dictionary.rfc5176
   A /trunk/radius/dictionary.riverstone
   A /trunk/radius/dictionary.roaringpenguin
   A /trunk/radius/dictionary.slipstream
   A /trunk/radius/dictionary.sofaware
   A /trunk/radius/dictionary.telkom
   A /trunk/radius/dictionary.tropos
   A /trunk/radius/dictionary.utstarcom
   A /trunk/radius/dictionary.vqp
   A /trunk/radius/dictionary.walabi
   A /trunk/radius/dictionary.waverider
   A /trunk/radius/dictionary.xylan
   A /trunk/radius/dictionary.zyxel

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 1: New files

------------------------------------------------------------------------
r28947 | etxrab | 2009-07-06 05:50:12 -0700 (Mon, 06 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Decode error for network-id in BICC BCU-ID

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3648
------------------------------------------------------------------------
r28948 | jmayer | 2009-07-06 06:00:04 -0700 (Mon, 06 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-glbp.c

Fix for bug 3660: Length (guint32) could become 0 or very large
(overflow).

------------------------------------------------------------------------
r28949 | etxrab | 2009-07-06 06:34:30 -0700 (Mon, 06 Jul 2009) | 1 line
Changed paths:
   M /trunk/config.nmake

Revert checkin made by misstake(don't use new packet list).
------------------------------------------------------------------------
r28950 | stig | 2009-07-06 06:53:01 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/file.c

Removed an incorrect optimalization for invalidating packet in row 0.

------------------------------------------------------------------------
r28951 | stig | 2009-07-06 06:59:09 -0700 (Mon, 06 Jul 2009) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-cip.h

From Joakim Wiberg via bug 3670:
This patch correctes serveral minor things.

1. Adds decoding of generic services to classes that have a separate dissect
   function.
2. Adds new error codes.
3. Adds new CIP objects.
4. Extends the VendorID list.

------------------------------------------------------------------------
r28952 | wmeier | 2009-07-06 07:05:37 -0700 (Mon, 06 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-radius.h
   M /trunk/epan/radius_dict.l

Radius: Additional attribute handling:
 - implement "ether" attribute; 
 - parse "abinary" attribute [uses existing radius_abinary()]
Also: add a comment in packet-radius.h about the meaning of the encrypt flag.

------------------------------------------------------------------------
r28953 | etxrab | 2009-07-06 07:09:52 -0700 (Mon, 06 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-iec104.c

Small editorial changes.
------------------------------------------------------------------------
r28954 | stig | 2009-07-06 07:14:13 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cip.h

Rewrite non-ASCII characters.

------------------------------------------------------------------------
r28955 | etxrab | 2009-07-06 08:37:29 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter.c

Initialize memory to zero.
 (is NULL = zero on all platforms?)
------------------------------------------------------------------------
r28956 | gerald | 2009-07-06 10:13:41 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/tap-rtp-common.c

Fix a couple of typos.

------------------------------------------------------------------------
r28957 | etxrab | 2009-07-06 10:37:03 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

CFLOW decoding is wrong for IPv6 fields.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3328
------------------------------------------------------------------------
r28958 | jmayer | 2009-07-06 10:44:02 -0700 (Mon, 06 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip.c

OK, nobody cared about the waring, so just remove the
test for now.

------------------------------------------------------------------------
r28959 | jmayer | 2009-07-06 10:45:40 -0700 (Mon, 06 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ismp.c

Move edp to the top level tree instead of inside the ismp
tree.

------------------------------------------------------------------------
r28960 | jmayer | 2009-07-06 10:49:33 -0700 (Mon, 06 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-glbp.c

Shorten a few variables for values read from the packet.
Inspired by Kovarththanan Rajaratnam's patch for bug 3665
which in turn was a duplicate for the (fixed) bug 3660.

------------------------------------------------------------------------
r28961 | etxrab | 2009-07-06 11:35:05 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/doc/README.developer
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

From Kovarththanan Rajaratnam:
More "Cleanup header_field_info definitions"
------------------------------------------------------------------------
r28962 | etxrab | 2009-07-06 11:36:00 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h

From Kovarththanan Rajaratnam:
More "Cleanup header_field_info definitions"
------------------------------------------------------------------------
r28963 | gerald | 2009-07-06 13:23:32 -0700 (Mon, 06 Jul 2009) | 17 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-miop.c
   D /trunk/epan/dissectors/packet-miop.h

From Kovarththanan Rajaratnam via bug 3652:

This patch protects against malformed Unique ID lengths (>= 252 bytes) and
defer all tvb_xxx related calls to when we actually need them. This allows us
to dissects as much as possible before bailing out (in case of a malformed
length).

From me:

Add a link to the protocol specification.  Remove packet-miop.h along
with some struct definitions. (Don't tvb_memcpy over structs!) Remove
some more tvbuffs.  Don't call proto_item_add_subtree if we're not going
to use the trees.  Call proto_tree_add_item instead of
proto_tree_add_text Remove a bunch of unused ett_ variables.  Add an
expert item for the protocol version.  Register the field array with the
correct length.

------------------------------------------------------------------------
r28964 | etxrab | 2009-07-06 21:41:53 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/ncp2222.py
   M /trunk/epan/dissectors/packet-iwarp-ddp-rdmap.c

From Kovarththanan Rajaratnam:
More "Cleanup header_field_info definitions"
------------------------------------------------------------------------
r28965 | etxrab | 2009-07-06 22:10:20 -0700 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/make-manuf

Add holding|spa to the strings removed from manuf names.
manuf will be automatically rebuilt on Sunday.
------------------------------------------------------------------------
r28966 | etxrab | 2009-07-06 22:43:43 -0700 (Mon, 06 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   D /trunk/epan/dissectors/packet-etheric.c
   D /trunk/epan/dissectors/packet-isup_thin.c

Delete obsolete protocol dissectors.
------------------------------------------------------------------------
r28967 | stig | 2009-07-07 00:45:32 -0700 (Tue, 07 Jul 2009) | 4 lines
Changed paths:
   D /trunk/plugins/unistim/header_field.h
   M /trunk/plugins/unistim/packet-unistim.c

From Kovarththanan Rajaratnam via bug 3548:
Move header_field.h into packet-unistim.c to align it with all other
dissectors.

------------------------------------------------------------------------
r28968 | stig | 2009-07-07 00:46:57 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

From Kovarththanan Rajaratnam via bug 3548:
Minor hf cleanup.

------------------------------------------------------------------------
r28969 | stig | 2009-07-07 01:27:15 -0700 (Tue, 07 Jul 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

From Juli?\195?\131?\194?\161n Lastiri via bug 3656:
ClassifierID should be before Priority field in the Extended Classifier of
PacketCable Multimedia Protocol. Also the reference to PacketCable Multimedia
document PKT-SP-MM-I02-040930 is wrong because there is no definition about
Extended Classifier. My fix is based on PacketCable Multimedia
PKT-SP-MM-I04-080522 document.

------------------------------------------------------------------------
r28970 | stig | 2009-07-07 02:00:33 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/plugins/docsis/packet-bpkmattr.c
   M /trunk/plugins/docsis/packet-dccreq.c
   M /trunk/plugins/docsis/packet-dcd.c
   M /trunk/plugins/docsis/packet-macmgmt.c
   M /trunk/plugins/docsis/packet-tlv.c
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c
   M /trunk/plugins/profinet/packet-pn-mrp.c
   M /trunk/plugins/profinet/packet-pn-mrrt.c
   M /trunk/plugins/profinet/packet-pn-ptcp.c
   M /trunk/plugins/unistim/packet-unistim.c
   M /trunk/plugins/wimax/msg_dcd.c
   M /trunk/plugins/wimax/msg_dreg.c
   M /trunk/plugins/wimax/msg_fpc.c
   M /trunk/plugins/wimax/msg_pmc.c
   M /trunk/plugins/wimax/msg_reg_req.c
   M /trunk/plugins/wimax/msg_rng_req.c
   M /trunk/plugins/wimax/msg_rng_rsp.c
   M /trunk/plugins/wimax/wimax_utils.c

From Kovarththanan Rajaratnam:
More FT_XXX cleanup.

------------------------------------------------------------------------
r28971 | stig | 2009-07-07 02:02:59 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/epan/dissectors/packet-alcap.c
   M /trunk/epan/dissectors/packet-ans.c
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/dissectors/packet-artnet.c
   M /trunk/epan/dissectors/packet-asap.c
   M /trunk/epan/dissectors/packet-bacnet.c
   M /trunk/epan/dissectors/packet-banana.c
   M /trunk/epan/dissectors/packet-bpdu.c
   M /trunk/epan/dissectors/packet-bthci_evt.c
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-cpha.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-enrp.c
   M /trunk/epan/dissectors/packet-enttec.c
   M /trunk/epan/dissectors/packet-fip.c
   M /trunk/epan/dissectors/packet-fractalgeneratorprotocol.c
   M /trunk/epan/dissectors/packet-gdsdb.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-gmrp.c
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-homeplug.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ipmi-app.c
   M /trunk/epan/dissectors/packet-ipmi-se.c
   M /trunk/epan/dissectors/packet-ipmi.c
   M /trunk/epan/dissectors/packet-iuup.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ldss.c
   M /trunk/epan/dissectors/packet-linx.c
   M /trunk/epan/dissectors/packet-nbd.c
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-nhrp.c
   M /trunk/epan/dissectors/packet-ntp.c
   M /trunk/epan/dissectors/packet-pana.c
   M /trunk/epan/dissectors/packet-prp.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-rmp.c
   M /trunk/epan/dissectors/packet-rmt-norm.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtmpt.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-stun.c
   M /trunk/epan/dissectors/packet-stun2.c
   M /trunk/epan/dissectors/packet-trmac.c
   M /trunk/epan/dissectors/packet-tzsp.c
   M /trunk/epan/dissectors/packet-uma.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-wol.c
   M /trunk/epan/dissectors/packet-wps.c

From Kovarththanan Rajaratnam:
More FT_XXX cleanup.

------------------------------------------------------------------------
r28972 | etxrab | 2009-07-07 02:27:52 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x420.c

Cleanup header_field_info definitions
- Regenerating x420 seems to have fixed the "last" problem :-)
------------------------------------------------------------------------
r28973 | etxrab | 2009-07-07 02:42:09 -0700 (Tue, 07 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h

Introduce se_address_to_str()
------------------------------------------------------------------------
r28974 | stig | 2009-07-07 03:07:42 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/asn1/cdt/cdt.cnf
   M /trunk/asn1/cdt/packet-cdt-template.c
   M /trunk/epan/dissectors/packet-bjnp.c
   M /trunk/epan/dissectors/packet-cdt.c
   M /trunk/epan/dissectors/packet-dmp.c
   M /trunk/epan/dissectors/packet-nat-pmp.c
   M /trunk/epan/dissectors/packet-p_mul.c

Remove some check_col() calls.

------------------------------------------------------------------------
r28975 | stig | 2009-07-07 03:12:15 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/ncp2222.py
   M /trunk/epan/gcp.h

From Kovarththanan Rajaratnam:
More header field info cleanup

------------------------------------------------------------------------
r28976 | stig | 2009-07-07 04:13:22 -0700 (Tue, 07 Jul 2009) | 12 lines
Changed paths:
   M /trunk/plugins/ethercat/Makefile.common
   A /trunk/plugins/ethercat/packet-esl.c
   A /trunk/plugins/ethercat/packet-esl.h
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c

From Richard Kummel:
- New dissector for EtherCAT Switch Link Header added to EtherCAT plugin
- Changed filtering of EtherCAT commands to the abbreviated form:
  e.g. ecat.cmd = APWR

From me:
- Mark unused variables
- Fixed a string warning
- Do not initialize a static struct
- Use tfs_yes_no
- Reorder files in Makefile

------------------------------------------------------------------------
r28977 | stig | 2009-07-07 04:33:55 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Added Richard Kummel.

------------------------------------------------------------------------
r28978 | stig | 2009-07-07 04:37:15 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/asn1/s1ap/packet-s1ap-template.c
   M /trunk/diameter/TGPPGmb.xml
   M /trunk/diameter/chargecontrol.xml
   M /trunk/diameter/dictionary.xml
   M /trunk/epan/dissectors/ncp2222.py
   M /trunk/epan/dissectors/packet-cpfi.c
   M /trunk/epan/dissectors/packet-dcerpc-rdaclif.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_acct.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_acl.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_pwd_mgmt.c
   M /trunk/epan/dissectors/packet-ipars.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-x224.c
   M /trunk/plugins/docsis/packet-dccack.c
   M /trunk/plugins/docsis/packet-dccreq.c
   M /trunk/plugins/docsis/packet-dccrsp.c
   M /trunk/plugins/docsis/packet-dcd.c

From Kovarththanan Rajaratnam:
Remove trailing spaces in protocol/field names

------------------------------------------------------------------------
r28979 | stig | 2009-07-07 04:40:40 -0700 (Tue, 07 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h

From Kovarththanan Rajaratnam:
Move hf/ett definitions from packet-infiniband.h -> packet-infiniband.c to
align it with the rest of the bunch

------------------------------------------------------------------------
r28980 | stig | 2009-07-07 04:52:53 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Added credits for Lua BitOp.

------------------------------------------------------------------------
r28981 | stig | 2009-07-07 04:58:23 -0700 (Tue, 07 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-amqp.c

From Kovarththanan Rajaratnam:
Move hf/ett into proto_register_amqp() and do some field cleanup
(duplicate name/blurb removal)

------------------------------------------------------------------------
r28982 | stig | 2009-07-07 05:14:47 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fix.h
   M /trunk/fix/hfField.xsl

From Kovarththanan Rajaratnam:
Duplicate name/blurb removal from packet-fix.h (and template)

------------------------------------------------------------------------
r28983 | stig | 2009-07-07 05:21:25 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Added Kovarththanan Rajaratnam.

------------------------------------------------------------------------
r28984 | stig | 2009-07-07 07:13:45 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

From Kovarththanan Rajaratnam:
Move hf/ett into proto_register_jxta() and do some field cleanup

------------------------------------------------------------------------
r28985 | stig | 2009-07-07 07:23:49 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/tfs.h

Fix prototypes for default tfs sets.

------------------------------------------------------------------------
r28986 | wmeier | 2009-07-07 07:26:38 -0700 (Tue, 07 Jul 2009) | 8 lines
Changed paths:
   M /trunk/plugins/ethercat/packet-esl.c
   M /trunk/plugins/ethercat/packet-esl.h

Various fixes:
1. For some reason: using an using the external tfs_yes_no doesn't work in a plugin;
2. proto_reg_handoff: remove unneeded code;
3. Change the prefs callback to call a function which just enables/disables
   the protocol; (using proto_reg_handoff means that the dissector
   was re-registered each time the pref was changed);
4. packet-esl.h: use #if 0 instead of /* ... */ to comment out code;

------------------------------------------------------------------------
r28987 | stig | 2009-07-07 07:34:33 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mikey.c

No need to include tfs.h

------------------------------------------------------------------------
r28988 | martinm | 2009-07-07 07:38:14 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Add preference for turning off LTE RRC.

------------------------------------------------------------------------
r28989 | stig | 2009-07-07 07:54:15 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/epan/dissectors/packet-9p.c
   M /trunk/epan/dissectors/packet-aim-generic.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-aodv.c
   M /trunk/epan/dissectors/packet-bat.c
   M /trunk/epan/dissectors/packet-bfd.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-dcerpc-svcctl.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcom-dispatch.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-drda.c
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-eapol.c
   M /trunk/epan/dissectors/packet-extreme.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-lapb.c
   M /trunk/epan/dissectors/packet-lapd.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mysql.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-nt-tpcp.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-sap.c
   M /trunk/epan/dissectors/packet-sdlc.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-sqloracle.c
   M /trunk/epan/dissectors/packet-t30.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-v120.c
   M /trunk/epan/dissectors/packet-windows-common.c

Changed flags_set_truth -> tfs_set_notset

------------------------------------------------------------------------
r28990 | stig | 2009-07-07 07:58:25 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/tfs.c
   M /trunk/epan/tfs.h

Removed unused flags_set_truth.
Fixed some capitalizations.

------------------------------------------------------------------------
r28991 | stig | 2009-07-07 08:21:36 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dmp.c

Do not use tfs true_string and false_string directly.

------------------------------------------------------------------------
r28992 | stig | 2009-07-07 09:04:26 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

Added some casts for true_false_string's.

------------------------------------------------------------------------
r28993 | stig | 2009-07-07 09:13:25 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/tfs.h

Revert r28985 to fix tfs prototypes, as it doesn't work...

------------------------------------------------------------------------
r28994 | wmeier | 2009-07-07 10:03:11 -0700 (Tue, 07 Jul 2009) | 4 lines
Changed paths:
   M /trunk/plugins/ethercat/packet-esl.c

Fix the esl protocol enable/disable handling issue introduced in SVN #28986:
  Use the standard "if (!initialized)..." logic in proto_reg_handoff().
Also: use "true_false_string flags_yes_no" as in the original patch.

------------------------------------------------------------------------
r28995 | martinm | 2009-07-07 10:07:24 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

Add expert item to warn of AM data PDUs that don't have any data.

------------------------------------------------------------------------
r28996 | wmeier | 2009-07-07 10:52:03 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/radius/dictionary.3com
   M /trunk/radius/dictionary.acc
   M /trunk/radius/dictionary.alteon
   M /trunk/radius/dictionary.altiga
   M /trunk/radius/dictionary.aptis
   M /trunk/radius/dictionary.bay
   M /trunk/radius/dictionary.bintec
   M /trunk/radius/dictionary.bristol
   M /trunk/radius/dictionary.cabletron
   M /trunk/radius/dictionary.cisco
   M /trunk/radius/dictionary.cisco.bbsm
   M /trunk/radius/dictionary.cisco.vpn5000
   M /trunk/radius/dictionary.colubris
   M /trunk/radius/dictionary.columbia_university
   M /trunk/radius/dictionary.compat
   M /trunk/radius/dictionary.cosine
   M /trunk/radius/dictionary.ericsson
   M /trunk/radius/dictionary.erx
   M /trunk/radius/dictionary.extreme
   M /trunk/radius/dictionary.foundry
   M /trunk/radius/dictionary.gandalf
   M /trunk/radius/dictionary.garderos
   M /trunk/radius/dictionary.gemtek
   M /trunk/radius/dictionary.itk
   M /trunk/radius/dictionary.juniper
   M /trunk/radius/dictionary.karlnet
   M /trunk/radius/dictionary.livingston
   M /trunk/radius/dictionary.localweb
   M /trunk/radius/dictionary.merit
   M /trunk/radius/dictionary.mikrotik
   M /trunk/radius/dictionary.navini
   M /trunk/radius/dictionary.netscreen
   M /trunk/radius/dictionary.nokia
   M /trunk/radius/dictionary.nomadix
   M /trunk/radius/dictionary.propel
   M /trunk/radius/dictionary.quintum
   M /trunk/radius/dictionary.redback
   M /trunk/radius/dictionary.redcreek
   M /trunk/radius/dictionary.shasta
   M /trunk/radius/dictionary.shiva
   M /trunk/radius/dictionary.sonicwall
   M /trunk/radius/dictionary.springtide
   M /trunk/radius/dictionary.t_systems_nova
   M /trunk/radius/dictionary.telebit
   M /trunk/radius/dictionary.trapeze
   M /trunk/radius/dictionary.unix
   M /trunk/radius/dictionary.valemount
   M /trunk/radius/dictionary.versanet
   M /trunk/radius/dictionary.wispr
   M /trunk/radius/dictionary.xedia

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 2: 
Modified files w/o conflicts with current Wireshark radius dictionary files.

------------------------------------------------------------------------
r28997 | stig | 2009-07-07 11:22:23 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Removed flags_set_truth

------------------------------------------------------------------------
r28998 | wmeier | 2009-07-07 12:40:17 -0700 (Tue, 07 Jul 2009) | 7 lines
Changed paths:
   M /trunk/radius/dictionary.cablelabs

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3a: cablelabs
     dictionary.cablelabs from FreeRadius v 2.1.6 updated based upon:
      PacketCable(TM) 1.5 Specification: Event Messages [PKT-SP-EM1.5-I03-070412]
      PacketCable(TM) Specification: Multimedia Specification [PKT-SP-MM-I04-080522]
     Also: Added additional comments and changes related to Wireshark use of this file.
 

------------------------------------------------------------------------
r28999 | stig | 2009-07-07 13:40:28 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/plugins/unistim/Makefile.common

Removed header_field.h

------------------------------------------------------------------------
r29000 | wmeier | 2009-07-07 13:55:01 -0700 (Tue, 07 Jul 2009) | 7 lines
Changed paths:
   M /trunk/radius/dictionary.microsoft

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3b: microsoft
   FreeRadius v 2.1.6 dictionary.microsoft modified based upon
     Wireshark commit SVN #17706.
   Essentailly: Add "VALUES" for
      ATTRIBUTE MS-MPPE-Encryption-Policy  and
      ATTRIBUTE MS-MPPE-Encryption-Types.

------------------------------------------------------------------------
r29001 | wmeier | 2009-07-07 15:14:25 -0700 (Tue, 07 Jul 2009) | 7 lines
Changed paths:
   M /trunk/radius/dictionary.wimax

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3c: wimax
   - As is from the FreeRadius release except added missing VENDOR-END
   - Note: Attribute WiMAX-MN-hHA-MIP4-SPI [11] had a type of "octets"
     in the previous Wireshark repository version of this file.
     whereas this attribute in the FreeRadius version of tis file
     has an attribute type of "integer".

------------------------------------------------------------------------
r29002 | wmeier | 2009-07-07 15:20:56 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/radius/dictionary.wimax

radius: dictionary.wimax; Actually add the missing END-VENDOR statement

------------------------------------------------------------------------
r29003 | etxrab | 2009-07-07 15:22:05 -0700 (Tue, 07 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/dfilter/dfilter.c

NULL is zero on all platforms we run on.
------------------------------------------------------------------------
r29004 | wmeier | 2009-07-07 15:53:44 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/radius/dictionary.nortel

radius: dictionary.nortel: Update as per the 2009-07-01 FreeRadius reposistory commit

------------------------------------------------------------------------
r29005 | gerald | 2009-07-07 17:28:54 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-glbp.c

Fix several dissector assertions.

------------------------------------------------------------------------
r29006 | guy | 2009-07-07 17:57:01 -0700 (Tue, 07 Jul 2009) | 5 lines
Changed paths:
   M /trunk/doc/README.developer

Recommend the expert mechanism, rather than DISSECTOR_ASSERT(), for
checks that really check whether the packet is valid; DISSECTOR_ASSERT()
should only be used for cases where the dissector is making an
assumption about its internal state.

------------------------------------------------------------------------
r29007 | jake | 2009-07-07 22:20:30 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/debian/README.source

Add missing packaging file (according to Debian Policy Manual).

------------------------------------------------------------------------
r29008 | jake | 2009-07-07 22:22:47 -0700 (Tue, 07 Jul 2009) | 1 line
Changed paths:
   M /trunk/debian/control

Drop non-existing omniidl from wireshark-dev dependancy list.
------------------------------------------------------------------------
r29009 | jake | 2009-07-07 22:24:55 -0700 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/debian/rules

Drop obsolete --enable-gtk2 CFLAG
Make fakeroot actually work by setting proper LD_LIBRARY_PATH
------------------------------------------------------------------------
r29010 | jake | 2009-07-07 23:07:21 -0700 (Tue, 07 Jul 2009) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dtn.c
   A /trunk/epan/dissectors/packet-dtn.h

From Don Chirieleison:
Within the attached diff file are two source files, packet-dtn.h and
packet-dtn.c. Their function is to decode Bundle Protocol PDUs sent using the
UDP or TCP Convergence Layers. These protocols have been released by the
Internet Research Task Force and are described in RFC 4838 and RFC 5050.
Detailed information on DTN can be obtained at www.dtnrg.org.

------------------------------------------------------------------------
r29011 | guy | 2009-07-07 23:40:17 -0700 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtn.c

"uint" isn't a standard type, and isn't a type defined by GLib; use
guint, as defined by GLib, instead.

------------------------------------------------------------------------
r29012 | stig | 2009-07-08 00:48:13 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diffserv-mpls-common.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/x11-fields

From Kovarththanan Rajaratnam:
Duplicate name/blurb removal.

------------------------------------------------------------------------
r29013 | etxrab | 2009-07-08 00:53:28 -0700 (Wed, 08 Jul 2009) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Darryl G. Champagne.
------------------------------------------------------------------------
r29014 | stig | 2009-07-08 01:00:55 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/oids.c

From Kovarththanan Rajaratnam:
Avoid duplicate blurb/name.

------------------------------------------------------------------------
r29015 | stig | 2009-07-08 01:04:30 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/doc/README.developer

From Kovarththanan Rajaratnam:
Update to include the new constraints.

------------------------------------------------------------------------
r29016 | stig | 2009-07-08 03:41:17 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_proto.c

Default to NULL for description.
Avoid duplicate name/blurb.

------------------------------------------------------------------------
r29017 | stig | 2009-07-08 05:08:35 -0700 (Wed, 08 Jul 2009) | 2 lines
Changed paths:
   M /trunk/packaging
   M /trunk/packaging/macosx
   M /trunk/packaging/macosx/ScriptExec

Added some svn:ignore targets for OSX package build.

------------------------------------------------------------------------
r29018 | wmeier | 2009-07-08 05:50:09 -0700 (Wed, 08 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtn.c

Do defragment inits via registered init routine
  instead of once-only in proto_reg_handoff;
Also: localize handles to proto_reg_handoff;
      Fix a typo;

------------------------------------------------------------------------
r29019 | wmeier | 2009-07-08 06:10:00 -0700 (Wed, 08 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius_packetcable.c

Add references to two specifications 

------------------------------------------------------------------------
r29020 | wmeier | 2009-07-08 06:38:59 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/radius/dictionary.alcatel

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3d: alcatel
Use dictionary.alcatel as is from the FreeRadius release.

------------------------------------------------------------------------
r29021 | rbalint | 2009-07-08 07:20:59 -0700 (Wed, 08 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua_tvb.c

Minor documentation fix

------------------------------------------------------------------------
r29022 | etxrab | 2009-07-08 07:27:21 -0700 (Wed, 08 Jul 2009) | 2 lines
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/diameter/etsie2e4.xml
   M /trunk/diameter/gqpolicy.xml

From Magnus S?\195?\182rman:
Correct AVP properties.
------------------------------------------------------------------------
r29023 | jmayer | 2009-07-08 08:26:04 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-glbp.c

Readd the feature to skip the unknown/faulty remainder
of an IE and still display the next one(s).

------------------------------------------------------------------------
r29024 | jmayer | 2009-07-08 08:29:37 -0700 (Wed, 08 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Currently, the expert code notifies if a packet is addressed
to 224.0.0.x with a TTL>1. Some protocols (notably VRRP and GLBP)
send out a TTL of 255 and thus cause a notice. That should be fixed,
so for now: Add a FIXME about that.

------------------------------------------------------------------------
r29025 | etxrab | 2009-07-08 09:16:13 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

We are only handling one row at a time(right?).

Shouldn't the row_data_t structures col_text and col_filter just hold the number of columns (cfile.cinfo.num_cols) rather than [NUM_COL_FMTS] with an adittional col_fmt[] all beeing dynamically allocated?
------------------------------------------------------------------------
r29026 | wmeier | 2009-07-08 10:23:58 -0700 (Wed, 08 Jul 2009) | 7 lines
Changed paths:
   M /trunk/radius/dictionary.cisco.vpn3000

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3e: cisco.vpn3000
dictionary.cisco.vpn3000 from FreeRadius v 2.1.6 plus additions:
 a. Values as defined in the previous Wireshark version of dictionary.cisco.vpn3000;
 b. Attributes as defined in:
http://www.cisco.com/en/US/docs/security/vpn3000/vpn3000_47/configuration/guide/ldapapp.html#wp1564468
 Additions from the FreeRadius version marked with "## [wireshark]".

------------------------------------------------------------------------
r29027 | jake | 2009-07-08 10:46:37 -0700 (Wed, 08 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtn.c

Address the size_t vs. gint issue.

------------------------------------------------------------------------
r29028 | etxrab | 2009-07-08 11:36:31 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-ucp.c
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/camel_counter.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/iax2_analysis.c
   M /trunk/gtk/mac_lte_stat_dlg.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_stream_dlg.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_chunk_stat.c
   M /trunk/gtk/sctp_stat_dlg.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/t38_analysis.c
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/gtk/wsp_stat.c

From Kovarththanan Rajaratnam:
No letter-shortcuts in Telephony menu.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3678
------------------------------------------------------------------------
r29029 | guy | 2009-07-08 12:19:06 -0700 (Wed, 08 Jul 2009) | 2 lines
Changed paths:
   M /trunk/tshark.c

Clarify that "-w" specifies a *pcap-format* file to be written to.

------------------------------------------------------------------------
r29030 | wmeier | 2009-07-08 12:35:49 -0700 (Wed, 08 Jul 2009) | 5 lines
Changed paths:
   M /trunk/radius/dictionary.aruba

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3f: aruba
   - FreeRadius 2.1.6 dictionary.aruba plus additions:
     See Wireshark Bug #3104 and SVN #26945.
     See also: https://airheads.arubanetworks.com/vBulletin/showthread.php?t=910

------------------------------------------------------------------------
r29031 | wmeier | 2009-07-08 13:29:06 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/radius/dictionary.ascend

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3g: ascend
 FreeRadius 2.1.6 dictionary.ascend as is;

------------------------------------------------------------------------
r29032 | wmeier | 2009-07-08 13:50:56 -0700 (Wed, 08 Jul 2009) | 3 lines
Changed paths:
   M /trunk/radius/dictionary.freeradius

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3h: freeradius
 FreeRadius 2.1.6 dictionary.freeradius as is;

------------------------------------------------------------------------
r29033 | jake | 2009-07-08 14:04:53 -0700 (Wed, 08 Jul 2009) | 1 line
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c

Remove hint of name resolution when it's not there.
------------------------------------------------------------------------
r29034 | stig | 2009-07-09 02:28:05 -0700 (Thu, 09 Jul 2009) | 3 lines
Changed paths:
   M /trunk/gtk/main_statusbar.c

Pop the welcome header when we are finished capture without updating packet
list in real time, so we get back to the welcome screen when closing the file.

------------------------------------------------------------------------
r29035 | stig | 2009-07-09 04:32:50 -0700 (Thu, 09 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-icmp.c (from /trunk/epan/dissectors/packet-ip.c:29033)
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ip.h

Split packet-ip into packet-ip and packet-icmp.
Some cleanup in handles and ett entries.

------------------------------------------------------------------------
r29036 | wmeier | 2009-07-09 05:44:16 -0700 (Thu, 09 Jul 2009) | 9 lines
Changed paths:
   M /trunk/radius/dictionary.3gpp2

 Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3i: 3gpp2
   - FreeRadius 2.1.6 dictionary.3gpp2 plus additions based upon
      the latest 3GPP2 specification:
       "cdma2000 Wireless IP Network Standard: Accounting Services and 3GPP2 Radius VSAs
        3GPP2 X.S0011-005-D
        Version: 2.0
        Version Date: November 2008"
       http://www.3gpp2.org/public_html/Specs/X.S0011-005-D_v2.0_081103.pdf

------------------------------------------------------------------------
r29037 | etxrab | 2009-07-09 08:26:41 -0700 (Thu, 09 Jul 2009) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Update 3GPP AVP:s
------------------------------------------------------------------------
r29038 | wmeier | 2009-07-09 08:59:02 -0700 (Thu, 09 Jul 2009) | 7 lines
Changed paths:
   M /trunk/radius/dictionary.3gpp

Update dictionary files from FreeRadius 2.1.6 [5/18/09]: part 3j: 3gpp
    FreeRadius 2.1.6 dictionary.3gpp plus additions based upon:
	http://pda.etsi.org/exchangefolder/ts_129061v080300p.pdf
 	 (ETSI TS 129 061 V8.3.0 (2009-06))
    Also: Add values for RAT-Type; (packet-gtp custom AVP 3GPP VSA dissector
          no longer required for  3GPP-RAT-Type).

------------------------------------------------------------------------
r29039 | wmeier | 2009-07-09 09:02:34 -0700 (Thu, 09 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

packet-gtp: 3GPP AVP custom VSA dissection no longer required for 3GPP-RAT-Type attribute.
            3GPP-RAT-Type values are now defined in the Radius dictionary.3gpp file.

------------------------------------------------------------------------
r29040 | wmeier | 2009-07-09 13:10:39 -0700 (Thu, 09 Jul 2009) | 7 lines
Changed paths:
   A /trunk/radius/dictionary.freeradius.internal

Add FreeRadius v2.1.6 dictionary.freeradius.internal (for completeness).
This file contains "Non Protocol Attributes used by FreeRADIUS".
The "$inlude dictionary.freeradius.internal" line in 
the Radius "dictionary" file is commented out and thus the 
dictionary.freeradius.internal file is not 
read by Wireshark as part of the Radius dictionary files load.

------------------------------------------------------------------------
r29041 | wmeier | 2009-07-09 13:21:39 -0700 (Thu, 09 Jul 2009) | 9 lines
Changed paths:
   M /trunk/radius/dictionary

FreeRadius v2.1.6 "dictionary" file  with the following changes:
   - enabled  include: dictionary.cisco.vpn3000
   - disabled include: dictionary.vqp
   - disabled include: dictionary.freeradius.internal
   - added    include: dictionary.chillispot: as per 2009-06-11 commit
                        in the FreeRadius repository.
   - added: Comment re Wireshark usage of the integer data type.


------------------------------------------------------------------------
r29042 | wmeier | 2009-07-09 13:28:46 -0700 (Thu, 09 Jul 2009) | 3 lines
Changed paths:
   A /trunk/radius/README.radius_dictionary

README describing the Wireshark changes to the FreeRadius
v2.1.6 dictionary files as of 2009-07-09.

------------------------------------------------------------------------
r29043 | wmeier | 2009-07-09 13:31:22 -0700 (Thu, 09 Jul 2009) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/packaging/nsis/wireshark.nsi

Revised packaging for the Radius directory:
include new Radius dictionary files & etc.

------------------------------------------------------------------------
r29044 | etxrab | 2009-07-09 13:44:28 -0700 (Thu, 09 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-enip.h
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/etypes.h

From   Joakim Wiberg:
Device Level Ring protocol addition.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3685

With some minor changes (blurb NULL whem text equal).
------------------------------------------------------------------------
r29045 | wmeier | 2009-07-09 14:05:37 -0700 (Thu, 09 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hpteam.c

From: : Nathan Hartwell: Patch to fix output of HP Team dissector in Info column

------------------------------------------------------------------------
r29046 | etxrab | 2009-07-09 14:18:59 -0700 (Thu, 09 Jul 2009) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Fix cut-n-paste errors.
------------------------------------------------------------------------
r29047 | etxrab | 2009-07-09 14:43:57 -0700 (Thu, 09 Jul 2009) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

Reworked patch from   massimo: 
SNMP cannot be decoded in case of appended data to message
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3684
------------------------------------------------------------------------
r29048 | etxrab | 2009-07-09 22:40:02 -0700 (Thu, 09 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iec104.c

From Joan Ramio:
IEC 60870-5-104 dissector decodes nothing
(new_tvb reported length bug)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3650
------------------------------------------------------------------------
r29049 | stig | 2009-07-10 01:03:19 -0700 (Fri, 10 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-enip.c

Header field cleanup.

------------------------------------------------------------------------
r29050 | stig | 2009-07-10 02:09:11 -0700 (Fri, 10 Jul 2009) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmp.c

Cleanup handling of ICMP type and code:
- Use value_string to convert strings
- Added more types and codes from IANA

Removed use of check_col()
Check checksum also if no tree
Some white space cleanup

------------------------------------------------------------------------
r29051 | stig | 2009-07-10 02:12:13 -0700 (Fri, 10 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ff.c

Use correct length for "Version OD Calling".
This fixes bug 3694.

------------------------------------------------------------------------
r29052 | etxrab | 2009-07-10 02:40:11 -0700 (Fri, 10 Jul 2009) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

More 3GPP updates.
------------------------------------------------------------------------
r29053 | etxrab | 2009-07-10 05:26:39 -0700 (Fri, 10 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Restore hf_gtp_ext_rat_type as it's used in decode_gtp_rat_type().
Fix IMEI(SV) While we're at it.
------------------------------------------------------------------------
r29054 | stig | 2009-07-10 05:48:48 -0700 (Fri, 10 Jul 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ipv6.h

Cleanup handling of ICMPv6 type and code (not complete):
- Use value_string to convert strings
- Added more types and codes from IANA

Removed use of check_col()
Some white space cleanup

------------------------------------------------------------------------
r29055 | etxrab | 2009-07-10 08:15:14 -0700 (Fri, 10 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/column_info.h

Fix a typo.
------------------------------------------------------------------------
r29056 | tuexen | 2009-07-10 13:00:54 -0700 (Fri, 10 Jul 2009) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-gsm_abis_ip.c
   M /trunk/epan/dissectors/packet-rsl.c

Add ip.access A-bis over IP dissector received from Harald Welte.
Removed check_col() calls.

------------------------------------------------------------------------
r29057 | tuexen | 2009-07-10 13:03:25 -0700 (Fri, 10 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_abis_ip.c

Fix the two other nits reported by Jaap.

------------------------------------------------------------------------
r29058 | tuexen | 2009-07-10 13:07:57 -0700 (Fri, 10 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_abis_ip.c

Fix last issue reported by Jaap.

------------------------------------------------------------------------
r29059 | wmeier | 2009-07-10 13:35:34 -0700 (Fri, 10 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_abis_ip.c

Two minor changes: include emem.h not req'd; SUB_IPACCESS not used.

------------------------------------------------------------------------
r29060 | jake | 2009-07-10 14:54:29 -0700 (Fri, 10 Jul 2009) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-dcm.h
   M /trunk/gtk/export_object_dicom.c

From David Aggeler:
 * - Fixed corrupt files on DICOM Export
 * - Fixed memory limitation on DICOM Export
 * - Removed minimum packet length for static port mode
 * - Simplified checks for heuristic mode
 * - Removed unused functions
------------------------------------------------------------------------
r29061 | gerald | 2009-07-10 16:39:23 -0700 (Fri, 10 Jul 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Don't use tvb_memcpy to fill in a struct. (Cue Jamie Hyneman saying
"EVER!") Expand the entry/scope struct to include private enterprise
numbers instead of casting guint32s to arbritrary chunks of memory.
Limit the number of entries and scopes we allocate.  Don't allocate
memory every time we see a new template.  Don't use a C++ keyword for
variable names.

------------------------------------------------------------------------
r29062 | etxrab | 2009-07-11 01:38:41 -0700 (Sat, 11 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_abis_ip.c

From Harald Welte:
Add some more GSM A-bis IP message types.
------------------------------------------------------------------------
r29063 | etxrab | 2009-07-11 02:50:09 -0700 (Sat, 11 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pw-eth.c
   M /trunk/gtk/decode_as_dlg.c

From Artem Tamazov:
Analyze->Decode as... menu item becomes unavailable in some situations.(Ethernet-PW)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3642
------------------------------------------------------------------------
r29064 | wmeier | 2009-07-11 08:36:18 -0700 (Sat, 11 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-paltalk.c

Fix use of "unaligned" memory references;
Fixes Bug #3689.
Also: fix IPV4 address comparisons which would be incorrect
      on a big-endian machine.

------------------------------------------------------------------------
r29065 | etxrab | 2009-07-12 02:05:03 -0700 (Sun, 12 Jul 2009) | 2 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/packet_list_store.h

Some small fixes from Jakub Zawadzki joined with my efforts
to only store the used columns.
------------------------------------------------------------------------
r29066 | stig | 2009-07-12 03:19:13 -0700 (Sun, 12 Jul 2009) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-eventlog.c
   M /trunk/epan/frame_data.h
   M /trunk/epan/libwireshark.def
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h
   M /trunk/gtk/main_proto_draw.c
   M /trunk/print.c

From Kovarththanan Rajaratnam via bug 3702:
This patch optimizes the data source name processing in add_new_data_source()
by delaying it. We now simply store the constant string and lazily compute the
name when needed. This gives a performance boost because we only need the name
if we have multiple data sources.

------------------------------------------------------------------------
r29067 | wmeier | 2009-07-12 06:41:36 -0700 (Sun, 12 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tipc.c

Don't coerce a pointer to guint32 when pointing to a guint8.
Using that pointer will fetch the guint8 plus who knows what....

------------------------------------------------------------------------
r29068 | wmeier | 2009-07-12 07:13:01 -0700 (Sun, 12 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Fix a typo

------------------------------------------------------------------------
r29069 | jake | 2009-07-12 08:03:05 -0700 (Sun, 12 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtmpt.c

From Nick Ford:
Chunks handled individually rather than as complete messages which have
the risk of being fragmented and unrecognizable.
Added FLV data type.
Allow simultaneous RTMP streams to be handled independently.
------------------------------------------------------------------------
r29070 | gerald | 2009-07-12 08:03:33 -0700 (Sun, 12 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2009-07-12]
------------------------------------------------------------------------
r29073 | etxrab | 2009-07-12 09:34:20 -0700 (Sun, 12 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/packet_list_store.c

Add a forgotten piece of code...
------------------------------------------------------------------------
r29074 | etxrab | 2009-07-12 12:08:55 -0700 (Sun, 12 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtmpt.c

Make iCommand a guint8.
------------------------------------------------------------------------
r29075 | etxrab | 2009-07-12 12:38:55 -0700 (Sun, 12 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c

Column index now corresponds to the column in the tree view.
------------------------------------------------------------------------
r29076 | sfisher | 2009-07-12 22:27:25 -0700 (Sun, 12 Jul 2009) | 6 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c


Change the new packet list to use a cell data function for displaying
values in each column's rows.  This is the first step in adding coloring
rule support and other features.


------------------------------------------------------------------------
r29077 | etxrab | 2009-07-13 01:35:30 -0700 (Mon, 13 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

APDU incorrectly dissected(BSSLAP Protocol Not Decoded In BSSMAP-LE Messages).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3711
------------------------------------------------------------------------
r29078 | martinm | 2009-07-13 03:55:53 -0700 (Mon, 13 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Remove calls to check_col(), and stop giving '{' a line of its own.

------------------------------------------------------------------------
r29079 | martinm | 2009-07-13 04:23:40 -0700 (Mon, 13 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-pdcp-lte.c
   M /trunk/epan/dissectors/packet-rlc-lte.c

Remove calls to check_col().

------------------------------------------------------------------------
r29080 | wmeier | 2009-07-13 07:29:13 -0700 (Mon, 13 Jul 2009) | 3 lines
Changed paths:
   M /trunk/doc/tshark.pod

Add additional indentation to -z <statistics> swction to improve readability.
Various other minor reformatting and rewording.

------------------------------------------------------------------------
r29081 | wmeier | 2009-07-13 07:54:47 -0700 (Mon, 13 Jul 2009) | 5 lines
Changed paths:
   M /trunk/doc/wireshark.pod

Add additional indentation to -z <statistics> section to improve readability.
Do some work on "Interface" section to have it match current Wireshark: 
  additionas/changes to "Menu Items" sub-section.
Various other minor reformatting and rewording.

------------------------------------------------------------------------
r29082 | etxrab | 2009-07-13 10:33:14 -0700 (Mon, 13 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hci_h4.c

From  Kovarththanan Rajaratnam:
hci_h4: Optimize column/field handling
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3703
------------------------------------------------------------------------
r29083 | etxrab | 2009-07-13 10:40:31 -0700 (Mon, 13 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

From Chris Costa:
SMB2 Error Response doesn't decode properly.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3609
------------------------------------------------------------------------
r29084 | guy | 2009-07-13 10:43:44 -0700 (Mon, 13 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hci_h4.c

Note what the "Unknown" value is.

------------------------------------------------------------------------
r29085 | gerald | 2009-07-13 11:54:24 -0700 (Mon, 13 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Squelch a couple of Valgrind warnings. This should fix bug 3700.

------------------------------------------------------------------------
r29086 | gerald | 2009-07-13 13:12:53 -0700 (Mon, 13 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-giop.c

Check to see if tvb_child_uncompress returns NULL. Fixes bug 3705.

------------------------------------------------------------------------
r29087 | jake | 2009-07-13 15:29:59 -0700 (Mon, 13 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-llc.c

Fix for bug 3710:
Use the derived length of the control field i.s.o. assuming its size.
------------------------------------------------------------------------
r29088 | jake | 2009-07-13 15:46:32 -0700 (Mon, 13 Jul 2009) | 3 lines
Changed paths:
   M /trunk/doc/tshark.pod

From Reinhard Speyerer:
The description of tshark -t dd is missing from tshark.pod.

------------------------------------------------------------------------
r29089 | guy | 2009-07-13 16:35:26 -0700 (Mon, 13 Jul 2009) | 6 lines
Changed paths:
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod

Fix one place where we didn't mention "-t dd".

Put the description of the default time format after the description of
all the time formats, i.e. say "the default is relative" after we say
what "relative" is.

------------------------------------------------------------------------
r29090 | stig | 2009-07-14 02:33:54 -0700 (Tue, 14 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb2.c

Header field cleanup.

------------------------------------------------------------------------
r29091 | etxrab | 2009-07-14 05:41:11 -0700 (Tue, 14 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/packet_list_store.c

Fix the sort routine.
------------------------------------------------------------------------
r29092 | martinm | 2009-07-14 06:08:23 -0700 (Tue, 14 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Add preference to control whether decode of CRC-error'd frames should be attempted.

------------------------------------------------------------------------
r29093 | etxrab | 2009-07-14 10:15:03 -0700 (Tue, 14 Jul 2009) | 3 lines
Changed paths:
   M /trunk/wimaxasncp/dictionary.xml

From  Rajasekhar Reddy Gali:
"dictionary.xml file is very old..." - Update the Wimax .xml file
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3731
------------------------------------------------------------------------
r29094 | martinm | 2009-07-14 10:43:20 -0700 (Tue, 14 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Trivial formatting changes to RAR output.

------------------------------------------------------------------------
r29095 | gerald | 2009-07-14 12:13:14 -0700 (Tue, 14 Jul 2009) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ziop.c

From Alvaro Vega Garcia via bug 3652:

Patch with some improvements for packet ziop dissector following patch
about MIOP dissector submitted by Kovarththanan Rajaratnam.

From me:

Add a link to the protocol specification.  Don't tvb_memcpy over
structs! Remove some more tvbuffs.  Don't call proto_item_add_subtree if
we're not going to use the trees.  Call proto_tree_add_item instead of
proto_tree_add_text Remove a bunch of unused ett_ variables and a few
other now-unused variables.  Register the field array with the correct
length.

------------------------------------------------------------------------
r29096 | etxrab | 2009-07-14 13:49:34 -0700 (Tue, 14 Jul 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-v52.c
   M /trunk/epan/dissectors/packet-v5ua.c

From     Vladimir Smrekar :
v5.2-User Adaptation Layer and V5.2 Interface.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3732

Me:
Removed check_col(), hf blurbs, removed global vars and regestering
SCTP port in packet-v52.c.
------------------------------------------------------------------------
r29097 | wmeier | 2009-07-14 14:34:03 -0700 (Tue, 14 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v52.c

#include prefs.h not req'd; Also: remove unused #define

------------------------------------------------------------------------
r29098 | gerald | 2009-07-14 16:09:59 -0700 (Tue, 14 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afs.c

Remove an unused define.

------------------------------------------------------------------------
r29100 | stig | 2009-07-15 01:56:12 -0700 (Wed, 15 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

From Kovarththanan Rajaratnam:
Add "text" abbrev + tighten FT_FRAMENUM checks.

------------------------------------------------------------------------
r29103 | stig | 2009-07-15 12:33:48 -0700 (Wed, 15 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-enip.c

Indent some comments.

------------------------------------------------------------------------
r29104 | etxrab | 2009-07-15 13:55:31 -0700 (Wed, 15 Jul 2009) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/epan/crc/Makefile.nmake
   M /trunk/epan/crypt/Makefile.nmake
   M /trunk/epan/dfilter/Makefile.nmake
   M /trunk/epan/ftypes/Makefile.nmake
   M /trunk/epan/wslua/Makefile.nmake
   M /trunk/gtk/Makefile.nmake
   M /trunk/plugins/ethercat/Makefile.nmake
   M /trunk/wiretap/Makefile.nmake
   M /trunk/wsutil/Makefile.nmake

Add /MP flag to make use of multi cores.
------------------------------------------------------------------------
r29105 | guy | 2009-07-15 14:30:37 -0700 (Wed, 15 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ziop.c

Get rid of C++-style comment (and anglicize it).

------------------------------------------------------------------------
r29109 | gerald | 2009-07-15 15:51:01 -0700 (Wed, 15 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v52.c

Make sure we advance our offset during a while loop. This should fix recent
fuzz errors.

------------------------------------------------------------------------
r29111 | gerald | 2009-07-15 16:16:10 -0700 (Wed, 15 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v52.c

Add a modeline blurb. Minor indentation fix.

------------------------------------------------------------------------
r29114 | etxrab | 2009-07-16 01:27:18 -0700 (Thu, 16 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/epan/crc/Makefile.nmake
   M /trunk/epan/crypt/Makefile.nmake
   M /trunk/epan/dfilter/Makefile.nmake
   M /trunk/epan/ftypes/Makefile.nmake
   M /trunk/epan/wslua/Makefile.nmake
   M /trunk/gtk/Makefile.nmake
   M /trunk/wiretap/Makefile.nmake
   M /trunk/wsutil/Makefile.nmake

Move th /MP flag setting to LOCAL_CFLAGS set in configure.nmake
for MSVC variant 2008 only. As suggested by Bill Meier.
------------------------------------------------------------------------
r29115 | stig | 2009-07-16 03:45:14 -0700 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

From Kahou via bug 3739:
New DLT value is added for Fibre Channel FC2.

------------------------------------------------------------------------
r29116 | morriss | 2009-07-16 05:39:50 -0700 (Thu, 16 Jul 2009) | 1 line
Changed paths:
   M /trunk/config.nmake

/MP also works with 2008EE
------------------------------------------------------------------------
r29118 | gerald | 2009-07-16 10:00:58 -0700 (Thu, 16 Jul 2009) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h

Don't crash if we happen to load a bad MIB file.

------------------------------------------------------------------------
r29121 | jake | 2009-07-16 12:57:15 -0700 (Thu, 16 Jul 2009) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c

From David Dahlberg:
As for now, Wireshark supports only 96-bit (or 0-bit for NULL authentication)
integrity control values (ICVs) for IPsec ESP. While the autentication field is
of variable length, this may lead to situations where the whole packet is not
parsable.

To solve this, I added generic classes (not checked) for 128, 192 and 256 bit
ICVs to the ESP dissector. I also split the HMAC-SHA-256 autentication
algorithm to HMAC-SHA-256-128 (128 bit as defined in RFC 4868) and
HMAC-SHA-256-96 (from the very first draft, nevertheless unpatched Linux and
BSDs do it this way).
------------------------------------------------------------------------
r29122 | gerald | 2009-07-16 13:52:36 -0700 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/packet.c

Zero out the packet_info struct for each packet instead of trying to
initialize everything by hand. Fixes a Valgrind warning.

------------------------------------------------------------------------
r29123 | gerald | 2009-07-16 14:03:39 -0700 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Make sure some variables are initialized so that Valgrind quits
complaining.  Use se_memdup to copy memory.

------------------------------------------------------------------------
r29124 | etxrab | 2009-07-16 14:09:18 -0700 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

From   Sean Yunjnz:
Problem in packet-per.c for ASN.1 PER Encoding.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3733
------------------------------------------------------------------------
r29125 | etxrab | 2009-07-16 14:27:56 -0700 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

From   Rajasekhar Reddy Gali:
packet-wimaxasncp.c file need to update with latest wimax spec.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3730
------------------------------------------------------------------------
r29126 | gerald | 2009-07-16 14:35:54 -0700 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Use SE_COPY_ADDRESS instead of trying to attach ep_alloced data to an
se_alloced struct.

------------------------------------------------------------------------
r29127 | gerald | 2009-07-16 15:24:31 -0700 (Thu, 16 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Initialize a variable and remove a check_col.

------------------------------------------------------------------------
r29128 | gerald | 2009-07-16 15:25:06 -0700 (Thu, 16 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/reassemble.c

Check for an overflow. This should hopefully fix bug 3672.

------------------------------------------------------------------------
r29129 | jake | 2009-07-16 23:49:58 -0700 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-telnet.c
   A /trunk/epan/dissectors/packet-tn3270.c
   A /trunk/epan/dissectors/packet-tn3270.h

From Robert Hogan:
I'm working on a tn3270 dissector. 
See: http://roberthogan.net/stuff/tn3270-dissector/
------------------------------------------------------------------------
r29130 | etxrab | 2009-07-17 01:24:06 -0700 (Fri, 17 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h
   M /trunk/epan/to_str.c

From   Kovarththanan Rajaratnam:
Optimize column fill path.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3701
------------------------------------------------------------------------
r29131 | etxrab | 2009-07-17 06:42:46 -0700 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/packet_list_store.c

make it possible to retreive the record with packet_list_get_value().
------------------------------------------------------------------------
r29132 | wmeier | 2009-07-17 07:25:56 -0700 (Fri, 17 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tn3270.c

Minor changes: Move protocol_register & etc to end; 
Use find_dissector instead of create_dissector_handle.

------------------------------------------------------------------------
r29133 | gerald | 2009-07-17 08:59:24 -0700 (Fri, 17 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/to_str.c

Fix an ep buffer overrun introduced in r29130.

------------------------------------------------------------------------
r29134 | wmeier | 2009-07-17 12:41:34 -0700 (Fri, 17 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tn3270.c

From Robert Hogan: "no need to register tn3270 for 'decode-as'".

------------------------------------------------------------------------
r29135 | gerald | 2009-07-17 15:59:59 -0700 (Fri, 17 Jul 2009) | 2 lines
Changed paths:
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/main_airpcap_toolbar.c

Set the extension channel correctly. Fixup whitespace.

------------------------------------------------------------------------
r29137 | stig | 2009-07-18 13:10:14 -0700 (Sat, 18 Jul 2009) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c
   M /trunk/epan/libwireshark.def
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/wspython/wspy_proto.c
   M /trunk/plugins/mate/mate_runtime.c

From Kovarththanan Rajaratnam via bug 3719:
This patch optimizes proto_tree_prime_hfid() + friends and
plugs a memleak in the process.

From me:
Removed unused hfindex in proto_tree_new_item()
Fixed ref_count entry in struct header_field_info.

------------------------------------------------------------------------
r29138 | gerald | 2009-07-19 08:03:36 -0700 (Sun, 19 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2009-07-19]
------------------------------------------------------------------------
r29142 | sfisher | 2009-07-19 23:21:35 -0700 (Sun, 19 Jul 2009) | 8 lines
Changed paths:
   M /trunk/color_filters.c
   M /trunk/file.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/ui_util.h


Introduce packet list coloring for the NEW_PACKET_LIST.  One caveat: when
enabling/disabling the coloring of the packet list from the menus, the user
has to drag the mouse cursor over each displayed row to take away/add the
coloring.  Dragging the scroll bar up or down will also take care of this as
only the displayed rows are colored.


------------------------------------------------------------------------
r29143 | etxrab | 2009-07-20 02:06:47 -0700 (Mon, 20 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Avoid a crash if no color filter exists (SCTP trace).
------------------------------------------------------------------------
r29144 | etxrab | 2009-07-20 04:33:02 -0700 (Mon, 20 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Redraw the list when color filters are enabled/disabled.
------------------------------------------------------------------------
r29145 | stig | 2009-07-20 04:42:28 -0700 (Mon, 20 Jul 2009) | 8 lines
Changed paths:
   M /trunk/gtk/prefs_column.c

Changed to use "Field type" instead of "Format", to be more descriptive.
Moved "Filed name" fields below "Field type", to improve the layout.
Always show the "Field name" fields, disable when field type is not custom.
Remember field name even when changing field type, so the user can change his
mind without losing the data entered.
Some small adjustments to "Add" and "Remove" buttons.
Added some tooltips.

------------------------------------------------------------------------
r29146 | stig | 2009-07-20 05:40:55 -0700 (Mon, 20 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/to_str.c

From Jakub Zawadzki via bug 3701:
Fix regressions in r29130 and r29133
In r29130 formating for DSECS was changed. (old: %01d now: %02d)
In r29133 adding sign was removed (old: buf[0] = '-' now: buf[0] = '\0')

------------------------------------------------------------------------
r29147 | etxrab | 2009-07-20 09:09:50 -0700 (Mon, 20 Jul 2009) | 2 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/ui_util.h

Implement new_packet_list_find_row_from_data()
Goto frame should work now.
------------------------------------------------------------------------
r29149 | etxrab | 2009-07-20 23:02:12 -0700 (Mon, 20 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c

From Gerasimos Dimitriadis:
Enhancement to E.212 MCC/MNC decoding.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3759
------------------------------------------------------------------------
r29150 | etxrab | 2009-07-20 23:08:45 -0700 (Mon, 20 Jul 2009) | 3 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

From Benjamin Meyer:
Profinet dissector does not decode all defined error codes.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3753
------------------------------------------------------------------------
r29151 | etxrab | 2009-07-20 23:20:47 -0700 (Mon, 20 Jul 2009) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h

From  Herbert Lischka:
Added some new features to BACnet dissection:
- ListOfObjectPropertyReferences in scheduler
- RestartReason
- Properties for loop-object
- LogDeviceObjectProperty in trend-log object
- log-buffer entries in trend-log object

- reassemby of fragmented messages
- fallback changed if iconv-library is not here

Me: Moved includes from .h to .c as thats how we normaly do it.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3736
------------------------------------------------------------------------
r29152 | guy | 2009-07-21 00:28:47 -0700 (Tue, 21 Jul 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Don't use tvb_length_remaining() - that just reports how much captured
data is available, not how big the packet really is.

Clean up white space.

Get rid of an unused parameter and two unused variables.

------------------------------------------------------------------------
r29153 | guy | 2009-07-21 00:44:04 -0700 (Tue, 21 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Fix typo.

------------------------------------------------------------------------
r29154 | martinm | 2009-07-21 00:59:16 -0700 (Tue, 21 Jul 2009) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Stop using the C++ 'true' and 'false'.

I still get a compilation error...

packet-bacapp.c: In function `dissect_bacapp':
packet-bacapp.c:6350: warning: 'bacapp_invoke_id' might be used uninitialized in this function

... although I've followed the paths (including the setting of 'segment'), and it looks bogus to me.


------------------------------------------------------------------------
r29155 | stig | 2009-07-21 01:07:40 -0700 (Tue, 21 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Initialize bacapp_invoke_id to avoid a compiler warning.

------------------------------------------------------------------------
r29156 | etxrab | 2009-07-21 01:35:24 -0700 (Tue, 21 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h

size_t -> int to make the Win64 build bot happy.
------------------------------------------------------------------------
r29157 | guy | 2009-07-21 01:53:39 -0700 (Tue, 21 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h

GLib documentation says the 3rd and 5th arguments to g_iconv are "gsize
*"s.

------------------------------------------------------------------------
r29158 | guy | 2009-07-21 02:05:16 -0700 (Tue, 21 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

More gsizery.

------------------------------------------------------------------------
r29159 | stig | 2009-07-21 09:48:16 -0700 (Tue, 21 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/frame_data.h
   M /trunk/file.c
   M /trunk/gtk/main.c

From didier gautheron via bug 3762:
This patch removes col_expr in frame_data structure,
it can be recomputed when needed.

------------------------------------------------------------------------
r29160 | stig | 2009-07-21 15:09:31 -0700 (Tue, 21 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Cummulative number of packets lost is a signed 24 bits value.
This fixes bug 3763.

Cleanup some proto_tree_add_uint() -> proto_tree_add_item().

------------------------------------------------------------------------
r29161 | stig | 2009-07-21 15:23:34 -0700 (Tue, 21 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h

Another try to fix the compiler warnings on win64.

------------------------------------------------------------------------
r29162 | sfisher | 2009-07-21 22:02:24 -0700 (Tue, 21 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/column-utils.c


Change some g_malloc() calls to g_new() to make the code easier to read.


------------------------------------------------------------------------
r29163 | etxrab | 2009-07-21 23:00:53 -0700 (Tue, 21 Jul 2009) | 1 line
Changed paths:
   M /trunk/file.c

Minor indentation fixes.
------------------------------------------------------------------------
r29164 | etxrab | 2009-07-22 01:09:22 -0700 (Wed, 22 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/frame_data.c
   M /trunk/epan/frame_data.h
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/packet_list_store.c

From Jakub Zawadzki:
This patch is cut&paste code from gtk/main_packet_list.c:packet_list_compare()
to new function frame_data_compare()
+ it make use of new function inside packet_list_compare() and
packet_list_compare_records()
------------------------------------------------------------------------
r29165 | etxrab | 2009-07-22 01:11:50 -0700 (Wed, 22 Jul 2009) | 6 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Take 2:
From Jakub Zawadzki:
This patch is cut&paste code from gtk/main_packet_list.c:packet_list_compare()
to new function frame_data_compare()
+ it make use of new function inside packet_list_compare() and
packet_list_compare_records()
------------------------------------------------------------------------
r29166 | etxrab | 2009-07-22 01:54:38 -0700 (Wed, 22 Jul 2009) | 3 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

From Jakub Zawadzki:
This patch makes row coloring alike GtkCList version
 (remove white space between cells/columns)
------------------------------------------------------------------------
r29167 | martinm | 2009-07-22 06:21:15 -0700 (Wed, 22 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Improve/expand checks on reserved bit values.

------------------------------------------------------------------------
r29168 | etxrab | 2009-07-22 08:23:08 -0700 (Wed, 22 Jul 2009) | 4 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c

From Jakub Zawadzki:
This patch fix return value in new_packet_list_find_row_from_data when !select

From Me: Change back the cell coloring and remove the horizontal-separator making the colorinjg look the same as in the old packet list.
------------------------------------------------------------------------
r29169 | etxrab | 2009-07-22 10:35:28 -0700 (Wed, 22 Jul 2009) | 2 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/ui_util.h

From kovarththanan Rajaratnam:
Pass column_info as a pointer (new packet list).
------------------------------------------------------------------------
r29170 | etxrab | 2009-07-22 14:33:47 -0700 (Wed, 22 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-udp.c

Get rid of check_col() in some of the more frequently used dissectors.
------------------------------------------------------------------------
r29171 | gerald | 2009-07-22 16:59:15 -0700 (Wed, 22 Jul 2009) | 3 lines
Changed paths:
   M /trunk/capinfos.c
   M /trunk/editcap.c
   M /trunk/make-version.pl
   M /trunk/mergecap.c
   M /trunk/text2pcap.c
   M /trunk/version_info.c

Use "svn info" to fetch the version by default. Fetch the repository path as
well. Add the repository path to the version strings.

------------------------------------------------------------------------
r29172 | etxrab | 2009-07-22 22:32:31 -0700 (Wed, 22 Jul 2009) | 3 lines
Changed paths:
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrc.h

From Neil Piercy:
Another missing RRC dissector chaining link.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3769
------------------------------------------------------------------------
r29173 | etxrab | 2009-07-22 22:38:34 -0700 (Wed, 22 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h

From Steve Karg:
BACnet Action property not decoded correctly.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3766
------------------------------------------------------------------------
r29174 | etxrab | 2009-07-22 22:48:39 -0700 (Wed, 22 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column.c
   M /trunk/epan/column_info.h
   M /trunk/epan/proto.c
   M /trunk/tshark.c

From Kovarththanan Rajaratnam:
Precompile custom columns filters.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3767
------------------------------------------------------------------------
r29175 | etxrab | 2009-07-23 00:57:32 -0700 (Thu, 23 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column_info.h

Try to get the #includes right.
------------------------------------------------------------------------
r29176 | etxrab | 2009-07-23 01:53:13 -0700 (Thu, 23 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column_info.h
   M /trunk/epan/dfilter/dfilter.h

Try to get the #includes right - take 2.
------------------------------------------------------------------------
r29177 | etxrab | 2009-07-23 01:56:09 -0700 (Thu, 23 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c

- Ambiguous value for radiotap datarate.
The value given to proto_tree_add_uint_format() was not divided by 2.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3747
- remove check_col()
- Indentation changes.
------------------------------------------------------------------------
r29178 | guy | 2009-07-23 02:32:58 -0700 (Thu, 23 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c

Don't divide the data rate by 2 - that loses information (yes, I have a
trace with at least one packet transmitted at 5.5 Mb/s).

Clean up indentation.

------------------------------------------------------------------------
r29179 | martinm | 2009-07-23 04:19:05 -0700 (Thu, 23 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/column_info.h
   M /trunk/epan/dfilter/dfilter.h

From Kovarththanan Rajaratnam: avoid circular dependency.

------------------------------------------------------------------------
r29180 | wmeier | 2009-07-23 10:46:09 -0700 (Thu, 23 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-2dparityfec.c
   M /trunk/epan/dissectors/packet-bjnp.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-memcache.c
   M /trunk/epan/dissectors/packet-nat-pmp.c
   M /trunk/epan/dissectors/packet-p_mul.c
   M /trunk/epan/dissectors/packet-packetlogger.c
   M /trunk/epan/dissectors/packet-ppi.c

Set editor modelines to be consistent between emacs and vi/ex;
Indentation and whitespace cleanup;

------------------------------------------------------------------------
r29181 | guy | 2009-07-23 11:36:25 -0700 (Thu, 23 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

Saved by removing the bell.

------------------------------------------------------------------------
r29182 | etxrab | 2009-07-23 13:36:16 -0700 (Thu, 23 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

From Gerasimos Dimitriadis:
Minor enhancement to LAI decoding.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3770
------------------------------------------------------------------------
r29183 | wmeier | 2009-07-23 13:52:54 -0700 (Thu, 23 Jul 2009) | 2 lines
Changed paths:
   M /trunk/capture_wpcap_packet.c

Fix emacs editor modeline to be a 'safe" value.

------------------------------------------------------------------------
r29184 | wmeier | 2009-07-23 13:53:44 -0700 (Thu, 23 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c

Fix some whitespace ....

------------------------------------------------------------------------
r29185 | wmeier | 2009-07-23 14:25:02 -0700 (Thu, 23 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-atalk.c

Use consistent indentation ...

------------------------------------------------------------------------
r29186 | etxrab | 2009-07-24 01:10:33 -0700 (Fri, 24 Jul 2009) | 1 line
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/ui_util.h

When using the new packet list select the first packet when the file read is complete. This should take care of the crash when closing WS.
------------------------------------------------------------------------
r29187 | etxrab | 2009-07-24 06:50:57 -0700 (Fri, 24 Jul 2009) | 1 line
Changed paths:
   M /trunk/cfile.h
   M /trunk/file.c

Use g_slice if glib >=2.10
------------------------------------------------------------------------
r29188 | etxrab | 2009-07-24 14:25:21 -0700 (Fri, 24 Jul 2009) | 3 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c

From Kovarththanan Rajaratnam:
New packet list: enable packet history
Me: Add a comment.
------------------------------------------------------------------------
r29189 | sfisher | 2009-07-24 20:23:37 -0700 (Fri, 24 Jul 2009) | 4 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c


Update my e-mail address with a reference to the AUTHORS file


------------------------------------------------------------------------
r29190 | etxrab | 2009-07-25 00:50:53 -0700 (Sat, 25 Jul 2009) | 2 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/ui_util.h

From Kovarththanan Rajaratnam:
New packet list: enable goto first/last packet (Optimized)
------------------------------------------------------------------------
r29191 | etxrab | 2009-07-25 02:45:35 -0700 (Sat, 25 Jul 2009) | 2 lines
Changed paths:
   M /trunk/gtk/goto_dlg.c
   M /trunk/gtk/goto_dlg.h
   M /trunk/gtk/main_packet_list.h
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/ui_util.h

From Kovarththanan Rajaratnam:
packet_goto_next_previous_frame
------------------------------------------------------------------------
r29192 | etxrab | 2009-07-25 03:40:10 -0700 (Sat, 25 Jul 2009) | 2 lines
Changed paths:
   M /trunk/ui_util.h

From Kovarththanan Rajaratnam:
Include needed header (unbreak OSX buildbot)
------------------------------------------------------------------------
r29193 | sfisher | 2009-07-25 13:13:46 -0700 (Sat, 25 Jul 2009) | 4 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c


Remove two unused variables and mark a function paramter as unused


------------------------------------------------------------------------
r29194 | guy | 2009-07-25 17:32:22 -0700 (Sat, 25 Jul 2009) | 3 lines
Changed paths:
   M /trunk/wiretap/wtap.h

Note that libpcap fails if it tries to read a file with a snapshot
length > 65535, so we shouldn't use a larger value.

------------------------------------------------------------------------
r29195 | etxrab | 2009-07-26 03:34:07 -0700 (Sun, 26 Jul 2009) | 2 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/packet_list_store.h
   M /trunk/ui_util.h

From Kovarththanan Rajaratnam:
Only clear packet list store if we need to redissect.
------------------------------------------------------------------------
r29196 | gerald | 2009-07-26 08:03:27 -0700 (Sun, 26 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2009-07-26]
------------------------------------------------------------------------
r29199 | etxrab | 2009-07-26 15:11:46 -0700 (Sun, 26 Jul 2009) | 11 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/packet_list_store.h

From Kovarththanan Rajaratnam:
- Don't issue a row_inserted signal. Rely on our caller to have  
disconnected the model from the view.

-  Removing col_fmt from row_data. It wasn't being used. If we need to store
the column format in the future that should probably be placed in the
PacketList instead of the PacketListRecord
2) Remove double allocation of col_text. Now we allocate it in
new_packet_list_append() and pass it on to packet_list_append_record()
3) Use se_alloc instead of se_alloc0 because we explictly set all the
parameters we use.
------------------------------------------------------------------------
r29200 | etxrab | 2009-07-26 15:16:36 -0700 (Sun, 26 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

"Create" the time cols when we render them making change of time format fast.
------------------------------------------------------------------------
r29201 | etxrab | 2009-07-26 15:18:11 -0700 (Sun, 26 Jul 2009) | 1 line
Changed paths:
   M /trunk/config.nmake

Revert change by mistake.
------------------------------------------------------------------------
r29202 | etxrab | 2009-07-26 20:34:57 -0700 (Sun, 26 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column-utils.h
   M /trunk/epan/libwireshark.def
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c

From Kovarththanan Rajaratnam:
Use frame_data values .
------------------------------------------------------------------------
r29203 | etxrab | 2009-07-27 01:33:26 -0700 (Mon, 27 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column-utils.h
   M /trunk/epan/epan.c
   M /trunk/epan/epan.h
   M /trunk/epan/frame_data.h
   M /trunk/file.c
   M /trunk/gtk/main.c
   M /trunk/gtk/packet_win.c
   M /trunk/tshark.c

From Kovarththanan Rajaratnam:
Only fill in frame_data vals when needed.
------------------------------------------------------------------------
r29204 | etxrab | 2009-07-27 06:08:17 -0700 (Mon, 27 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c

From Gerasimos Dimitriadis:
Decoding support for 4 DTAP IEs.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3777
------------------------------------------------------------------------
r29205 | wmeier | 2009-07-27 06:59:53 -0700 (Mon, 27 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h

reassemble.h: update two comments; reassemble.c: correct a typo.

------------------------------------------------------------------------
r29206 | wmeier | 2009-07-27 07:45:25 -0700 (Mon, 27 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec-tcp.c

Move proto_reg_handoff to the end ...

------------------------------------------------------------------------
r29207 | etxrab | 2009-07-27 07:47:12 -0700 (Mon, 27 Jul 2009) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v52.c

From Vladimir Smrekar:

Change, that fix infinite loop for dissections of elements:
- Pulse notification
- Line Information
- PSTN FSM state
- Autonomous signalling sequence
- Sequence response
- Performance grading
- Rejection cp cause

Me prefix hf vars with hf_v52_
------------------------------------------------------------------------
r29208 | wmeier | 2009-07-27 14:59:01 -0700 (Mon, 27 Jul 2009) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

Improve defragmentation:
1. Prevent tcpencap (ipsec-tcp) from incorrectly dissecting NDMP PDU fragments;
    (Essentially: register NDMP as the dissector for the conversation);
   Allows correct NDMP fragment reassembly whether or not the 
    TCP "Try heuristic sub-dissectors first" preference is enabled.
   Fixes Bug #3755 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3755)
2. Use a registered init routine to init the fragment and reassembled tables 
   each time a complete capture dissection is (re)started.
   Fixes a crash.
3. Don't register on TCP port 10000 since the tcpencap dissector needs to own this
   port. (The NDMP dissector is a heuristic dissector).
4. Strengthen the heuristic checking slightly.
5. Other minor changes.

------------------------------------------------------------------------
r29209 | wmeier | 2009-07-27 16:16:29 -0700 (Mon, 27 Jul 2009) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Add Chris Costa to AUTHORS

------------------------------------------------------------------------
r29210 | sahlberg | 2009-07-28 00:18:05 -0700 (Tue, 28 Jul 2009) | 9 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/ldap/packet-ldap-template.h
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ldap.h

From: Matthieu Patou <mat+Informatique.Samba@matws.net>
Date: Mon, 27 Jul 2009 08:55:55 +0000 (+0200)
Subject: patch_ldap_260709

Add a few additional LDAP OIDs
and increase the maximum SASL blob size to be 1M instead of 256kb



------------------------------------------------------------------------
r29211 | etxrab | 2009-07-28 02:26:18 -0700 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/proto.h

Whitespace change.
------------------------------------------------------------------------
r29212 | etxrab | 2009-07-28 03:53:57 -0700 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /trunk/file.h
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/ui_util.h

Fix setting of new time format.
------------------------------------------------------------------------
r29213 | sahlberg | 2009-07-28 06:01:41 -0700 (Tue, 28 Jul 2009) | 15 lines
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos.h
   M /trunk/epan/dissectors/packet-kink.c
   M /trunk/epan/dissectors/packet-spnego.c

When we passed the crytobuffer to krb5_c_decrypt() we never actually 
verified that we did have enough data in the buffer/tvb, which could 
lead to a SEGV.
(for example if we enable KRB5 decryption but we do NOT use TCP 
reassembly, and the encrypted data goes beyong the end of the current 
segment)


Change the signature to decrypt_krb5_data() to take a TVB instead of a 
buffer+length.
Actually check that we do have the entire encrypted PDU before calling 
out to the kerberos libraries.



------------------------------------------------------------------------
r29214 | sahlberg | 2009-07-28 06:38:46 -0700 (Tue, 28 Jul 2009) | 3 lines
Changed paths:
   M /trunk/tools/pidl/MANIFEST
   M /trunk/tools/pidl/README
   M /trunk/tools/pidl/TODO
   M /trunk/tools/pidl/idl.yp
   M /trunk/tools/pidl/lib/Parse/Pidl/Compat.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Expr.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/IDL.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/NDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba3/ClientNDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba3/ServerNDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/Header.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/NDR/Client.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/NDR/Parser.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/NDR/Server.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/TDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Typelist.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/Conformance.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/NDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl.pm
   M /trunk/tools/pidl/pidl
   M /trunk/tools/pidl/tests/Util.pm
   M /trunk/tools/pidl/tests/header.pl
   M /trunk/tools/pidl/tests/ndr.pl
   M /trunk/tools/pidl/tests/ndr_align.pl
   M /trunk/tools/pidl/tests/ndr_alloc.pl
   M /trunk/tools/pidl/tests/ndr_array.pl
   M /trunk/tools/pidl/tests/ndr_compat.pl
   M /trunk/tools/pidl/tests/ndr_fullptr.pl
   M /trunk/tools/pidl/tests/ndr_refptr.pl
   M /trunk/tools/pidl/tests/ndr_represent.pl
   M /trunk/tools/pidl/tests/ndr_simple.pl
   M /trunk/tools/pidl/tests/ndr_string.pl
   M /trunk/tools/pidl/tests/ndr_tagtype.pl
   M /trunk/tools/pidl/tests/parse_idl.pl
   M /trunk/tools/pidl/tests/samba-ndr.pl
   M /trunk/tools/pidl/tests/samba3-cli.pl
   M /trunk/tools/pidl/tests/typelist.pl
   M /trunk/tools/pidl/tests/wireshark-conf.pl

update pidl to the newest version from samba


------------------------------------------------------------------------
r29215 | sahlberg | 2009-07-28 06:39:42 -0700 (Tue, 28 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c

regenerate SAMR using the new version of pidl


------------------------------------------------------------------------
r29216 | sahlberg | 2009-07-28 06:50:22 -0700 (Tue, 28 Jul 2009) | 4 lines
Changed paths:
   A /trunk/epan/dissectors/pidl/frstrans.cnf
   A /trunk/epan/dissectors/pidl/frstrans.idl

From Stefan Metzmacher :
Add IDL file for FRSTRANS


------------------------------------------------------------------------
r29217 | sahlberg | 2009-07-28 06:53:10 -0700 (Tue, 28 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dcerpc-frstrans.c
   A /trunk/epan/dissectors/packet-dcerpc-frstrans.h

From Stefan Metzmacher
add generated FRSTRANS dissectors and add them to the build


------------------------------------------------------------------------
r29218 | etxrab | 2009-07-28 07:07:15 -0700 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/menus.c

Fix setting of timestamp_precision.
------------------------------------------------------------------------
r29219 | sahlberg | 2009-07-28 07:11:08 -0700 (Tue, 28 Jul 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-frstrans.c
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/pidl/samr.idl

update samr.idl and remove a keyword we no longer support in pidl

regenerate samr and frstrans with the new version of pidl


------------------------------------------------------------------------
r29220 | etxrab | 2009-07-28 09:20:05 -0700 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/main.c
   M /trunk/gtk/new_packet_list.c

Set reftime without recreating the packet list.
------------------------------------------------------------------------
r29221 | gerald | 2009-07-28 10:27:59 -0700 (Tue, 28 Jul 2009) | 2 lines
Changed paths:
   M /trunk/test/config.sh

Update the adapter name check to match the buildbot.

------------------------------------------------------------------------
r29222 | etxrab | 2009-07-28 11:29:15 -0700 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /trunk/file.c

Pacify the build bot.
------------------------------------------------------------------------
r29223 | etxrab | 2009-07-28 13:46:23 -0700 (Tue, 28 Jul 2009) | 2 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h
   M /trunk/ui_util.h

From Kovarththanan Rajaratnam:
Enable popup menu in packet list view.
------------------------------------------------------------------------
r29224 | wmeier | 2009-07-28 13:56:36 -0700 (Tue, 28 Jul 2009) | 3 lines
Changed paths:
   M /trunk/gtk/recent.c

Clarify (slightly) some comments;
Add a comment as to what looks like incorrect code.

------------------------------------------------------------------------
r29225 | etxrab | 2009-07-28 15:18:19 -0700 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h

Make mark frame work.
------------------------------------------------------------------------
r29226 | jake | 2009-07-29 00:10:02 -0700 (Wed, 29 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Ivan Sy:
Support for DLV RR (RFC 4431) and SHA-256 Digest for DS RR (RFC 4509).

------------------------------------------------------------------------
r29227 | kukosa | 2009-07-29 02:13:03 -0700 (Wed, 29 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Support for IPv6 addresses in URI
------------------------------------------------------------------------
r29228 | sahlberg | 2009-07-29 03:01:14 -0700 (Wed, 29 Jul 2009) | 18 lines
Changed paths:
   M /trunk/epan/crypt/Makefile.common
   M /trunk/epan/crypt/airpdcap_ccmp.c
   M /trunk/epan/crypt/airpdcap_rijndael.c
   M /trunk/epan/crypt/airpdcap_rijndael.h
   A /trunk/epan/crypt/crypt-aes.c
   A /trunk/epan/crypt/crypt-aes.h

Break the aes set ket/decrypt/encrypt out from airpdcap_raindoll into 
its own crypt-aes.

change the integer types to glib style integers


this may/will be helpful if/when we implement our own version of 
kerberos 
aes decryption of dcerpc since the existing libraries can not (yet) 
handle when header signing is used.

we should implement our own decryption of this for cfx+aes just as we 
did for classic+arcfour





------------------------------------------------------------------------
r29229 | sahlberg | 2009-07-29 03:28:10 -0700 (Wed, 29 Jul 2009) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-eventlog.c
   M /trunk/epan/dissectors/pidl/eventlog.idl

update the idl to correctly dissect the read eventlog w flags as a 
bitmap and not as a uint32

this addresses bug 3691 (that was already manually addressed by hand 
in the generated dissector)



------------------------------------------------------------------------
r29230 | sahlberg | 2009-07-29 03:41:24 -0700 (Wed, 29 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-eventlog.c
   M /trunk/epan/dissectors/pidl/eventlog.idl

Fixup the correct names of the parameters for OpenEventLogW


------------------------------------------------------------------------
r29231 | sahlberg | 2009-07-29 03:59:31 -0700 (Wed, 29 Jul 2009) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-eventlog.c
   M /trunk/epan/dissectors/pidl/eventlog.idl

start describing ReportEventW in the IDL and make use of the "bitmap" 
for EventTypes.

This addresses also bug 3552 with the until now unusued code.


The eventlog dissector is very incomplete.
While the protocol specification is available now, what is lacking is 
example capture files to test with when implementing more of the IDL 
definitions.




------------------------------------------------------------------------
r29232 | sahlberg | 2009-07-29 04:29:53 -0700 (Wed, 29 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-zbee-aps.c
   M /trunk/epan/dissectors/packet-zbee-aps.h
   M /trunk/epan/dissectors/packet-zbee-nwk.c
   A /trunk/epan/dissectors/packet-zbee-zcl.c
   A /trunk/epan/dissectors/packet-zbee-zcl.h
   M /trunk/epan/dissectors/packet-zbee-zdp.c
   M /trunk/epan/dissectors/packet-zbee.h

zigbee cluster dissector,
modified from entry in bug 3765 so it compiles cleanly


------------------------------------------------------------------------
r29233 | stig | 2009-07-29 08:31:25 -0700 (Wed, 29 Jul 2009) | 2 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

Mark an unused argument.

------------------------------------------------------------------------
r29234 | jake | 2009-07-29 11:26:55 -0700 (Wed, 29 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

From Neil Piercy:
The Cert Authority hashes in the IKEv2 Cert Request are not dissected properly:
the display offset is not correctly moved on, so the same info is displayed for
all Cert Authority fields.
------------------------------------------------------------------------
r29235 | guy | 2009-07-29 12:39:17 -0700 (Wed, 29 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Add packet-zbee-zcl.h to the source tarball.

------------------------------------------------------------------------
r29236 | wmeier | 2009-07-29 13:24:10 -0700 (Wed, 29 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

From Chris Costa: Fix Bug 3786: "NDMP fragmentation fails when final fragment is very small".
(See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3786)

------------------------------------------------------------------------
r29237 | etxrab | 2009-07-29 13:58:47 -0700 (Wed, 29 Jul 2009) | 7 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/ui_util.h

Add pinfo to new_packet_list_append() this should give us the abillity
to store (most) of the underlying data rather than the strings in the store and render it when we need it, thuss saving storage space and loading time.

Idealy we should not store the complete fdata or pinfo structures
but rather just the data relevant to the currently selected/used columns. I'm not entierly sure how to accomplish that however.

Dynamically allocated array to hold pointers to the actual data?
------------------------------------------------------------------------
r29238 | etxrab | 2009-07-29 14:32:49 -0700 (Wed, 29 Jul 2009) | 4 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/packet_list_store.c

From Kovarththanan Rajaratnam:
This patch fixes the "Decode as" crash. We now freeze the packetlist before
attempting to clear it. This way we don't have to issue a row deleted signal
either.
------------------------------------------------------------------------
r29239 | wmeier | 2009-07-29 15:33:08 -0700 (Wed, 29 Jul 2009) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zbee-zcl.c

Fix a potential crash and do various other minor changes:
- Fix an hf[] entry which had an invalid "strings" field which could cause a crash;
- Remove unneeded #includes;
- Make most functions & etc static;
- Remove declarations for functions never defined;
- Fix certain comments to refer to the correct function names;
- Change global variable to be local to proto_reg_handoff...
- ...

------------------------------------------------------------------------
r29240 | wmeier | 2009-07-29 15:54:28 -0700 (Wed, 29 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zbee-zcl.c

Function dissect_zcl_attr_data_type() unused: comment it out

------------------------------------------------------------------------
r29241 | wmeier | 2009-07-29 16:18:34 -0700 (Wed, 29 Jul 2009) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Fix a typo

------------------------------------------------------------------------
r29242 | gerald | 2009-07-29 17:40:32 -0700 (Wed, 29 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_683.c

Remove some unused variables.

------------------------------------------------------------------------
r29243 | gerald | 2009-07-30 09:17:46 -0700 (Thu, 30 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-olsr.c
   M /trunk/epan/dissectors/packet-ositp.c
   M /trunk/epan/dissectors/packet-ospf.c

Remove some unused variable assignments.

------------------------------------------------------------------------
r29244 | martinm | 2009-07-30 09:53:33 -0700 (Thu, 30 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Show backoff indicator value in subheader tree root.

------------------------------------------------------------------------
r29245 | gerald | 2009-07-30 10:22:00 -0700 (Thu, 30 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-radius_packetcable.c

Remove a couple of unused variables.

------------------------------------------------------------------------
r29246 | gerald | 2009-07-30 10:54:58 -0700 (Thu, 30 Jul 2009) | 8 lines
Changed paths:
   M /trunk/epan/except.c
   M /trunk/epan/except.h

From Kovarththanan Rajaratnam via bug 3506:

The exception throwing code in except.c/h should be annotated with
"noreturn" to indicate that they never return. Running static analysis
on Wireshark without this annotation causes a lot of false positives
since these analyzers assume that the exception handling code are
ordinary functions that will eventually return.

------------------------------------------------------------------------
r29247 | etxrab | 2009-07-30 14:11:26 -0700 (Thu, 30 Jul 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From   swapnil:
Packet-gtpv2.c dissector extended to support more IE's.
------------------------------------------------------------------------
r29248 | guy | 2009-07-30 14:40:22 -0700 (Thu, 30 Jul 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Fix warnings:

	the behavior of x = x++ is undefined by the ANSI C standard -
	they obviously just meant x++;

	get rid of unused variables.

------------------------------------------------------------------------
r29249 | gerald | 2009-07-30 16:47:36 -0700 (Thu, 30 Jul 2009) | 2 lines
Changed paths:
   M /trunk/asn1/acse/packet-acse-template.c
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/asn1/dsp/packet-dsp-template.c
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/asn1/goose/packet-goose-template.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-wccp.c
   M /trunk/epan/dissectors/packet-wcp.c
   M /trunk/epan/dissectors/packet-windows-common.c
   M /trunk/epan/dissectors/packet-winsrepl.c
   M /trunk/epan/dissectors/packet-wlccp.c

Remove more unused variables.

------------------------------------------------------------------------
r29250 | jake | 2009-07-30 23:51:27 -0700 (Thu, 30 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Ivan Sy:
NAPTR RR (RFC 3403) replacement MUST be a fully qualified domain-name.

------------------------------------------------------------------------
r29251 | sfisher | 2009-07-31 00:02:02 -0700 (Fri, 31 Jul 2009) | 5 lines
Changed paths:
   M /trunk/gtk/gui_utils.c


Include packet_info.h before ui_utils.h since we just started passing a
packet_info structure to one of the functions.


------------------------------------------------------------------------
r29252 | jake | 2009-07-31 00:05:43 -0700 (Fri, 31 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Ivan Sy:
Add support for SSHFP RR (RFC 4255).

------------------------------------------------------------------------
r29253 | gerald | 2009-07-31 09:37:53 -0700 (Fri, 31 Jul 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Ivan Sy via bug 3797:

Support for SPF RR (RFC 4408)

- this has the same format as TXT RR (see section 3.1.1) below.
Currently wireshark 1.2.1 shows this as Unknown type 99

------------------------------------------------------------------------
r29254 | gerald | 2009-07-31 12:19:25 -0700 (Fri, 31 Jul 2009) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   D /trunk/epan/dissectors/packet-gsm_abis_ip.c
   A /trunk/epan/dissectors/packet-gsm_ipa.c (from /trunk/epan/dissectors/packet-gsm_abis_ip.c:29252)

From Holger Freyther via bug 3776:

Part 1:
Rename packet-gsm_abis_ip.c to packet-gsm_ipa.c.

Part 2:
Rename to the content to match the filename.

Part 3:
Add GSM A/SCCP support to the packet-gsm_ipa.c dissector

Adjusted patch to take laforge's comment into account. Use guint16 for the
length and use the ntohs routine to convert the length.

------------------------------------------------------------------------
r29255 | guy | 2009-07-31 13:13:53 -0700 (Fri, 31 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Completely remove an unused variable, don't just comment it out
(especially with a C++/C99-style comment that not all compilers used to
compile Wireshark accept).

------------------------------------------------------------------------
r29256 | gerald | 2009-07-31 15:16:29 -0700 (Fri, 31 Jul 2009) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-usb-hid.c
   A /trunk/epan/dissectors/packet-usb-hid.h
   M /trunk/epan/dissectors/packet-usb.c

From Adam Nielsen via bug 3659:

Here is a patch against SVN that implements preliminary support for USB HID
devices.  At the moment it only dissects the initial set up packets (which you
will see if you hotplug a keyboard or mouse.)

The patch also fixes a minor bug in the USB dissector code which reported
certain packets as malformed due to miscounting bytes, and it reports control
packet data and padding data in a more user-friendly manner.

------------------------------------------------------------------------
r29257 | guy | 2009-07-31 16:38:02 -0700 (Fri, 31 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-usb.c

Fix indentation, get rid of a comment that might no longer apply (dump
*what* as hex?  The stuff we now display as generic fields?).

------------------------------------------------------------------------
r29258 | martinm | 2009-08-01 02:52:12 -0700 (Sat, 01 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Remember Msg3 bytes and compare with Msg4 Contention Resolution bodies.

------------------------------------------------------------------------
r29259 | jake | 2009-08-02 05:11:38 -0700 (Sun, 02 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Fix for bug 3800:
Correctly track the size of Feedback Control Information in Payload specific RTCP feedback packet.

------------------------------------------------------------------------
r29260 | jake | 2009-08-02 05:53:14 -0700 (Sun, 02 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zrtp.c

Add additional cypher types.

------------------------------------------------------------------------
r29261 | wmeier | 2009-08-02 05:58:57 -0700 (Sun, 02 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-usb-hid.c

Remove unneeded #include <epan/emem.h>; fix some indentation.

------------------------------------------------------------------------
r29262 | gerald | 2009-08-02 08:03:29 -0700 (Sun, 02 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2009-08-02]
------------------------------------------------------------------------
r29265 | wmeier | 2009-08-02 12:09:36 -0700 (Sun, 02 Aug 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Don't do dissector_add twice on TCP port 3689;
packet-daap requests registration on that port via http_dissector_add
 and thus packet-http does not need to do a default registration on that port.
Also: fix a typo in a comment.

------------------------------------------------------------------------
r29266 | wmeier | 2009-08-02 12:17:09 -0700 (Sun, 02 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Change default range from 1401,1401 to 1401 so that the port isn't double-registered.

------------------------------------------------------------------------
r29267 | wmeier | 2009-08-02 12:20:20 -0700 (Sun, 02 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-stun.c

packet-stun2 registers for TCP & UDP port 3478 so packet-stun need not register for same.

------------------------------------------------------------------------
r29268 | wmeier | 2009-08-02 12:54:33 -0700 (Sun, 02 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-simulcrypt.c

Do dissector_add() only if port non-zero; register dissector for "decode-as".

------------------------------------------------------------------------
r29269 | stig | 2009-08-03 01:05:44 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-usb-hid.c

Handle usb_hid_item_usage_vals as range_string.

------------------------------------------------------------------------
r29270 | stig | 2009-08-03 02:58:14 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Added missing packet-usb-hid.h

------------------------------------------------------------------------
r29271 | wmeier | 2009-08-03 07:17:31 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-ositp.c

(Trivial) Fix two typos.

------------------------------------------------------------------------
r29272 | wmeier | 2009-08-03 08:18:44 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c

Do find_dissector_table() in proto_reg_handoff().

------------------------------------------------------------------------
r29273 | wmeier | 2009-08-03 09:18:06 -0700 (Mon, 03 Aug 2009) | 3 lines
Changed paths:
   M /trunk/plugins/mate/packet-mate.c

Use find_dissector() instead of create_dissector_handle();
Fix some indentation.

------------------------------------------------------------------------
r29274 | wmeier | 2009-08-03 09:21:55 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpcap.c

Reword some help text slightly.

------------------------------------------------------------------------
r29275 | wmeier | 2009-08-03 10:25:17 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/packet.c

Add some debug code (commented out) to check for duplicate dissector port registrations,

------------------------------------------------------------------------
r29276 | wmeier | 2009-08-03 11:06:36 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/packet.c

Remove 1 commented-out #include inadvertantly committed.

------------------------------------------------------------------------
r29277 | jake | 2009-08-03 11:23:04 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Ivan Sy:
Support for Host Identity Protocol (HIP) Domain Name System (DNS) Extension.
------------------------------------------------------------------------
r29278 | gerald | 2009-08-03 12:50:35 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Add a null pointer check. Remove some unused variables.

------------------------------------------------------------------------
r29279 | guy | 2009-08-03 14:07:08 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

Thou shalt terminate thy value_string arrays with {0, NULL}.

------------------------------------------------------------------------
r29280 | jake | 2009-08-03 14:12:41 -0700 (Mon, 03 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-q931.c

From Gerasimos Dimitriadis:
Added decoding support for the High Layer Compatibility IE in DTAP and updated
the relevant part in Q.931. Also some minor enhancements in Q.931.
------------------------------------------------------------------------
r29281 | guy | 2009-08-03 14:17:30 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Clean up indentation somewhat.

------------------------------------------------------------------------
r29282 | wmeier | 2009-08-03 15:09:08 -0700 (Mon, 03 Aug 2009) | 9 lines
Changed paths:
   M /trunk/plugins/m2m/packet-m2m.c

Various minor cleanups:
- Do all find_dissector() calls only once during proto_reg_handoff 
   (not each time a sub-dissector is called when dissecting frames).
- Move proto_register & proto_reg_handoff to the end of the file as per convention;
- Move a global variables to be local;
- Change a global variable to be static; 
- Remove unneeded multiple #include <string.h>
- Remove an unneeded variable and a few unneeded lines of code.

------------------------------------------------------------------------
r29283 | wmeier | 2009-08-03 15:38:43 -0700 (Mon, 03 Aug 2009) | 9 lines
Changed paths:
   M /trunk/plugins/wimax/packet-wmx.c

Minor cleanups:
- Comment out code which creates two dissector tables and then
   stores a preference value in each of them; 
   AFAICT the tables are not accessed elsewhere;
- Comment out the no longer required prefs callback specification
   in proto_register;
- "if (... == -1)" not req'd in proto_register;
- Remove unused proto_reg_wimax function.

------------------------------------------------------------------------
r29284 | wmeier | 2009-08-03 16:18:59 -0700 (Mon, 03 Aug 2009) | 5 lines
Changed paths:
   M /trunk/plugins/wimax/packet-wmx.c

More minor cleanups:
- Move proto_register to near the end of the file as per convention;
- Remove unneeded #include <epan/reassemble.h>;
- Comment out unused ett[] array and associated;

------------------------------------------------------------------------
r29285 | gerald | 2009-08-03 16:49:05 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/gtk/compare_stat.c
   M /trunk/plugins/asn1/packet-asn1.c

Add some null checks.

------------------------------------------------------------------------
r29286 | gerald | 2009-08-03 16:50:55 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

Remove a couple of unused variables.

------------------------------------------------------------------------
r29287 | gerald | 2009-08-03 16:51:13 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/epan/dissectors/packet-cmip.c

Rework an assignment to keep static analyzers from complaining.

------------------------------------------------------------------------
r29288 | gerald | 2009-08-03 17:35:30 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/make-version.pl

Don't exit with an error if we can't find the svn executable.

------------------------------------------------------------------------
r29289 | jmayer | 2009-08-04 00:50:49 -0700 (Tue, 04 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/proto.h

Warning fix: comma at end of enum
------------------------------------------------------------------------
r29290 | martinm | 2009-08-04 03:41:08 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

Show number of predefined bytes in info column.

------------------------------------------------------------------------
r29291 | gerald | 2009-08-04 10:59:48 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pop.c

Miscellaneous cleanups.

------------------------------------------------------------------------
r29292 | guy | 2009-08-04 11:39:43 -0700 (Tue, 04 Aug 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pop.c

Clean up white space a bit - use 2-space indenting.

Put a bunch of code that does nothing unless data_val is non-null inside
"if (data_val)", and get rid of the individual tests.

------------------------------------------------------------------------
r29293 | wmeier | 2009-08-04 11:46:51 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-rsl.c

Remove duplicate entry from ett[]

------------------------------------------------------------------------
r29294 | wmeier | 2009-08-04 11:48:45 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/ncp2222.py
   M /trunk/epan/dissectors/packet-ansi_801.c
   M /trunk/epan/dissectors/packet-cimd.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-dis-pdus.c
   M /trunk/epan/dissectors/packet-rsvp.c

Init ett_... variables to -1

------------------------------------------------------------------------
r29295 | wmeier | 2009-08-04 11:52:01 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-spnego.h

Initialize several ett_... variables to -1

------------------------------------------------------------------------
r29296 | wmeier | 2009-08-04 12:01:34 -0700 (Tue, 04 Aug 2009) | 7 lines
Changed paths:
   M /trunk/plugins/wimax/mac_hd_generic_decoder.c
   M /trunk/plugins/wimax/mac_hd_type1_decoder.c
   M /trunk/plugins/wimax/mac_hd_type2_decoder.c
   M /trunk/plugins/wimax/mac_mgmt_msg_decoder.c
   M /trunk/plugins/wimax/msg_aas_beam.c
   M /trunk/plugins/wimax/msg_aas_fbck.c
   M /trunk/plugins/wimax/msg_clk_cmp.c
   M /trunk/plugins/wimax/msg_dcd.c
   M /trunk/plugins/wimax/msg_dlmap.c
   M /trunk/plugins/wimax/msg_dsa.c
   M /trunk/plugins/wimax/msg_dsc.c
   M /trunk/plugins/wimax/msg_dsd.c
   M /trunk/plugins/wimax/msg_dsx_rvd.c
   M /trunk/plugins/wimax/msg_fpc.c
   M /trunk/plugins/wimax/msg_pkm.c
   M /trunk/plugins/wimax/msg_prc_lt_ctrl.c
   M /trunk/plugins/wimax/msg_reg_req.c
   M /trunk/plugins/wimax/msg_reg_rsp.c
   M /trunk/plugins/wimax/msg_rep.c
   M /trunk/plugins/wimax/msg_res_cmd.c
   M /trunk/plugins/wimax/msg_rng_req.c
   M /trunk/plugins/wimax/msg_rng_rsp.c
   M /trunk/plugins/wimax/msg_sbc.c
   M /trunk/plugins/wimax/msg_ucd.c
   M /trunk/plugins/wimax/msg_ulmap.c
   M /trunk/plugins/wimax/packet-wmx.c
   M /trunk/plugins/wimax/wimax_cdma_code_decoder.c
   M /trunk/plugins/wimax/wimax_compact_dlmap_ie_decoder.c
   M /trunk/plugins/wimax/wimax_compact_ulmap_ie_decoder.c
   M /trunk/plugins/wimax/wimax_fch_decoder.c
   M /trunk/plugins/wimax/wimax_ffb_decoder.c
   M /trunk/plugins/wimax/wimax_hack_decoder.c
   M /trunk/plugins/wimax/wimax_harq_map_decoder.c
   M /trunk/plugins/wimax/wimax_pdu_decoder.c
   M /trunk/plugins/wimax/wimax_phy_attributes_decoder.c

Minor changes:
- Move proto_register...() to the end of the file as per convention;
- Move ett[] to be local to proto_register...();
- "if (...==-1)" not req'd in proto_register...();
- #include <moduleinfo.h> not req'd;
- Remove unneeded forward declarations.

------------------------------------------------------------------------
r29297 | wmeier | 2009-08-04 12:29:42 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-chdlc.c

Fix benign double subtree registration of an ett_... variable.

------------------------------------------------------------------------
r29298 | jake | 2009-08-04 14:05:38 -0700 (Tue, 04 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_bsslap.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c

Optimize empty strings to NULL pointers.
------------------------------------------------------------------------
r29299 | guy | 2009-08-04 16:14:40 -0700 (Tue, 04 Aug 2009) | 4 lines
Changed paths:
   M /trunk/plugins/wimax/msg_dsa.c
   M /trunk/plugins/wimax/msg_dsc.c
   M /trunk/plugins/wimax/msg_dsd.c

Put the initializers for the elements of value_string arrays into curly
brackets, so the API checks for non-terminated value_string arrays will
not falsely think the arrays are non-terminated.

------------------------------------------------------------------------
r29300 | guy | 2009-08-04 17:13:38 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/plugins/wimax/msg_dsc.c

Fix typo.

------------------------------------------------------------------------
r29301 | gerald | 2009-08-04 17:36:27 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/epan/dissectors/packet-h225.c

Add a couple of pointer checks.

------------------------------------------------------------------------
r29302 | jake | 2009-08-05 00:33:44 -0700 (Wed, 05 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fix for bug 3806:
Add presentation of Block Ack Bitmap.

------------------------------------------------------------------------
r29303 | martinm | 2009-08-05 01:02:12 -0700 (Wed, 05 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Show power headroom report inside its own subtree.

------------------------------------------------------------------------
r29304 | gerald | 2009-08-05 08:39:29 -0700 (Wed, 05 Aug 2009) | 2 lines
Changed paths:
   M /trunk/gtk/wlan_stat_dlg.c
   M /trunk/tap-iostat.c

Squelch a couple of Clang Static Analyzer warnings.

------------------------------------------------------------------------
r29305 | jake | 2009-08-05 11:17:18 -0700 (Wed, 05 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Ivan Sy:
Add support for Support for DHCID RR (RFC 4701).

------------------------------------------------------------------------
r29306 | jake | 2009-08-05 11:21:52 -0700 (Wed, 05 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wbxml.c

Fix for bug 3811:
Add missing shorthand application/vnd.ms-sync besides application/vnd.ms-sync.wbxml.

------------------------------------------------------------------------
r29307 | jake | 2009-08-05 11:42:45 -0700 (Wed, 05 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

From Gerasimos Dimitriadis:
Fixes/enhances the decoding of the Mobile Identity IE for type of identity
"TMGI and optional MBMS Session Identity".
------------------------------------------------------------------------
r29308 | gerald | 2009-08-05 12:03:48 -0700 (Wed, 05 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-p_mul.c

Convert a GString to an ep_strbuf_t (and squelch a static analysis
warning in the process). Remove an unused variable.

------------------------------------------------------------------------
r29309 | wmeier | 2009-08-06 09:06:11 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Register ett[] subtree array only once.

------------------------------------------------------------------------
r29310 | wmeier | 2009-08-06 09:10:29 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee8021ah.c

Register ett[] subtree array only once.

------------------------------------------------------------------------
r29311 | wmeier | 2009-08-06 09:13:31 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Remove inadvertantly committed comments re issue yet to be fixed ...

------------------------------------------------------------------------
r29312 | wmeier | 2009-08-06 11:44:38 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Prevent possible (benign ?) array references with an array index of -1.

------------------------------------------------------------------------
r29313 | gerald | 2009-08-06 13:55:04 -0700 (Thu, 06 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-user_encap.c

Fix compilation warnings in a few dissectors and try moving them to the
"clean" list.

------------------------------------------------------------------------
r29314 | wmeier | 2009-08-06 14:42:40 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

Fix some indentation and spacing

------------------------------------------------------------------------
r29315 | tuexen | 2009-08-06 14:55:10 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Get it compiling when HAVE_LIBGCRYPT is not defined.

------------------------------------------------------------------------
r29316 | stig | 2009-08-06 15:06:37 -0700 (Thu, 06 Aug 2009) | 3 lines
Changed paths:
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/main.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h

Added new_packet_list_set_font() and initialize fonts when using
new packet list.

------------------------------------------------------------------------
r29317 | tuexen | 2009-08-06 15:26:05 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

packet-sctp.c seems to be clean (at least it is on Mac OS X).

------------------------------------------------------------------------
r29318 | guy | 2009-08-06 16:26:24 -0700 (Thu, 06 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Those items are 32 bits or longer, so the cast should be safe; add an
additional cast in the hopes that they squelch "dereferencing
type-punned pointer" warnings.

------------------------------------------------------------------------
r29319 | wmeier | 2009-08-06 16:47:21 -0700 (Thu, 06 Aug 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.h

'if (curr_len <= 0)' won't work as desired when curr_len is declared as unsigned.
The fix: change to 'if ((signed)curr_len <= 0)'.
This is a bit of a hack but I think it works.
See the comment in this file (packet-gsm_a_common.h).

------------------------------------------------------------------------
r29320 | wmeier | 2009-08-06 16:51:45 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c

Fix some individual cases of 'if (unsigned) < 0'

------------------------------------------------------------------------
r29321 | gerald | 2009-08-06 17:15:35 -0700 (Thu, 06 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.am
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-nbd.c
   M /trunk/epan/dissectors/packet-scsi-osd.c

Clean up the last two DIRTY_DISSECTOR_SRC entries.

------------------------------------------------------------------------
r29322 | krj | 2009-08-07 05:15:46 -0700 (Fri, 07 Aug 2009) | 4 lines
Changed paths:
   M /trunk/file.c

Free frame data slice on file reset

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3813

------------------------------------------------------------------------
r29323 | krj | 2009-08-07 06:18:02 -0700 (Fri, 07 Aug 2009) | 1 line
Changed paths:
   M /trunk/config.nmake

Use fully qualified path to bash
------------------------------------------------------------------------
r29324 | krj | 2009-08-07 07:01:44 -0700 (Fri, 07 Aug 2009) | 1 line
Changed paths:
   M /trunk/config.nmake

Back out r29323. The non fully qualified path seems to work for everyone else so don't mess with it.
------------------------------------------------------------------------
r29325 | jmayer | 2009-08-07 11:45:06 -0700 (Fri, 07 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

- Add rfc number comments on not-yet-decoded options
- Decode autoconfigure option

------------------------------------------------------------------------
r29326 | jmayer | 2009-08-07 11:47:56 -0700 (Fri, 07 Aug 2009) | 8 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/wiretap/Makefile.am

* Tue May 26 2009 cmorve69@yahoo.es
- made it compile with --as-needed

This patch was taken from the opensuse wireshark.spec file.
No thanks go to the author and the package maintainers of
this package for not sending this upstream - it would have
made it into 1.2.0.

------------------------------------------------------------------------
r29327 | jmayer | 2009-08-07 11:49:24 -0700 (Fri, 07 Aug 2009) | 4 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in

- Add an AC macro to test linker flags.
- Test whether the linker supports --as-needed and if so,
  adds it to LDFLAGS

------------------------------------------------------------------------
r29328 | wmeier | 2009-08-07 14:22:54 -0700 (Fri, 07 Aug 2009) | 9 lines
Changed paths:
   M /trunk/tshark.c

tshark: console_log_level preference now controls which log msgs are sent to stderr;
Note: This is a behavior change: 
      Given the default value for the console_log_level preference
       tshark will now show ERROR, CRITICAL and WARNING level log messages.
      Prior to this change tshark was hardwired to show only
       ERROR and CRITICAL level messages.
      Time will tell whether this change results in too much noise
       in tshark output.

------------------------------------------------------------------------
r29329 | gerald | 2009-08-07 14:53:40 -0700 (Fri, 07 Aug 2009) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c

From Matt P via bug 3774:

Patch utilizes techniques incorporated in the packet-ieee8023.c dissect_802_3()
routine to dynamically calculate the remaining payload length.  This is then
compared to the length included in the CCSDS header.

------------------------------------------------------------------------
r29330 | wmeier | 2009-08-07 15:36:14 -0700 (Fri, 07 Aug 2009) | 8 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

fuzz-test: Fix/change WIRESHARK_ABORT_ON_DISSECTOR_BUG handling:
1. If enabled: the variable must be exported to the env to take effect;
2. Upon reflection: disable this feature:
   tshark has been changed to output WARNING messages to stderr as a
    default; This means that DISSECTOR_BUGs and failed DISSECTOR_ASSERTs
     which cause WARNING log level messages will thus be output to stderr and 
     thus will be detected by the fuzz-test.

------------------------------------------------------------------------
r29331 | gerald | 2009-08-07 17:27:31 -0700 (Fri, 07 Aug 2009) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

If we have a format error, don't try adding something to the
tree. Fixes bug 3822.

------------------------------------------------------------------------
r29332 | guy | 2009-08-07 18:21:55 -0700 (Fri, 07 Aug 2009) | 9 lines
Changed paths:
   M /trunk/gtk/main.c

Move one comment before all of the code to which it refers.

Update another comment with information from the corresponding comment
in tshark.c

Move some code so that it's run only if its result is used.

Add an additional comment about logging on UN*X.

------------------------------------------------------------------------
r29333 | guy | 2009-08-07 18:23:15 -0700 (Fri, 07 Aug 2009) | 2 lines
Changed paths:
   M /trunk/tshark.c

Note that the new behavior matches what Wireshark does.

------------------------------------------------------------------------
r29334 | jake | 2009-08-07 21:51:42 -0700 (Fri, 07 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

From Ivan Sy:
Fixed IPv6 malformed packet when ip6_nxt (Next Header) is equal to "59". as per section 4.7 RFC 2460.

------------------------------------------------------------------------
r29335 | krj | 2009-08-08 02:22:58 -0700 (Sat, 08 Aug 2009) | 4 lines
Changed paths:
   M /trunk/packaging/portableapps/win32/makefile.nmake

Pass on WinPcap/MSVC redistributable executables to the WiresharkPortable launcher and not the extractor.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3547.

------------------------------------------------------------------------
r29336 | krj | 2009-08-08 02:57:07 -0700 (Sat, 08 Aug 2009) | 4 lines
Changed paths:
   M /trunk/asn1/Makefile.inc.nmake
   M /trunk/epan/dissectors/packet-x420.c

Make sure that we pass on the same set of parameters to asn2wrs.py on Unix/Windows. This fix ensures that the generated copyright headers are identical on both platforms.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3658

------------------------------------------------------------------------
r29337 | krj | 2009-08-08 05:40:59 -0700 (Sat, 08 Aug 2009) | 4 lines
Changed paths:
   M /trunk/gtk/filter_autocomplete.c

From Bahaa Naamneh via Bug 3538:

This patch ensures that the filter autocompletion code handles protocols (radius and wimaxasncp) which uses delayed initialisation of protocols fields.

------------------------------------------------------------------------
r29338 | gerald | 2009-08-08 15:20:08 -0700 (Sat, 08 Aug 2009) | 2 lines
Changed paths:
   M /trunk/plugins/m2m/packet-m2m.c

Check TLV lengths before we try to add them to the tree. Fixes bug 3824.

------------------------------------------------------------------------
r29339 | guy | 2009-08-08 18:23:09 -0700 (Sat, 08 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Don't use DISSECTOR_ASSERT() to check a packet's content.  Fixes bug
3827.

------------------------------------------------------------------------
r29340 | krj | 2009-08-08 23:26:46 -0700 (Sat, 08 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/acse/packet-acse-template.c
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/asn1/disp/packet-disp-template.c
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/asn1/dsp/packet-dsp-template.c
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/kerberos/packet-kerberos-template.c
   M /trunk/asn1/mms/packet-mms-template.c
   M /trunk/asn1/mpeg-audio/packet-mpeg-audio-template.c
   M /trunk/asn1/mpeg-pes/packet-mpeg-pes-template.c
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/asn1/ocsp/packet-ocsp-template.c
   M /trunk/asn1/pcap/packet-pcap-template.c
   M /trunk/asn1/pkixcmp/packet-cmp-template.c
   M /trunk/asn1/pkixtsp/packet-pkixtsp-template.c
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/asn1/ranap/packet-ranap-template.c
   M /trunk/asn1/rnsap/packet-rnsap-template.c
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/asn1/s1ap/packet-s1ap-template.c
   M /trunk/asn1/s4406/packet-s4406-template.c
   M /trunk/asn1/smrse/packet-smrse-template.c
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/x2ap/packet-x2ap-template.c
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/asn1/x420/packet-x420-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/epan/dissectors/packet-3com-xns.c
   M /trunk/epan/dissectors/packet-3g-a11.c
   M /trunk/epan/dissectors/packet-9p.c
   M /trunk/epan/dissectors/packet-aarp.c
   M /trunk/epan/dissectors/packet-acap.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-actrace.c
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-agentx.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-airopeek.c
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-amqp.c
   M /trunk/epan/dissectors/packet-amr.c
   M /trunk/epan/dissectors/packet-ans.c
   M /trunk/epan/dissectors/packet-aodv.c
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/dissectors/packet-ap1394.c
   M /trunk/epan/dissectors/packet-arcnet.c
   M /trunk/epan/dissectors/packet-armagetronad.c
   M /trunk/epan/dissectors/packet-arp.c
   M /trunk/epan/dissectors/packet-aruba-adp.c
   M /trunk/epan/dissectors/packet-asf.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-auto_rp.c
   M /trunk/epan/dissectors/packet-ax4000.c
   M /trunk/epan/dissectors/packet-ayiya.c
   M /trunk/epan/dissectors/packet-bacnet.c
   M /trunk/epan/dissectors/packet-beep.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-bfd.c
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-bofl.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-brdwlk.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-btsdp.c
   M /trunk/epan/dissectors/packet-bvlc.c
   M /trunk/epan/dissectors/packet-ccsds.c
   M /trunk/epan/dissectors/packet-cdp.c
   M /trunk/epan/dissectors/packet-cgmp.c
   M /trunk/epan/dissectors/packet-chdlc.c
   M /trunk/epan/dissectors/packet-cimd.c
   M /trunk/epan/dissectors/packet-cisco-sm.c
   M /trunk/epan/dissectors/packet-cisco-wids.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmpp.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-cpha.c
   M /trunk/epan/dissectors/packet-csm-encaps.c
   M /trunk/epan/dissectors/packet-daap.c
   M /trunk/epan/dissectors/packet-daytime.c
   M /trunk/epan/dissectors/packet-dcc.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dect.c
   M /trunk/epan/dissectors/packet-dhcp-failover.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-distcc.c
   M /trunk/epan/dissectors/packet-dlm3.c
   M /trunk/epan/dissectors/packet-dlsw.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dplay.c
   M /trunk/epan/dissectors/packet-dpnss.c
   M /trunk/epan/dissectors/packet-drda.c
   M /trunk/epan/dissectors/packet-dsi.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-dtp.c
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-dua.c
   M /trunk/epan/dissectors/packet-eap.c
   M /trunk/epan/dissectors/packet-eapol.c
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-eigrp.c
   M /trunk/epan/dissectors/packet-enc.c
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-epmd.c
   M /trunk/epan/dissectors/packet-erf.c
   M /trunk/epan/dissectors/packet-esis.c
   M /trunk/epan/dissectors/packet-etherip.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-extreme.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcct.c
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-fcfcs.c
   M /trunk/epan/dissectors/packet-fcfzs.c
   M /trunk/epan/dissectors/packet-fcip.c
   M /trunk/epan/dissectors/packet-fcoe.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-fcsb3.c
   M /trunk/epan/dissectors/packet-fcswils.c
   M /trunk/epan/dissectors/packet-fddi.c
   M /trunk/epan/dissectors/packet-fefd.c
   M /trunk/epan/dissectors/packet-fip.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-ftp.c
   M /trunk/epan/dissectors/packet-fw1.c
   M /trunk/epan/dissectors/packet-g723.c
   M /trunk/epan/dissectors/packet-gdsdb.c
   M /trunk/epan/dissectors/packet-gift.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-gmrp.c
   M /trunk/epan/dissectors/packet-gnutella.c
   M /trunk/epan/dissectors/packet-gprs-ns.c
   M /trunk/epan/dissectors/packet-gre.c
   M /trunk/epan/dissectors/packet-gsm_um.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-gtpv2.c
   M /trunk/epan/dissectors/packet-gvrp.c
   M /trunk/epan/dissectors/packet-h1.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h264.c
   M /trunk/epan/dissectors/packet-hci_h1.c
   M /trunk/epan/dissectors/packet-hilscher.c
   M /trunk/epan/dissectors/packet-homeplug.c
   M /trunk/epan/dissectors/packet-hsrp.c
   M /trunk/epan/dissectors/packet-hyperscsi.c
   M /trunk/epan/dissectors/packet-iapp.c
   M /trunk/epan/dissectors/packet-icap.c
   M /trunk/epan/dissectors/packet-icep.c
   M /trunk/epan/dissectors/packet-icp.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-idp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ieee8021ah.c
   M /trunk/epan/dissectors/packet-igrp.c
   M /trunk/epan/dissectors/packet-imap.c
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-ipfc.c
   M /trunk/epan/dissectors/packet-ipp.c
   M /trunk/epan/dissectors/packet-ipsec-tcp.c
   M /trunk/epan/dissectors/packet-ipsec-udp.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-ipxwan.c
   M /trunk/epan/dissectors/packet-irc.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-isdn.c
   M /trunk/epan/dissectors/packet-isis.c
   M /trunk/epan/dissectors/packet-isl.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-itdm.c
   M /trunk/epan/dissectors/packet-jabber.c
   M /trunk/epan/dissectors/packet-juniper.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos4.c
   M /trunk/epan/dissectors/packet-kingfisher.c
   M /trunk/epan/dissectors/packet-kismet.c
   M /trunk/epan/dissectors/packet-kpasswd.c
   M /trunk/epan/dissectors/packet-l1-events.c
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/dissectors/packet-lanforge.c
   M /trunk/epan/dissectors/packet-lapb.c
   M /trunk/epan/dissectors/packet-lapbether.c
   M /trunk/epan/dissectors/packet-lapd.c
   M /trunk/epan/dissectors/packet-lapdm.c
   M /trunk/epan/dissectors/packet-laplink.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-lge_monitor.c
   M /trunk/epan/dissectors/packet-linx.c
   M /trunk/epan/dissectors/packet-lldp.c
   M /trunk/epan/dissectors/packet-llt.c
   M /trunk/epan/dissectors/packet-lmi.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-loop.c
   M /trunk/epan/dissectors/packet-lpd.c
   M /trunk/epan/dissectors/packet-lsc.c
   M /trunk/epan/dissectors/packet-lwapp.c
   M /trunk/epan/dissectors/packet-lwres.c
   M /trunk/epan/dissectors/packet-m2tp.c
   M /trunk/epan/dissectors/packet-m2ua.c
   M /trunk/epan/dissectors/packet-maccontrol.c
   M /trunk/epan/dissectors/packet-manolito.c
   M /trunk/epan/dissectors/packet-mbtcp.c
   M /trunk/epan/dissectors/packet-mdshdr.c
   M /trunk/epan/dissectors/packet-megaco.c
   M /trunk/epan/dissectors/packet-mesh.c
   M /trunk/epan/dissectors/packet-mip.c
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mmse.c
   M /trunk/epan/dissectors/packet-mp4ves.c
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-mpls-echo.c
   M /trunk/epan/dissectors/packet-mq-pcf.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-msdp.c
   M /trunk/epan/dissectors/packet-msn-messenger.c
   M /trunk/epan/dissectors/packet-msnlb.c
   M /trunk/epan/dissectors/packet-msproxy.c
   M /trunk/epan/dissectors/packet-msrp.c
   M /trunk/epan/dissectors/packet-mstp.c
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/dissectors/packet-nasdaq-itch.c
   M /trunk/epan/dissectors/packet-nasdaq-soup.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-nbipx.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ncs.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-nettl.c
   M /trunk/epan/dissectors/packet-newmail.c
   M /trunk/epan/dissectors/packet-nlsp.c
   M /trunk/epan/dissectors/packet-nntp.c
   M /trunk/epan/dissectors/packet-nsip.c
   M /trunk/epan/dissectors/packet-nsrp.c
   M /trunk/epan/dissectors/packet-nt-sonmp.c
   M /trunk/epan/dissectors/packet-nt-tpcp.c
   M /trunk/epan/dissectors/packet-ntp.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-oicq.c
   M /trunk/epan/dissectors/packet-olsr.c
   M /trunk/epan/dissectors/packet-opsi.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-paltalk.c
   M /trunk/epan/dissectors/packet-pana.c
   M /trunk/epan/dissectors/packet-pcap.c
   M /trunk/epan/dissectors/packet-pcep.c
   M /trunk/epan/dissectors/packet-pflog.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pgsql.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-pktc.c
   M /trunk/epan/dissectors/packet-pktgen.c
   M /trunk/epan/dissectors/packet-ppi.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-pptp.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-prp.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-q2931.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-q933.c
   M /trunk/epan/dissectors/packet-qllc.c
   M /trunk/epan/dissectors/packet-quake.c
   M /trunk/epan/dissectors/packet-quake2.c
   M /trunk/epan/dissectors/packet-quake3.c
   M /trunk/epan/dissectors/packet-quakeworld.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-rdm.c
   M /trunk/epan/dissectors/packet-rip.c
   M /trunk/epan/dissectors/packet-ripng.c
   M /trunk/epan/dissectors/packet-rlm.c
   M /trunk/epan/dissectors/packet-rmcp.c
   M /trunk/epan/dissectors/packet-rmi.c
   M /trunk/epan/dissectors/packet-rmt-alc.c
   M /trunk/epan/dissectors/packet-rmt-norm.c
   M /trunk/epan/dissectors/packet-rnsap.c
   M /trunk/epan/dissectors/packet-roofnet.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rpl.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rsh.c
   M /trunk/epan/dissectors/packet-rsl.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-rtmpt.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-rudp.c
   M /trunk/epan/dissectors/packet-rx.c
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-s4406.c
   M /trunk/epan/dissectors/packet-sap.c
   M /trunk/epan/dissectors/packet-sbus.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sdlc.c
   M /trunk/epan/dissectors/packet-sebek.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-sflow.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-slimp3.c
   M /trunk/epan/dissectors/packet-sll.c
   M /trunk/epan/dissectors/packet-slowprotocols.c
   M /trunk/epan/dissectors/packet-slsk.c
   M /trunk/epan/dissectors/packet-smb-logon.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-sna.c
   M /trunk/epan/dissectors/packet-snaeth.c
   M /trunk/epan/dissectors/packet-sndcp.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-socks.c
   M /trunk/epan/dissectors/packet-spp.c
   M /trunk/epan/dissectors/packet-srvloc.c
   M /trunk/epan/dissectors/packet-sscf-nni.c
   M /trunk/epan/dissectors/packet-sscop.c
   M /trunk/epan/dissectors/packet-stun.c
   M /trunk/epan/dissectors/packet-stun2.c
   M /trunk/epan/dissectors/packet-symantec.c
   M /trunk/epan/dissectors/packet-synergy.c
   M /trunk/epan/dissectors/packet-syslog.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-tali.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-teimanagement.c
   M /trunk/epan/dissectors/packet-telkonet.c
   M /trunk/epan/dissectors/packet-telnet.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-tftp.c
   M /trunk/epan/dissectors/packet-time.c
   M /trunk/epan/dissectors/packet-tipc.c
   M /trunk/epan/dissectors/packet-tivoconnect.c
   M /trunk/epan/dissectors/packet-tns.c
   M /trunk/epan/dissectors/packet-tpkt.c
   M /trunk/epan/dissectors/packet-tpncp.c
   M /trunk/epan/dissectors/packet-tr.c
   M /trunk/epan/dissectors/packet-trmac.c
   M /trunk/epan/dissectors/packet-tsp.c
   M /trunk/epan/dissectors/packet-tte-pcf.c
   M /trunk/epan/dissectors/packet-tte.c
   M /trunk/epan/dissectors/packet-turbocell.c
   M /trunk/epan/dissectors/packet-turnchannel.c
   M /trunk/epan/dissectors/packet-tuxedo.c
   M /trunk/epan/dissectors/packet-tzsp.c
   M /trunk/epan/dissectors/packet-ucp.c
   M /trunk/epan/dissectors/packet-udld.c
   M /trunk/epan/dissectors/packet-uma.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-usb-masstorage.c
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/epan/dissectors/packet-v120.c
   M /trunk/epan/dissectors/packet-vcdu.c
   M /trunk/epan/dissectors/packet-vicp.c
   M /trunk/epan/dissectors/packet-vines.c
   M /trunk/epan/dissectors/packet-vj.c
   M /trunk/epan/dissectors/packet-vlan.c
   M /trunk/epan/dissectors/packet-vnc.c
   M /trunk/epan/dissectors/packet-vrrp.c
   M /trunk/epan/dissectors/packet-vtp.c
   M /trunk/epan/dissectors/packet-wcp.c
   M /trunk/epan/dissectors/packet-wfleet-hdlc.c
   M /trunk/epan/dissectors/packet-who.c
   M /trunk/epan/dissectors/packet-wlccp.c
   M /trunk/epan/dissectors/packet-wol.c
   M /trunk/epan/dissectors/packet-wow.c
   M /trunk/epan/dissectors/packet-wsmp.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/dissectors/packet-x29.c
   M /trunk/epan/dissectors/packet-x2ap.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-xcsl.c
   M /trunk/epan/dissectors/packet-xdmcp.c
   M /trunk/epan/dissectors/packet-xot.c
   M /trunk/epan/dissectors/packet-xtp.c
   M /trunk/epan/dissectors/packet-xyplex.c
   M /trunk/epan/dissectors/packet-yhoo.c
   M /trunk/epan/dissectors/packet-ymsg.c
   M /trunk/epan/dissectors/packet-zebra.c
   M /trunk/epan/dissectors/packet-zrtp.c
   M /trunk/plugins/docsis/packet-docsis.c
   M /trunk/plugins/docsis/packet-macmgmt.c
   M /trunk/plugins/ethercat/packet-ams.c
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c
   M /trunk/plugins/ethercat/packet-ioraw.c
   M /trunk/plugins/ethercat/packet-nv.c
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c
   M /trunk/plugins/giop/packet-parlay.c
   M /trunk/plugins/giop/packet-tango.c
   M /trunk/plugins/gryphon/packet-gryphon.c
   M /trunk/plugins/irda/packet-ircomm.c
   M /trunk/plugins/irda/packet-irda.c
   M /trunk/plugins/profinet/packet-pn-mrp.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_at.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_mdt.c

Don't guard col_set_str (COL_PROTOCOL) with col_check
------------------------------------------------------------------------
r29341 | krj | 2009-08-08 23:47:24 -0700 (Sat, 08 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ascend.c
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-clip.c
   M /trunk/epan/dissectors/packet-cosine.c
   M /trunk/epan/dissectors/packet-ehs.c
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-null.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-raw.c
   M /trunk/epan/dissectors/packet-sqloracle.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-wtp.c
   M /trunk/plugins/unistim/packet-unistim.c

Don't guard col_set_str (COL_PROTOCOL) with col_check
------------------------------------------------------------------------
r29342 | krj | 2009-08-09 00:01:26 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/s4406/packet-s4406-template.c
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/asn1/x420/packet-x420-template.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-arcnet.c
   M /trunk/epan/dissectors/packet-ascend.c
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-bacnet.c
   M /trunk/epan/dissectors/packet-bvlc.c
   M /trunk/epan/dissectors/packet-ccsds.c
   M /trunk/epan/dissectors/packet-cgmp.c
   M /trunk/epan/dissectors/packet-clip.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cosine.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-ddtp.c
   M /trunk/epan/dissectors/packet-dect.c
   M /trunk/epan/dissectors/packet-dlm3.c
   M /trunk/epan/dissectors/packet-dtp.c
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-ehs.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcip.c
   M /trunk/epan/dissectors/packet-fip.c
   M /trunk/epan/dissectors/packet-gmrp.c
   M /trunk/epan/dissectors/packet-gvrp.c
   M /trunk/epan/dissectors/packet-h1.c
   M /trunk/epan/dissectors/packet-h223.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ipsec-udp.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-lapb.c
   M /trunk/epan/dissectors/packet-lldp.c
   M /trunk/epan/dissectors/packet-lsc.c
   M /trunk/epan/dissectors/packet-megaco.c
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mpls-echo.c
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-mtp3mg.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-newmail.c
   M /trunk/epan/dissectors/packet-null.c
   M /trunk/epan/dissectors/packet-ppi.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-prp.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-raw.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-s4406.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-slowprotocols.c
   M /trunk/epan/dissectors/packet-slsk.c
   M /trunk/epan/dissectors/packet-sna.c
   M /trunk/epan/dissectors/packet-snaeth.c
   M /trunk/epan/dissectors/packet-spp.c
   M /trunk/epan/dissectors/packet-symantec.c
   M /trunk/epan/dissectors/packet-telnet.c
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-tpkt.c
   M /trunk/epan/dissectors/packet-tte.c
   M /trunk/epan/dissectors/packet-turbocell.c
   M /trunk/epan/dissectors/packet-tuxedo.c
   M /trunk/epan/dissectors/packet-v120.c
   M /trunk/epan/dissectors/packet-vcdu.c
   M /trunk/epan/dissectors/packet-vj.c
   M /trunk/epan/dissectors/packet-vnc.c
   M /trunk/epan/dissectors/packet-vtp.c
   M /trunk/epan/dissectors/packet-wsmp.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/dissectors/packet-x29.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/plugins/docsis/packet-docsis.c
   M /trunk/plugins/irda/packet-irda.c

Don't guard col_set_str (COL_INFO) with col_check
------------------------------------------------------------------------
r29343 | krj | 2009-08-09 00:14:16 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ascend.c
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-chdlc.c
   M /trunk/epan/dissectors/packet-clip.c
   M /trunk/epan/dissectors/packet-cosine.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-gsm_um.c
   M /trunk/epan/dissectors/packet-isdn.c
   M /trunk/epan/dissectors/packet-lapb.c
   M /trunk/epan/dissectors/packet-null.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-raw.c
   M /trunk/epan/dissectors/packet-sdlc.c
   M /trunk/epan/dissectors/packet-v120.c
   M /trunk/epan/dissectors/packet-wfleet-hdlc.c

Don't guard col_set_str (COL_RES_DL_SRC/COL_RES_DL_DST) with col_check
------------------------------------------------------------------------
r29344 | krj | 2009-08-09 00:36:13 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/acse/packet-acse-template.c
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/asn1/disp/packet-disp-template.c
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/asn1/dsp/packet-dsp-template.c
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/asn1/goose/packet-goose-template.c
   M /trunk/asn1/kerberos/packet-kerberos-template.c
   M /trunk/asn1/mms/packet-mms-template.c
   M /trunk/asn1/mpeg-audio/packet-mpeg-audio-template.c
   M /trunk/asn1/mpeg-pes/packet-mpeg-pes-template.c
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/epan/dissectors/packet-3com-xns.c
   M /trunk/epan/dissectors/packet-3g-a11.c
   M /trunk/epan/dissectors/packet-9p.c
   M /trunk/epan/dissectors/packet-aarp.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-actrace.c
   M /trunk/epan/dissectors/packet-airopeek.c
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-aodv.c
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/dissectors/packet-ap1394.c
   M /trunk/epan/dissectors/packet-arp.c
   M /trunk/epan/dissectors/packet-aruba-adp.c
   M /trunk/epan/dissectors/packet-asf.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-auto_rp.c
   M /trunk/epan/dissectors/packet-bfd.c
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-bofl.c
   M /trunk/epan/dissectors/packet-brdwlk.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-cdp.c
   M /trunk/epan/dissectors/packet-chdlc.c
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-cisco-wids.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmpp.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-cpha.c
   M /trunk/epan/dissectors/packet-cups.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-dhcp-failover.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-distcc.c
   M /trunk/epan/dissectors/packet-dlm3.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dplay.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-eap.c
   M /trunk/epan/dissectors/packet-eapol.c
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-eigrp.c
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-esis.c
   M /trunk/epan/dissectors/packet-fefd.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-fw1.c
   M /trunk/epan/dissectors/packet-gift.c
   M /trunk/epan/dissectors/packet-gnutella.c
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-gprs-ns.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-gtpv2.c
   M /trunk/epan/dissectors/packet-h223.c
   M /trunk/epan/dissectors/packet-hci_h1.c
   M /trunk/epan/dissectors/packet-hyperscsi.c
   M /trunk/epan/dissectors/packet-iapp.c
   M /trunk/epan/dissectors/packet-icp.c
   M /trunk/epan/dissectors/packet-idp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ieee8021ah.c
   M /trunk/epan/dissectors/packet-igrp.c
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-ipars.c
   M /trunk/epan/dissectors/packet-ipsec-tcp.c
   M /trunk/epan/dissectors/packet-ipsec-udp.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-ipxwan.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-isis.c
   M /trunk/epan/dissectors/packet-isl.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-juniper.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kerberos4.c
   M /trunk/epan/dissectors/packet-kpasswd.c
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/dissectors/packet-lapb.c
   M /trunk/epan/dissectors/packet-lapbether.c
   M /trunk/epan/dissectors/packet-lapd.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-linx.c
   M /trunk/epan/dissectors/packet-lmi.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-loop.c
   M /trunk/epan/dissectors/packet-lpd.c
   M /trunk/epan/dissectors/packet-lsc.c
   M /trunk/epan/dissectors/packet-maccontrol.c
   M /trunk/epan/dissectors/packet-mbtcp.c
   M /trunk/epan/dissectors/packet-mdshdr.c
   M /trunk/epan/dissectors/packet-mgcp.c
   M /trunk/epan/dissectors/packet-mip.c
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-mq-pcf.c
   M /trunk/epan/dissectors/packet-msproxy.c
   M /trunk/epan/dissectors/packet-nbipx.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-nlsp.c
   M /trunk/epan/dissectors/packet-nsip.c
   M /trunk/epan/dissectors/packet-nt-tpcp.c
   M /trunk/epan/dissectors/packet-ntp.c
   M /trunk/epan/dissectors/packet-olsr.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-paltalk.c
   M /trunk/epan/dissectors/packet-pcep.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-ppi.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-pptp.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-qllc.c
   M /trunk/epan/dissectors/packet-quake.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-rdm.c
   M /trunk/epan/dissectors/packet-rip.c
   M /trunk/epan/dissectors/packet-ripng.c
   M /trunk/epan/dissectors/packet-rmt-alc.c
   M /trunk/epan/dissectors/packet-rmt-norm.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-rpcap.c
   M /trunk/epan/dissectors/packet-rsl.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-rtmpt.c
   M /trunk/epan/dissectors/packet-rtp-events.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-rudp.c
   M /trunk/epan/dissectors/packet-rx.c
   M /trunk/epan/dissectors/packet-sap.c
   M /trunk/epan/dissectors/packet-sbus.c
   M /trunk/epan/dissectors/packet-sdlc.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-sita.c
   M /trunk/epan/dissectors/packet-sll.c
   M /trunk/epan/dissectors/packet-smb-logon.c
   M /trunk/epan/dissectors/packet-sna.c
   M /trunk/epan/dissectors/packet-sndcp.c
   M /trunk/epan/dissectors/packet-sqloracle.c
   M /trunk/epan/dissectors/packet-srvloc.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/dissectors/packet-syslog.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-teimanagement.c
   M /trunk/epan/dissectors/packet-telkonet.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-tipc.c
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-trmac.c
   M /trunk/epan/dissectors/packet-tsp.c
   M /trunk/epan/dissectors/packet-tzsp.c
   M /trunk/epan/dissectors/packet-udld.c
   M /trunk/epan/dissectors/packet-uma.c
   M /trunk/epan/dissectors/packet-usb-masstorage.c
   M /trunk/epan/dissectors/packet-v120.c
   M /trunk/epan/dissectors/packet-vicp.c
   M /trunk/epan/dissectors/packet-vines.c
   M /trunk/epan/dissectors/packet-vlan.c
   M /trunk/epan/dissectors/packet-vnc.c
   M /trunk/epan/dissectors/packet-vrrp.c
   M /trunk/epan/dissectors/packet-wcp.c
   M /trunk/epan/dissectors/packet-wfleet-hdlc.c
   M /trunk/epan/dissectors/packet-who.c
   M /trunk/epan/dissectors/packet-wol.c
   M /trunk/epan/dissectors/packet-wow.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-wtp.c
   M /trunk/epan/dissectors/packet-x29.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-xcsl.c
   M /trunk/epan/dissectors/packet-xdmcp.c
   M /trunk/epan/dissectors/packet-xtp.c
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/plugins/docsis/packet-macmgmt.c
   M /trunk/plugins/ethercat/packet-ams.c
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c
   M /trunk/plugins/ethercat/packet-ioraw.c
   M /trunk/plugins/ethercat/packet-nv.c
   M /trunk/plugins/gryphon/packet-gryphon.c
   M /trunk/plugins/irda/packet-irda.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1.c

Don't guard col_clear with col_check
------------------------------------------------------------------------
r29345 | krj | 2009-08-09 00:59:51 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/ansi-tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/asn1/t125/packet-t125-template.c
   M /trunk/asn1/t38/packet-t38-template.c
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/epan/dissectors/packet-2dparityfec.c
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-afs.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-artnet.c
   M /trunk/epan/dissectors/packet-bat.c
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-bssap.c
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-bthci_cmd.c
   M /trunk/epan/dissectors/packet-bthci_evt.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-cast.c
   M /trunk/epan/dissectors/packet-cfm.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-cisco-wids.c
   M /trunk/epan/dissectors/packet-ctdb.c
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-dcp-etsi.c
   M /trunk/epan/dissectors/packet-dec-bpdu.c
   M /trunk/epan/dissectors/packet-dec-dnart.c
   M /trunk/epan/dissectors/packet-dect.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-dvmrp.c
   M /trunk/epan/dissectors/packet-e100.c
   M /trunk/epan/dissectors/packet-echo.c
   M /trunk/epan/dissectors/packet-egd.c
   M /trunk/epan/dissectors/packet-enttec.c
   M /trunk/epan/dissectors/packet-epl.c
   M /trunk/epan/dissectors/packet-epl_v1.c
   M /trunk/epan/dissectors/packet-evrc.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-ff.c
   M /trunk/epan/dissectors/packet-fix.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-gprs-llc.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-h261.c
   M /trunk/epan/dissectors/packet-h263p.c
   M /trunk/epan/dissectors/packet-hpext.c
   M /trunk/epan/dissectors/packet-hpsw.c
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-iec104.c
   M /trunk/epan/dissectors/packet-ieee802154.c
   M /trunk/epan/dissectors/packet-ieee802a.c
   M /trunk/epan/dissectors/packet-ifcp.c
   M /trunk/epan/dissectors/packet-igap.c
   M /trunk/epan/dissectors/packet-igmp.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-ipmi.c
   M /trunk/epan/dissectors/packet-ipsi-ctl.c
   M /trunk/epan/dissectors/packet-ipvs-syncd.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-iuup.c
   M /trunk/epan/dissectors/packet-iwarp-ddp-rdmap.c
   M /trunk/epan/dissectors/packet-jpeg.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-kdp.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kink.c
   M /trunk/epan/dissectors/packet-kpasswd.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-manolito.c
   M /trunk/epan/dissectors/packet-mpeg1.c
   M /trunk/epan/dissectors/packet-mpls.c
   M /trunk/epan/dissectors/packet-mrdisc.c
   M /trunk/epan/dissectors/packet-ms-mms.c
   M /trunk/epan/dissectors/packet-msnip.c
   M /trunk/epan/dissectors/packet-mstp.c
   M /trunk/epan/dissectors/packet-mysql.c
   M /trunk/epan/dissectors/packet-nbd.c
   M /trunk/epan/dissectors/packet-ncp-nmas.c
   M /trunk/epan/dissectors/packet-ncp-sss.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-netdump.c
   M /trunk/epan/dissectors/packet-netsync.c
   M /trunk/epan/dissectors/packet-nhrp.c
   M /trunk/epan/dissectors/packet-omapi.c
   M /trunk/epan/dissectors/packet-osi.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-pppoe.c
   M /trunk/epan/dissectors/packet-pw-atm.c
   M /trunk/epan/dissectors/packet-pw-cesopsn.c
   M /trunk/epan/dissectors/packet-pw-fr.c
   M /trunk/epan/dissectors/packet-pw-satop.c
   M /trunk/epan/dissectors/packet-quake3.c
   M /trunk/epan/dissectors/packet-rdt.c
   M /trunk/epan/dissectors/packet-retix-bpdu.c
   M /trunk/epan/dissectors/packet-rfc2190.c
   M /trunk/epan/dissectors/packet-rgmp.c
   M /trunk/epan/dissectors/packet-rlogin.c
   M /trunk/epan/dissectors/packet-rmp.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtnet.c
   M /trunk/epan/dissectors/packet-rtp-events.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rtps.c
   M /trunk/epan/dissectors/packet-rtps2.c
   M /trunk/epan/dissectors/packet-s5066.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/epan/dissectors/packet-smb-browse.c
   M /trunk/epan/dissectors/packet-smb-mailslot.c
   M /trunk/epan/dissectors/packet-smb-pipe.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb2.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-starteam.c
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-teamspeak2.c
   M /trunk/epan/dissectors/packet-vnc.c
   M /trunk/epan/dissectors/packet-wccp.c
   M /trunk/epan/dissectors/packet-winsrepl.c
   M /trunk/epan/dissectors/packet-wtls.c
   M /trunk/epan/dissectors/packet-x224.c
   M /trunk/epan/dissectors/packet-zbee-aps.c
   M /trunk/epan/dissectors/packet-zbee-nwk.c
   M /trunk/epan/dissectors/packet-zbee-zdp.c
   M /trunk/plugins/ethercat/packet-ethercat-frame.c
   M /trunk/plugins/m2m/packet-m2m.c
   M /trunk/plugins/opcua/opcua.c
   M /trunk/plugins/wimax/packet-wmx.c
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Don't guard col_set_str (COL_INFO/COL_PROTOCOL) with col_check
------------------------------------------------------------------------
r29346 | krj | 2009-08-09 01:14:59 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/asn1/t125/packet-t125-template.c
   M /trunk/asn1/t38/packet-t38-template.c
   M /trunk/epan/dissectors/packet-afs.c
   M /trunk/epan/dissectors/packet-amqp.c
   M /trunk/epan/dissectors/packet-artnet.c
   M /trunk/epan/dissectors/packet-bpdu.c
   M /trunk/epan/dissectors/packet-cfm.c
   M /trunk/epan/dissectors/packet-ctdb.c
   M /trunk/epan/dissectors/packet-dcp-etsi.c
   M /trunk/epan/dissectors/packet-dec-bpdu.c
   M /trunk/epan/dissectors/packet-dec-dnart.c
   M /trunk/epan/dissectors/packet-dect.c
   M /trunk/epan/dissectors/packet-dplay.c
   M /trunk/epan/dissectors/packet-dvmrp.c
   M /trunk/epan/dissectors/packet-epl_v1.c
   M /trunk/epan/dissectors/packet-fix.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-iec104.c
   M /trunk/epan/dissectors/packet-ieee802a.c
   M /trunk/epan/dissectors/packet-igap.c
   M /trunk/epan/dissectors/packet-igmp.c
   M /trunk/epan/dissectors/packet-ipvs-syncd.c
   M /trunk/epan/dissectors/packet-kdp.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-lldp.c
   M /trunk/epan/dissectors/packet-mrdisc.c
   M /trunk/epan/dissectors/packet-msnip.c
   M /trunk/epan/dissectors/packet-nbd.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-netdump.c
   M /trunk/epan/dissectors/packet-nhrp.c
   M /trunk/epan/dissectors/packet-omapi.c
   M /trunk/epan/dissectors/packet-pagp.c
   M /trunk/epan/dissectors/packet-pppoe.c
   M /trunk/epan/dissectors/packet-rdt.c
   M /trunk/epan/dissectors/packet-retix-bpdu.c
   M /trunk/epan/dissectors/packet-rgmp.c
   M /trunk/epan/dissectors/packet-rmp.c
   M /trunk/epan/dissectors/packet-rtnet.c
   M /trunk/epan/dissectors/packet-rtps.c
   M /trunk/epan/dissectors/packet-rtps2.c
   M /trunk/epan/dissectors/packet-s5066.c
   M /trunk/epan/dissectors/packet-smb-browse.c
   M /trunk/epan/dissectors/packet-smb-mailslot.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-teamspeak2.c
   M /trunk/epan/dissectors/packet-wccp.c
   M /trunk/epan/dissectors/packet-winsrepl.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-x224.c
   M /trunk/epan/dissectors/packet-zbee-nwk.c
   M /trunk/epan/dissectors/packet-zbee-zcl.c
   M /trunk/plugins/ethercat/packet-ethercat-frame.c
   M /trunk/plugins/m2m/packet-m2m.c
   M /trunk/plugins/profinet/packet-pn-mrp.c
   M /trunk/plugins/unistim/packet-unistim.c
   M /trunk/plugins/wimax/packet-wmx.c
   M /trunk/plugins/wimaxasncp/packet-wimaxasncp.c

Don't guard col_clear with col_check
------------------------------------------------------------------------
r29347 | krj | 2009-08-09 03:50:30 -0700 (Sun, 09 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcels.c

Don't use DISSECTOR_ASSERT to check source/destination address type.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3825

------------------------------------------------------------------------
r29348 | gerald | 2009-08-09 08:03:28 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2009-08-09]
------------------------------------------------------------------------
r29351 | wmeier | 2009-08-09 08:07:35 -0700 (Sun, 09 Aug 2009) | 2 lines
Changed paths:
   M /trunk/plugins/wimax/msg_arq.c
   M /trunk/plugins/wimax/msg_dreg.c
   M /trunk/plugins/wimax/msg_pmc.c

'if(proto_... == -1)' not req'd; Don't register ett[] more than once;

------------------------------------------------------------------------
r29352 | wmeier | 2009-08-09 08:49:02 -0700 (Sun, 09 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

g_error() if registering a subtree item type already registered (or not initialized to -1).

------------------------------------------------------------------------
r29353 | wmeier | 2009-08-09 09:48:28 -0700 (Sun, 09 Aug 2009) | 2 lines
Changed paths:
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_at.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_at_devstat.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_hp.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_mdt.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_mdt_devctrl.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_mst.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_svc.c

(Trivial): Remove uneeded #includes; make a few fcns static;

------------------------------------------------------------------------
r29354 | krj | 2009-08-09 10:33:23 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/file.c
   M /trunk/gtk/iax2_analysis.c
   M /trunk/gtk/main_proto_draw.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/print.c
   M /trunk/proto_hier_stats.c
   M /trunk/tap-protohierstat.c

Add PNODE_FINFO. We've been using PITEM_FINFO on proto_node's. This works because proto_item is typedefed to proto_node. We shouldn't rely on this since this is an implementation detail.
------------------------------------------------------------------------
r29355 | krj | 2009-08-09 10:57:31 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/expert.c
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/expert_comp_table.c
   M /trunk/plugins/wimax/packet-wmx.c
   M /trunk/plugins/wimax/wimax_harq_map_decoder.c
   M /trunk/proto_hier_stats.c

Add PTREE_FINFO and use PITEM_FINFO when possible.
------------------------------------------------------------------------
r29356 | krj | 2009-08-09 11:05:44 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

Use PTREE_FINFO.
------------------------------------------------------------------------
r29357 | krj | 2009-08-09 11:15:36 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/proto.h

Use PITEM_FINFO.
------------------------------------------------------------------------
r29358 | krj | 2009-08-09 12:23:13 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/emem.c

Split common parts of se_alloc and ep_alloc into emem_alloc.
------------------------------------------------------------------------
r29359 | krj | 2009-08-09 13:10:19 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/emem.c

Split common parts of ep_free_all and se_free_all into emem_free_all.
------------------------------------------------------------------------
r29360 | krj | 2009-08-09 13:28:38 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/emem.c

g_error() requires a string literal.
------------------------------------------------------------------------
r29361 | krj | 2009-08-09 14:10:04 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/emem.c

Add unsigned int typecast
------------------------------------------------------------------------
r29362 | jmayer | 2009-08-10 07:55:47 -0700 (Mon, 10 Aug 2009) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Ivan Sy <ivan_jr@yahoo.com> via bug 3814

TTL-Check for local network group addresses: Normally the
only valid TTL is 1. Add a check for VRRP and GLBP, where
the only valid TTL is 255.

Me: change the logic so the funtion returns the valid ttl
    instead of true/false.


------------------------------------------------------------------------
r29363 | gerald | 2009-08-10 08:33:54 -0700 (Mon, 10 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Fix the build.

------------------------------------------------------------------------
r29364 | gerald | 2009-08-10 09:12:55 -0700 (Mon, 10 Aug 2009) | 3 lines
Changed paths:
   M /trunk/wiretap/erf.c

Don't try to allocate more than WTAP_MAX_PACKET_SIZE. Fixes a crash
reported in bug 3849.

------------------------------------------------------------------------
r29365 | krj | 2009-08-10 09:36:44 -0700 (Mon, 10 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/emem.c

Use ! defined(EP_DEBUG_FREE) && ! defined(SE_DEBUG_FREE) to guard canary code to get things compiling after r29358.
------------------------------------------------------------------------
r29366 | guy | 2009-08-10 11:22:05 -0700 (Mon, 10 Aug 2009) | 5 lines
Changed paths:
   M /trunk/wiretap/erf.c

Update a comment - a bad packet size could also be the result of a file
not actually being an ERF file.

Don't compute the packet size until you know that rlen is valid.

------------------------------------------------------------------------
r29367 | wmeier | 2009-08-10 11:45:47 -0700 (Mon, 10 Aug 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-redbackli.c

(Quick) fix for bug #3836;
Allow the DIR ("direction") AVP to be of variable length
 (in the absence of any documentation for this protocol).
 See the source for further comments.

------------------------------------------------------------------------
r29368 | etxrab | 2009-08-10 12:48:42 -0700 (Mon, 10 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

From Gerasimos Dimitriadis:
DTAP decoding of Mobile Station Classmark 3.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3819
------------------------------------------------------------------------
r29369 | etxrab | 2009-08-10 12:53:12 -0700 (Mon, 10 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-giop.c

From Steve Osselton:
GIOP dissector update for MIOP.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3847
------------------------------------------------------------------------
r29370 | etxrab | 2009-08-10 13:52:56 -0700 (Mon, 10 Aug 2009) | 3 lines
Changed paths:
   M /trunk/color_filters.c
   M /trunk/epan/column-utils.c
   M /trunk/file.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/packet_list_store.h
   M /trunk/ui_util.h

From Kovarththanan Rajaratnam:
- Compute and cache color/custom filters dynamically.
- Delay column construction.
------------------------------------------------------------------------
r29371 | wmeier | 2009-08-10 14:07:15 -0700 (Mon, 10 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c

Validate two tag field lengths before attempting to do proto_tree_add_item();
Fixes bug #3841.

------------------------------------------------------------------------
r29372 | wmeier | 2009-08-10 14:46:30 -0700 (Mon, 10 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c

Initialize a variable to keep GCC happy ....

------------------------------------------------------------------------
r29373 | guy | 2009-08-10 15:15:22 -0700 (Mon, 10 Aug 2009) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c

For TLV items that are a single integral value and thus must have a
certain length:

	attach the expert item to the length field if we're showing it,
	otherwise put in a text item for the malformed TLV and attach
	the expert item to that;

	don't give up, as we'll just skip the bad item and move on to
	the next item.

------------------------------------------------------------------------
r29374 | etxrab | 2009-08-11 00:41:46 -0700 (Tue, 11 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From swapnil:
Another Minor Bug for ULI in Packet-gtpv2.c
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3862
------------------------------------------------------------------------
r29375 | krj | 2009-08-11 02:24:56 -0700 (Tue, 11 Aug 2009) | 9 lines
Changed paths:
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h

We now expose the following environment variables:

 * WIRESHARK_DEBUG_EP_NO_CHUNKS
 * WIRESHARK_DEBUG_SE_NO_CHUNKS
 * WIRESHARK_DEBUG_EP_NO_CANARY
 * WIRESHARK_DEBUG_SE_NO_CANARY

This allows us to enable/disable memory chunks and canaries at runtime _without_ needing to recompile.

------------------------------------------------------------------------
r29376 | etxrab | 2009-08-11 03:32:46 -0700 (Tue, 11 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From swapnil:
Bugs Fixed in ULI in packet-gtpv2.c
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3860
------------------------------------------------------------------------
r29377 | etxrab | 2009-08-11 05:22:00 -0700 (Tue, 11 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

From Gerasimos Dimitriadis:
DTAP decoding of Mobile Station Classmark 3 (R4 and R5).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3866
------------------------------------------------------------------------
r29378 | wmeier | 2009-08-11 06:44:35 -0700 (Tue, 11 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-p_mul.c

Don't coerce a (void *) to a (guint32 *). 
The (void *) pointer in this case may point to
"unaligned" data.

------------------------------------------------------------------------
r29379 | gerald | 2009-08-11 10:53:39 -0700 (Tue, 11 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/tvbuff.h

Be a little more explicit in our description of tvb_get_ptr.

------------------------------------------------------------------------
r29380 | krj | 2009-08-11 11:08:03 -0700 (Tue, 11 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/epan.c
   M /trunk/epan/epan.h
   M /trunk/epan/libwireshark.def
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/proto_hier_stats.c

TRY_TO_FAKE_THIS_ITEM now fakes FT_PROTOCOL per default. If there are any users (e.g. proto_hier_stats.c, others?) that relies on FT_PROTOCOL nodes being created they'll now need to call the newly introduced epan_dissect_fake_protocols() to disable this optimization.

Also make use of TRY_TO_FAKE_THIS_ITEM in proto_tree_add_text_node(), proto_tree_add_none_format() and proto_tree_add_protocol_format().

------------------------------------------------------------------------
r29381 | krj | 2009-08-11 11:16:55 -0700 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Turn a comment in fast_ensure_contiguous() into a DISSECTOR_ASSERT() to make the implied requirement explicit.
------------------------------------------------------------------------
r29382 | krj | 2009-08-11 11:28:10 -0700 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

(Trivial change) move ensure_contiguous() to reflect call hierarchy
------------------------------------------------------------------------
r29383 | gerald | 2009-08-11 11:37:59 -0700 (Tue, 11 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Add a bunch of length checks. Fixes bug 3826.

------------------------------------------------------------------------
r29384 | gerald | 2009-08-11 13:58:36 -0700 (Tue, 11 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h

Add some length checks. Fixes a few recent fuzz bugs.

------------------------------------------------------------------------
r29385 | gerald | 2009-08-11 14:11:12 -0700 (Tue, 11 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Use the right size for FT_UINT16.

------------------------------------------------------------------------
r29386 | etxrab | 2009-08-11 14:27:36 -0700 (Tue, 11 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From swapnil:
Small Bug in TFT (Flow label) and ULI.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3876
------------------------------------------------------------------------
r29387 | rbalint | 2009-08-11 16:20:03 -0700 (Tue, 11 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c

From Ivan Sy (with minor modifications):
Show Teredo Connectivity tests.
Fix offset of ICMPv6 sequence number.

------------------------------------------------------------------------
r29388 | gerald | 2009-08-11 16:29:21 -0700 (Tue, 11 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-gtpv2.c

Add some length checks.

------------------------------------------------------------------------
r29389 | gerald | 2009-08-11 16:44:22 -0700 (Tue, 11 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Instead of calling DISSECTOR_ASSERT_NOT_REACHED, just say the subchannel
is unknown. Fixes bug 3864.

------------------------------------------------------------------------
r29390 | jake | 2009-08-11 16:52:04 -0700 (Tue, 11 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Complete the fix in r29389.

------------------------------------------------------------------------
r29391 | jake | 2009-08-11 17:02:23 -0700 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/graph_analysis.c

Restore the formatting of the saved graph.
------------------------------------------------------------------------
r29392 | kukosa | 2009-08-11 23:10:08 -0700 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

fix memoryleak causing crash with long SSL traces
------------------------------------------------------------------------
r29393 | rbalint | 2009-08-12 05:55:27 -0700 (Wed, 12 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c

Fix COL_INFO and COL_PROTOCOL for Teredo Direct IPv6 Connectivity Test

------------------------------------------------------------------------
r29394 | krj | 2009-08-12 08:12:19 -0700 (Wed, 12 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From William Preston via. 3549:

A typo in 2 of the field names causes the apn not to be displayed.

------------------------------------------------------------------------
r29395 | gerald | 2009-08-12 10:08:08 -0700 (Wed, 12 Aug 2009) | 4 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Temporarily disable dissector bug checking. Fixing the ones we've found
so far will take a while and in the meantime looking for dissector
assertions is keeping us from finding more serious bugs.

------------------------------------------------------------------------
r29396 | krj | 2009-08-12 11:24:49 -0700 (Wed, 12 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/proto.c

DISSECTOR_ASSERT on FT_PCRE in construct_match_selected_string().
------------------------------------------------------------------------
r29397 | krj | 2009-08-12 12:32:54 -0700 (Wed, 12 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/reassemble.c

White space changes
------------------------------------------------------------------------
r29398 | etxrab | 2009-08-12 15:40:13 -0700 (Wed, 12 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

From Gerasimos Dimitriadis:
DTAP decoding of Mobile Station Classmark 3 (R6).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3886
------------------------------------------------------------------------
r29399 | etxrab | 2009-08-13 00:56:13 -0700 (Thu, 13 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

From Gerasimos Dimitriadis:
DTAP decoding of Mobile Station Classmark 3 (R7 and R8)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3891
------------------------------------------------------------------------
r29400 | kukosa | 2009-08-13 02:07:03 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-ssl.c

Fix SSL decryption failure if client and server have the same TCP port
------------------------------------------------------------------------
r29401 | kukosa | 2009-08-13 03:36:53 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

use G_GSIZE_MODIFIER instead of %zd which is not supported by MSVC
------------------------------------------------------------------------
r29402 | kukosa | 2009-08-13 04:12:35 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

fix build failure without GnuTLS
------------------------------------------------------------------------
r29403 | krj | 2009-08-13 05:17:20 -0700 (Thu, 13 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Make sure that we find the "data" dissector during handoff else we might crash if the received payload was less than 2 bytes.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3893

------------------------------------------------------------------------
r29404 | krj | 2009-08-13 12:42:46 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/epan.c
   M /trunk/epan/epan.h
   M /trunk/epan/libwireshark.def
   M /trunk/file.c
   M /trunk/gtk/iax2_analysis.c
   M /trunk/gtk/main.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/proto_hier_stats.c
   M /trunk/rawshark.c
   M /trunk/tshark.c

Introduce epan_dissect_init()/epan_dissect_cleanup(). These are used to initialise/cleanup stack allocated 'edt' structures. This should speed up dissection since we avoid some malloc traffic.
------------------------------------------------------------------------
r29405 | krj | 2009-08-13 13:00:36 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Add needed header due to stack allocated 'edt' structure
------------------------------------------------------------------------
r29406 | etxrab | 2009-08-13 14:36:01 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c

Get the pointer to the packet list record and use the data directly.
------------------------------------------------------------------------
r29407 | etxrab | 2009-08-13 14:46:00 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Start to implement display filtering.
------------------------------------------------------------------------
r29408 | krj | 2009-08-13 22:22:12 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/file.c

Always add packet to the new packet list regardless of whether the packet passed the display filter test or not. We do this because we do the filtering inside the new packet list.
------------------------------------------------------------------------
r29409 | krj | 2009-08-13 22:49:57 -0700 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/file.c

Make display filtering work for NEW_PACKET_LIST. This didn't work previously because we would simply append the new filtered packets onto the existing ones.
------------------------------------------------------------------------
r29410 | krj | 2009-08-14 03:17:13 -0700 (Fri, 14 Aug 2009) | 4 lines
Changed paths:
   M /trunk/plugins/ethercat/Makefile.nmake

From Artem Tamazov via. 3899:

Remove superfluous /MP

------------------------------------------------------------------------
r29411 | krj | 2009-08-14 06:33:17 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Don't attach our original packet list model in new_packet_list_thaw(). It's pointless because we override it in filter_function().
------------------------------------------------------------------------
r29412 | etxrab | 2009-08-14 08:31:59 -0700 (Fri, 14 Aug 2009) | 3 lines
Changed paths:
   M /trunk/diameter/TGPPRx.xml
   M /trunk/diameter/dictionary.xml

Typos.
Fixes:
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3878
------------------------------------------------------------------------
r29413 | krj | 2009-08-14 08:44:57 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Make next/previous frame work again with the new filter model.
------------------------------------------------------------------------
r29414 | krj | 2009-08-14 08:56:23 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Make first/last frame work again with the new filter model.
------------------------------------------------------------------------
r29415 | krj | 2009-08-14 11:29:32 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/new_packet_list.c

New packet list: right clicking on a row now selects the given row.
------------------------------------------------------------------------
r29416 | krj | 2009-08-14 11:32:44 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Remove unused functions/prototypes
------------------------------------------------------------------------
r29417 | krj | 2009-08-14 11:49:48 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Make mark/unmark frame work with the new filter model
------------------------------------------------------------------------
r29418 | krj | 2009-08-14 11:59:15 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Remove the hacky row_from_iter() function and use new_packet_list_get_record() instead. Alas, new_packet_list_get_record() is also somewhat hacky in its nature, but hey at least we're using one less hacky thing.
------------------------------------------------------------------------
r29419 | krj | 2009-08-14 12:35:01 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h

Make 'Apply as filter'/'Prepare filter' work for new packet list.
------------------------------------------------------------------------
r29420 | martinm | 2009-08-14 18:29:29 -0700 (Fri, 14 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Allow s1ap not to be dissected (to avoid seeing errors, possibly due to proprietary variants).

------------------------------------------------------------------------
r29421 | krj | 2009-08-14 20:57:14 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/menus.c

Don't exclude functionality we already support
------------------------------------------------------------------------
r29422 | krj | 2009-08-14 21:05:04 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/menus.c

Find next/previous mark is also supported so don't exclude it
------------------------------------------------------------------------
r29423 | krj | 2009-08-14 21:19:45 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/menus.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/new_packet_list.h

Add support for mark/unmark all frames in our new packet list
------------------------------------------------------------------------
r29424 | krj | 2009-08-14 21:24:43 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/menus.c

Enable 'Mark Packet' in the Edit menu
------------------------------------------------------------------------
r29425 | krj | 2009-08-14 22:06:27 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Avoid superfluous g_strdup()
------------------------------------------------------------------------
r29426 | krj | 2009-08-14 22:26:02 -0700 (Fri, 14 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/packet_list_store.c

Micro optimize by storing PACKET_LIST(tree_model) into a local variable and using that instead of computing PACKET_LIST(tree_model) each time.
------------------------------------------------------------------------
r29427 | krj | 2009-08-14 23:38:10 -0700 (Fri, 14 Aug 2009) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble_test.c
   M /trunk/epan/wslua/wslua_dumper.c
   M /trunk/print.c

This patch introduces packet_add_new_data_source() which effectively deprecates add_new_data_source(). This is based on the following observation:

1) The tvb + name (aka. data_source) is only used when the protocol tree is visible

The current implementation of add_new_data_source() doesn't take this into account and simply allocates a data_source regardless. This is what packet_add_new_data_source() tries to rectify.

A couple of dissectors have already been switched over to the new packet_add_new_data_source(). Many are still missing. Help appreciated!

------------------------------------------------------------------------
r29428 | krj | 2009-08-15 01:05:10 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-frame.c

The frame dissector contains a kludge to workaround the fact that the Protocol Hierarchy stats tap always needs the protocol node to appear even though no color, display filter etc. reference it. This is no longer needed due to r29380.
------------------------------------------------------------------------
r29429 | krj | 2009-08-15 01:38:50 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/proto.c

This should have been part of r29428. This patch forces proto_field_is_referenced() to respect the fake_protocols flag set by Protocol Hierarchy stats tap.
------------------------------------------------------------------------
r29430 | krj | 2009-08-15 02:13:16 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/except.c

Switch over to using GLib's g_malloc/g_free in the name of consistency.
------------------------------------------------------------------------
r29431 | krj | 2009-08-15 04:21:36 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/plugins/ethercat/packet-ecatmb.c
   M /trunk/plugins/ethercat/packet-esl.c

Use HFILL instead of hard coding the values
------------------------------------------------------------------------
r29432 | krj | 2009-08-15 05:29:25 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Make mem chunk static
------------------------------------------------------------------------
r29433 | krj | 2009-08-15 05:41:24 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Add a missing DISSECTOR_ASSERT in tvb_init()
------------------------------------------------------------------------
r29434 | krj | 2009-08-15 06:24:59 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Use the slice allocator if GLIB >= 2,10,0 as suggested by Anders Broman
------------------------------------------------------------------------
r29435 | krj | 2009-08-15 07:13:36 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/file.c

Inline a few checks in the add_packet_to_packet_list() function since it's called in tight loop. This will help us to avoid calling functions that simply returns. This is especially the case when we're dealing with the new packet list due to its dissect-on-demand nature where colour/column construction is delayed until the row becomes visible.
------------------------------------------------------------------------
r29436 | etxrab | 2009-08-15 14:12:56 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Prepare for storing column data in packet list store.
------------------------------------------------------------------------
r29437 | etxrab | 2009-08-15 14:59:03 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Try to please build bot
------------------------------------------------------------------------
r29438 | sfisher | 2009-08-15 19:35:44 -0700 (Sat, 15 Aug 2009) | 4 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c


Mark function paramter as unused with _U_ to please gcc.


------------------------------------------------------------------------
r29439 | krj | 2009-08-15 21:08:00 -0700 (Sat, 15 Aug 2009) | 5 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/packet_list_store.h

Switch over to using GPtrArray instead of manually g_renew'ing. This switch has some benefits:

1) We don't have to manually resize
2) GPtrArray uses a sligtly more efficient allocation scheme. It increases the size of the array exponentially which reduces the amount of memcpy's we have to do when we resize the array

------------------------------------------------------------------------
r29440 | krj | 2009-08-15 21:54:33 -0700 (Sat, 15 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/reassemble.c

Use the slice allocator if GLIB >= 2,10,0
------------------------------------------------------------------------
r29441 | krj | 2009-08-16 00:29:11 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/exceptions.h
   M /trunk/epan/tvbuff.c

Remove a non thread-safe usage (useful when/if we ever support threading) of a static tvbuff in tvb_new_real_data(). The current version uses a static 'last_tvb' to keep track of the last allocated tvbuff. This is needed because some of the function we call can throw an exception. This patch improves this strategy by throwing an exception (if needed) before we try to allocate the tvbuff. This way we avoid a memleak _and_ we don't have to track the 'last_tvb' tvbuff.
------------------------------------------------------------------------
r29442 | krj | 2009-08-16 01:18:17 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Make some of the check_XXX functions accept the length/reported length of the tvbuff as arguments instead the tvbuff. We'll need this feature in order to remove the non-thread usage of the 'last_tvb' variable in tvb_new_subset()
------------------------------------------------------------------------
r29443 | krj | 2009-08-16 02:18:17 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Remove the non-thread safe usage of 'last_tvb' variable in tvb_new_subset()
------------------------------------------------------------------------
r29444 | krj | 2009-08-16 02:48:25 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/tvbuff.c

Remove unused parameters
------------------------------------------------------------------------
r29445 | krj | 2009-08-16 03:53:47 -0700 (Sun, 16 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

Add a new function, tvb_new_subset_remaining(), which is a sligtly optimized version of tvb_new_subset(). The latter can be mapped to the former by tvb_new_subset(tvb, offset, -1 /* backing_length */, -1 /* reported_length */). We can disable some bounds checking because 'backing_length' and 'reported_length' are hardcoded to -1.

The current implementation of tvb_new_subset_remaining() only has the THROW_ON(reported_length < 1) check removed when compared to tvb_new_subset(). So there's room for improvement in this function. We should be able to disable some more (redundant) bounds checking.

------------------------------------------------------------------------
r29446 | krj | 2009-08-16 05:36:22 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/mpeg-pes/packet-mpeg-pes-template.c
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/asn1/t38/packet-t38-template.c
   M /trunk/epan/dissectors/packet-3com-xns.c
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-airopeek.c
   M /trunk/epan/dissectors/packet-ap1394.c
   M /trunk/epan/dissectors/packet-arcnet.c
   M /trunk/epan/dissectors/packet-artnet.c
   M /trunk/epan/dissectors/packet-asap.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-ayiya.c
   M /trunk/epan/dissectors/packet-bacnet.c
   M /trunk/epan/dissectors/packet-bat.c
   M /trunk/epan/dissectors/packet-bctp.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-capwap.c
   M /trunk/epan/dissectors/packet-cdp.c
   M /trunk/epan/dissectors/packet-chdlc.c
   M /trunk/epan/dissectors/packet-cisco-erspan.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cosine.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcp-etsi.c
   M /trunk/epan/dissectors/packet-dsi.c
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-dua.c
   M /trunk/epan/dissectors/packet-eapol.c
   M /trunk/epan/dissectors/packet-egd.c
   M /trunk/epan/dissectors/packet-ehs.c
   M /trunk/epan/dissectors/packet-eigrp.c
   M /trunk/epan/dissectors/packet-enc.c
   M /trunk/epan/dissectors/packet-enrp.c
   M /trunk/epan/dissectors/packet-erf.c
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcct.c
   M /trunk/epan/dissectors/packet-fcip.c
   M /trunk/epan/dissectors/packet-fcsb3.c
   M /trunk/epan/dissectors/packet-fcswils.c
   M /trunk/epan/dissectors/packet-fddi.c
   M /trunk/epan/dissectors/packet-fefd.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-gmrp.c
   M /trunk/epan/dissectors/packet-gprs-ns.c
   M /trunk/epan/dissectors/packet-gre.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-gsm_sms_ud.c
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-gvrp.c
   M /trunk/epan/dissectors/packet-hci_h1.c
   M /trunk/epan/dissectors/packet-hci_h4.c
   M /trunk/epan/dissectors/packet-hip.c
   M /trunk/epan/dissectors/packet-hpext.c
   M /trunk/epan/dissectors/packet-hsrp.c
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-icap.c
   M /trunk/epan/dissectors/packet-icmp.c
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-idp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ieee8021ah.c
   M /trunk/epan/dissectors/packet-ieee8023.c
   M /trunk/epan/dissectors/packet-ieee802a.c
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipars.c
   M /trunk/epan/dissectors/packet-ipfc.c
   M /trunk/epan/dissectors/packet-ipp.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-isl.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-itdm.c
   M /trunk/epan/dissectors/packet-iua.c
   M /trunk/epan/dissectors/packet-iuup.c
   M /trunk/epan/dissectors/packet-iwarp-ddp-rdmap.c
   M /trunk/epan/dissectors/packet-jabber.c
   M /trunk/epan/dissectors/packet-juniper.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-kpasswd.c
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/dissectors/packet-lanforge.c
   M /trunk/epan/dissectors/packet-lapb.c
   M /trunk/epan/dissectors/packet-lapd.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-lge_monitor.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-loop.c
   M /trunk/epan/dissectors/packet-lwapp.c
   M /trunk/epan/dissectors/packet-m2pa.c
   M /trunk/epan/dissectors/packet-m2ua.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-mdshdr.c
   M /trunk/epan/dissectors/packet-mgcp.c
   M /trunk/epan/dissectors/packet-mikey.c
   M /trunk/epan/dissectors/packet-miop.c
   M /trunk/epan/dissectors/packet-mip.c
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-mmse.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-mpls.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-msdp.c
   M /trunk/epan/dissectors/packet-msrp.c
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-mtp3mg.c
   M /trunk/epan/dissectors/packet-nbipx.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-nhrp.c
   M /trunk/epan/dissectors/packet-nsip.c
   M /trunk/epan/dissectors/packet-null.c
   M /trunk/epan/dissectors/packet-osi.c
   M /trunk/epan/dissectors/packet-ositp.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pcli.c
   M /trunk/epan/dissectors/packet-pdcp-lte.c
   M /trunk/epan/dissectors/packet-pflog.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-pktc.c
   M /trunk/epan/dissectors/packet-pktgen.c
   M /trunk/epan/dissectors/packet-ppi.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-pptp.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-pw-atm.c
   M /trunk/epan/dissectors/packet-pw-eth.c
   M /trunk/epan/dissectors/packet-pw-hdlc.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-radiotap.c
   M /trunk/epan/dissectors/packet-raw.c
   M /trunk/epan/dissectors/packet-redback.c
   M /trunk/epan/dissectors/packet-redbackli.c
   M /trunk/epan/dissectors/packet-rmcp.c
   M /trunk/epan/dissectors/packet-rmi.c
   M /trunk/epan/dissectors/packet-rmp.c
   M /trunk/epan/dissectors/packet-rmt-alc.c
   M /trunk/epan/dissectors/packet-roofnet.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rpl.c
   M /trunk/epan/dissectors/packet-rtnet.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rudp.c
   M /trunk/epan/dissectors/packet-rx.c
   M /trunk/epan/dissectors/packet-sap.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sdlc.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-simulcrypt.c
   M /trunk/epan/dissectors/packet-sll.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb2.c
   M /trunk/epan/dissectors/packet-sna.c
   M /trunk/epan/dissectors/packet-snaeth.c
   M /trunk/epan/dissectors/packet-sndcp.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-spp.c
   M /trunk/epan/dissectors/packet-srp.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/dissectors/packet-symantec.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-tali.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-teamspeak2.c
   M /trunk/epan/dissectors/packet-telkonet.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-tipc.c
   M /trunk/epan/dissectors/packet-tns.c
   M /trunk/epan/dissectors/packet-tr.c
   M /trunk/epan/dissectors/packet-tte.c
   M /trunk/epan/dissectors/packet-turbocell.c
   M /trunk/epan/dissectors/packet-tzsp.c
   M /trunk/epan/dissectors/packet-ucp.c
   M /trunk/epan/dissectors/packet-udld.c
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/epan/dissectors/packet-v120.c
   M /trunk/epan/dissectors/packet-v5ua.c
   M /trunk/epan/dissectors/packet-vcdu.c
   M /trunk/epan/dissectors/packet-vines.c
   M /trunk/epan/dissectors/packet-wcp.c
   M /trunk/epan/dissectors/packet-wfleet-hdlc.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-wtp.c
   M /trunk/epan/dissectors/packet-x224.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/dissectors/packet-zbee-aps.c
   M /trunk/epan/dissectors/packet-zbee-nwk.c
   M /trunk/epan/dissectors/packet-zbee-zdp.c
   M /trunk/epan/libwireshark.def
   M /trunk/epan/reassemble.c
   M /trunk/plugins/docsis/packet-bpkmreq.c
   M /trunk/plugins/docsis/packet-bpkmrsp.c
   M /trunk/plugins/docsis/packet-dsaack.c
   M /trunk/plugins/docsis/packet-dsareq.c
   M /trunk/plugins/docsis/packet-dsarsp.c
   M /trunk/plugins/docsis/packet-dscack.c
   M /trunk/plugins/docsis/packet-dscreq.c
   M /trunk/plugins/docsis/packet-dscrsp.c
   M /trunk/plugins/docsis/packet-dsdreq.c
   M /trunk/plugins/docsis/packet-regack.c
   M /trunk/plugins/docsis/packet-regreq.c
   M /trunk/plugins/docsis/packet-regreqmp.c
   M /trunk/plugins/docsis/packet-regrsp.c
   M /trunk/plugins/docsis/packet-regrspmp.c
   M /trunk/plugins/docsis/packet-uccreq.c
   M /trunk/plugins/ethercat/packet-esl.c
   M /trunk/plugins/ethercat/packet-ethercat-frame.c
   M /trunk/plugins/irda/packet-ircomm.c
   M /trunk/plugins/irda/packet-irda.c
   M /trunk/plugins/profinet/packet-dcom-cba-acco.c
   M /trunk/plugins/profinet/packet-pn-mrp.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_at.c
   M /trunk/plugins/sercosiii/packet-sercosiii_1v1_mdt.c

Switch a bunch of dissectors over to using tvb_new_subset_remaining()
------------------------------------------------------------------------
r29447 | gerald | 2009-08-16 08:03:26 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2009-08-16]
------------------------------------------------------------------------
r29450 | krj | 2009-08-16 08:33:05 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Add missing call to packets_bar_update() after thaw'ing
------------------------------------------------------------------------
r29451 | krj | 2009-08-16 21:23:47 -0700 (Sun, 16 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/except.c

Add proper type cast.

Thanks to Martin for reporting this.

------------------------------------------------------------------------
r29452 | krj | 2009-08-17 04:13:36 -0700 (Mon, 17 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/proto.c

Don't do PROTO_REGISTRAR_GET_NTH twice.
------------------------------------------------------------------------
r29453 | krj | 2009-08-17 04:21:33 -0700 (Mon, 17 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/proto.c

Move the NULL pointer 'tree' check under TRY_TO_FAKE_THIS_ITEMs umbrella
------------------------------------------------------------------------
r29454 | etxrab | 2009-08-17 08:05:43 -0700 (Mon, 17 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/gtk/new_packet_list.c
   M /trunk/gtk/packet_list_store.c

Prepare to store column data from pinfo.
------------------------------------------------------------------------
r29455 | etxrab | 2009-08-17 08:13:58 -0700 (Mon, 17 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/new_packet_list.c

Remove #if 0
------------------------------------------------------------------------
r29456 | krj | 2009-08-17 10:19:31 -0700 (Mon, 17 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dect.c

setbit() is (AFAIK) defined in <sys/param.h> (OpenBSD) so rename to dect_setbit() to avoid clash. getbit() is also renamed for consistency.

Fixes the issue reported by Stan: http://www.wireshark.org/lists/wireshark-users/200908/msg00128.html

------------------------------------------------------------------------
r29457 | jake | 2009-08-17 12:10:19 -0700 (Mon, 17 Aug 2009) | 2 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

Change window_new() to dlg_window_new() and destroy the window with the top level window.

------------------------------------------------------------------------
r29458 | krj | 2009-08-17 13:14:59 -0700 (Mon, 17 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/except.c

As pointed out by Guy, we should probably explain why the gulong -> size_t cast is 'safe'
------------------------------------------------------------------------
r29459 | sfisher | 2009-08-17 17:32:11 -0700 (Mon, 17 Aug 2009) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x224.c


Display Microsoft's Remote Desktop Protocol (RDP) extension to the X.224
connection request that shows the session load balancing information.  There
appears to be more dissecting that can be done for this field, but I don't
have any sample captures to test this.
 

------------------------------------------------------------------------
r29460 | jake | 2009-08-17 23:41:12 -0700 (Mon, 17 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From Swapnil Barai:
Minor Bug in Bearer Context in Packet-gtpv2.c fixed.

------------------------------------------------------------------------
r29461 | etxrab | 2009-08-18 01:00:05 -0700 (Tue, 18 Aug 2009) | 2 lines
Changed paths:
   M /trunk/diameter/TGPPRx.xml
   M /trunk/diameter/gqpolicy.xml

From Mathias de Paulis Nilsson:
Updates to  V8.5.0.
------------------------------------------------------------------------
r29462 | etxrab | 2009-08-18 04:39:55 -0700 (Tue, 18 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-s1ap.c

Typo: parameter_tvb to be used.
------------------------------------------------------------------------
r29463 | etxrab | 2009-08-18 05:15:36 -0700 (Tue, 18 Aug 2009) | 1 line
Changed paths:
